<?php
/**
  *
  * SourceForge Documentaion Manager
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: index.php,v 1.4 2002/06/08 09:16:03 arjenvanefferen Exp $
  *
  */


/*
        Docmentation Manager
        by Quentin Cregan, SourceForge 06/2000
*/
include_once("../../../mainfile.php");

$langfile="docman.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");
require_once(XOOPS_ROOT_PATH."/xf/docman/doc_utils.php");

// get current information
project_check_access ($group_id);

// get current information
$group =& group_get_object($group_id);
$perm  =& $group->getPermission( $xoopsUser );

if (!$perm->isDocEditor()) {
   redirect_header($GLOBALS["HTTP_REFERER"],2,_XF_G_PERMISSIONDENIED."<br />"._XF_DOC_YOUARENOTDOCMANAGER);
   exit;
}

function main_page($project, $group_id) {
    docman_header($project, $group_id, _XF_DOC_DOCUMENTMANAGERADMIN,'admin');
    echo '<p><b>'._XF_DOC_PENDINGSUBMISSIONS.':</b>  <p>';
    display_docs('3',$group_id);
    // doc_group 3 == pending
    echo '<p>';
    echo '<b>'._XF_DOC_ACTIVESUBMISSIONS.':</b>  <p>';
    display_docs('1',$group_id);
    //doc_group 1 == active
    docman_footer('admin');

} //end function main_page($group_id);

//begin to seek out what this page has been called to do.
	if (strstr($mode,"docedit")) {

		$query = "SELECT * "
		        ."FROM ".$xoopsDB->prefix("xf_doc_data")." dd, ".$xoopsDB->prefix("xf_doc_groups")." dg "
						."WHERE docid='$docid' "
						."AND dg.doc_group=dd.doc_group "
						."AND dg.group_id='$group_id'";

		$result = $xoopsDB->query($query);
		$row = $xoopsDB->fetchArray($result);

    docman_header($group, $group_id, _XF_DOC_EDITDOC,'admin');

		echo '

			<form name="editdata" action="index.php?mode=docdoedit&group_id='.$group_id.'" method="POST">
			<table border="0" width="75%">
			<tr>
			  <td><b>'._XF_DOC_DOCUMENTTITLE.':</b></td>
			  <td><input type="text" name="title" size="40" maxlength="255" value="'.$ts->makeTboxData4Edit($row['title']).'"></td>
			  <td class="example">'._XF_DOC_DOCUMENTTITLEDESC.'</td>
			</tr>
			<tr>
        <td><b>'._XF_DOC_DESCRIPTION.':</b></td>
        <td><input type="text" name="description" size="20" maxlength="255" value="'.$ts->makeTboxData4Edit($row['description']).'"></td>
        <td class="example">'._XF_DOC_DESCRIPTIONDESC.'</td>
			</tr>
			<tr>
			  <td><b>'._XF_DOC_PASTEDOCUMENT.':</b></td>
			  <td><textarea cols="60" rows="10" name="data">'.$ts->makeTareaData4Edit($row['data']).'</textarea></td>
			</tr>
			<tr>
			  <td><b>'._XF_DOC_GROUPDOCBELONGSIN.':</b></td>
        <td>';
		display_groups_option($group_id,$row['doc_group']);
		echo '
				</td>
			</tr>
			<tr>
		    <td><b>'._XF_DOC_DOCSTATE.':</b></td>
		    <td>';
		$res_states = $xoopsDB->query("SELECT * FROM ".$xoopsDB->prefix("xf_doc_states"));
		echo html_build_select_box ($res_states, 'stateid', $row['stateid']);
		echo '
 			  </td>
			</tr>
		  </table>
		  <input type="hidden" name="docid" value="'.$row['docid'].'">
		  <input type="submit" value="'._XF_G_SUBMIT.'">
		  </form>';

    display_doc_feedback ($group_id, $row['docid'], 10);
		docman_footer('admin');

	} elseif (strstr($mode,"groupdelete")) {

		$query = "SELECT docid "
			      ."FROM ".$xoopsDB->prefix("xf_doc_data")." "
			      ."WHERE doc_group='$doc_group'";

		$result = $xoopsDB->query($query);

		if ($xoopsDB->getRowsNum($result) < 1) {
			$query = "DELETE FROM ".$xoopsDB->prefix("xf_doc_groups")." "
			        ."WHERE doc_group='$doc_group' "
							."AND group_id='$group_id'";

			$xoopsDB->queryF($query);

      docman_header($group, $group_id, _XF_DOC_GROUPDELETE,'admin');
			echo "<p><b>"._XF_DOC_GROUPDELETED.". ("._XF_DOC_GROUPID." : ".$doc_group.")</b>";
			docman_footer('admin');

		} else {

      docman_header($group, $group_id, _XF_DOC_GROUPDELETEFAILED,'admin');
			echo _XF_DOC_CANNOTDELETEGROUP;
			docman_footer('admin');
		}

	} elseif (strstr($mode,"groupedit")) {

      docman_header($group, $group_id, _XF_DOC_GROUPEDIT,'admin');
			$query = "SELECT * "
				      ."FROM ".$xoopsDB->prefix("xf_doc_groups")." "
				      ."WHERE doc_group='$doc_group' "
							."AND group_id='$group_id'";

			$result = $xoopsDB->query($query);
			$row = $xoopsDB->fetchArray($result);
			echo '
			<br />
			<b> '._XF_DOC_EDITAGROUP.':</b>

			<form name="editgroup" action="index.php?mode=groupdoedit&group_id='.$group_id.'" method="POST">
			<table>
			<tr><th>'._XF_DOC_NAME.':</th>
			<td><input type="text" name="groupname" value="'.$ts->makeTboxData4Edit($row['groupname']).'"></td></tr>
			<input type="hidden" name="doc_group" value="'.$row['doc_group'].'">
			<tr><td> <input type="submit" value="'._XF_G_SUBMIT.'"></td></tr></table>
			</form>
			';
			docman_footer('admin');

	} elseif (strstr($mode,"groupdoedit")) {

		$query = "UPDATE ".$xoopsDB->prefix("xf_doc_groups")." SET "
		        ."groupname='".$ts->makeTboxData4Save($groupname)."' "
						."WHERE doc_group='$doc_group' "
						."AND group_id='$group_id'";

		$xoopsDB->queryF($query);
		$feedback .= _XF_DOC_DOCUMENTGROUPEDITED;
		main_page($group, $group_id);

	} elseif (strstr($mode,"docdoedit")) {
		//Page security - checks someone isnt updating a doc
		//that isnt theirs.

		$query = "SELECT dd.docid "
		        ."FROM ".$xoopsDB->prefix("xf_doc_data")." dd, ".$xoopsDB->prefix("xf_doc_groups")." dg "
			      ."WHERE dd.doc_group=dg.doc_group "
			      ."AND dg.group_id='$group_id' "
			      ."AND dd.docid='$docid'";

		$result = $xoopsDB->query($query);

		if ($xoopsDB->getRowsNum($result) == 1) {

			// data in DB stored in htmlspecialchars()-encoded form
			$query = "UPDATE ".$xoopsDB->prefix("xf_doc_data")." SET "
			        ."title='".$ts->makeTboxData4Save($title)."',"
							."data='".$ts->makeTareaData4Save($data)."',"
							."updatedate='".time()."',"
							."doc_group='".$doc_group."',"
							."stateid='".$stateid."',"
							."description='".$ts->makeTboxData4Save($description)."' "
							."WHERE docid='$docid'";

			$res = $xoopsDB->queryF($query);
			if (!$res) {
				$feedback .= _XF_DOC_COULDNOTUPDATEDOCUMENT.'<br>';
			} else {
				$feedback .= sprintf (_XF_DOC_DOCUMENTTITLEUPDATED, $ts->makeTboxData4Show($title));
			}
			main_page($group, $group_id);

		} else {
			echo "Unable to update - Document does not exist, or document's group not the same as that to which your account belongs.";
			exit;
		}

	} elseif (strstr($mode,"groupadd")) {

		$query = "INSERT INTO ".$xoopsDB->prefix("xf_doc_groups")." (groupname,group_id) "
		        ."values ('"
						."".$ts->makeTboxData4Save($groupname)."',"
						."'$group_id')";

		$xoopsDB->queryF($query);
		$feedback .= sprintf(_XF_DOC_GROUPGROUPNAMEADDED, $ts->makeTboxData4Show($groupname));
		main_page($group, $group_id);

	} elseif (strstr($mode,"editgroups")) {

    docman_header($group, $group_id, _XF_DOC_GROUPEDIT,'admin');
		echo '
			<p><b> '._XF_DOC_ADDAGROUP.':</b>
			<form name="addgroup" action="index.php?mode=groupadd&group_id='.$group_id.'" method="POST">
			<table>
			<tr><td><b>'._XF_DOC_NEWGROUPNAME.':</b></td>  <td><input type="text" name="groupname"></td><td><input type="submit" value="'._XF_G_ADD.'"></td></tr></table>
			<p>'._XF_DOC_GROUPNAMEWILLBEUSEDASTITLE.'</p>
			</form>
		';
		display_groups($group_id);
		docman_footer('admin');

	} elseif (strstr($mode,"editdocs")) {

    docman_header($group, $group_id, _XF_DOC_EDITDOCUMENTSLIST,'admin');
		print "<p><b>"._XF_DOC_ACTIVEDOCUMENTS.":</b><p>";
		display_docs('1',$group_id);
		print "<p><b>"._XF_DOC_PENDINGDOCUMENTS.":</b><p>";
		display_docs('3',$group_id);
		print "<p><b>"._XF_DOC_HIDDENDOCUMENTS.":</b><p>";
		display_docs('4',$group_id);
		print "<p><b>"._XF_DOC_DELETEDDOCUMENTS.":</b><p>";
		display_docs('2',$group_id);
		print "<p><b>"._XF_DOC_PRIVATEDOCUMENTS.":</b><p>";
		display_docs('5',$group_id);
		docman_footer('admin');

	} else {

		main_page($group, $group_id);

	} //end else

?>
