<?php
/**
  *
  * SourceForge Forums Facility
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: message.php,v 1.3 2002/05/28 15:08:27 arjenvanefferen Exp $
  *
  */

include_once("../../mainfile.php");

$langfile="forum.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");
require_once(XOOPS_ROOT_PATH."/xf/forum/forum_utils.php");
require_once(XOOPS_ROOT_PATH."/xf/include/vote_function.php");

if ($msg_id) {
	/*
		Figure out which group this message is in, for the sake of the admin links
	*/
	$result = $xoopsDB->query("SELECT fgl.send_all_posts_to,fgl.group_id,"
	                    ."fgl.allow_anonymous,fgl.forum_name,f.subject,f.group_forum_id,f.thread_id "
											."FROM ".$xoopsDB->prefix("xf_forum_group_list")." fgl,".$xoopsDB->prefix("xf_forum")." f "
											."WHERE fgl.group_forum_id=f.group_forum_id "
											."AND f.msg_id='$msg_id'");

	if (!$result || $xoopsDB->getRowsNum($result) < 1) {
		/*
			Message not found
		*/
	  redirect_header($GLOBALS["HTTP_REFERER"],4,_XF_FRM_MESSAGENOTFOUND."<br />"._XF_FRM_MESSAGENOTEXIST);
	  exit;
	}

	$group_id = unofficial_getDBResult($result,0,'group_id');
	$forum_id = unofficial_getDBResult($result,0,'group_forum_id');
	$thread_id = unofficial_getDBResult($result,0,'thread_id');
	$forum_name = unofficial_getDBResult($result,0,'forum_name');
	$allow_anonymous = unofficial_getDBResult($result,0,'allow_anonymous');
	$send_all_posts_to = unofficial_getDBResult($result,0,'send_all_posts_to');

	$group =& group_get_object($group_id);

  include ("../../header.php");
  OpenTable();

  echo "<B style='font-size:16px;align:left;'>".unofficial_getDBResult($result,0,'subject')."</B><br />";
  project_tabs ('forums', $group_id);
  forum_show_links ($forum_id, $forum_name, $group_id);

	echo "<P>";

	$sql = "SELECT u.uname,f.group_forum_id,f.thread_id,f.subject,f.date,f.body "
	      ."FROM ".$xoopsDB->prefix("xf_forum")." f,".$xoopsDB->prefix("users")." u "
				."WHERE u.uid=f.posted_by "
				."AND f.msg_id='$msg_id';";

	$result = $xoopsDB->query ($sql);

	if (!$result || $xoopsDB->getRowsNum($result) < 1) {
		/*
			Message not found
		*/
		return _XF_FRM_MESSAGENOTFOUND;
	}

  echo "<table border='0' width='100%'>"
      ."<tr class='bg2'>"
      ."<td><b>"._XF_G_MESSAGE.": ".$msg_id."</b></td>"
  	  ."</tr>";

	echo "<TR><TD BGCOLOR='#E3E3E3'>";
	echo _XF_G_BY.": ".unofficial_getDBResult($result,0, "uname")."<BR>";
	echo _XF_G_DATE.": ".date($sys_datefmt,unofficial_getDBResult($result,0, "date"))."<BR>";
	echo _XF_G_SUBJECT.": ". $ts->makeTboxData4Show( unofficial_getDBResult($result,0, "subject"))."<P>";
	echo $ts->makeTareaData4Show(unofficial_getDBResult($result,0, 'body'));
	echo "</TD></TR></TABLE>";

	/*
		Show entire thread
	*/
	echo "<BR>&nbsp;<P><H4>"._XF_FRM_THREADVIEW."</H4>";

	//highlight the current message in the thread list
	$current_message = $msg_id;
	echo show_thread(unofficial_getDBResult($result,0, 'thread_id'));

	/*
		Show post followup form
	*/

	echo "<P>&nbsp;<P>";
	echo "<CENTER><h4>"._XF_FRM_POSTFOLLOWUP."</h4></CENTER>";

	show_post_form(unofficial_getDBResult($result, 0, 'group_forum_id'),unofficial_getDBResult($result, 0, 'thread_id'), $msg_id, unofficial_getDBResult($result,0, 'subject'));

	CloseTable();
  include("../../footer.php");
	
} else {
	redirect_header($GLOBALS["HTTP_REFERER"],4,"ERROR<br />You must choose a message first");
	exit;
}
?>
