<?php
// add_snippet_to_package.php
define("_XF_SNP_SUBMITNEWSNIPPET","Submit A New Snippet");
define("_XF_SNP_ONLYCREATORCANADDTOPACKAGE","Error - Only the creator of a package version can add snippets to it.");
define("_XF_SNP_SNIPPETDOESNOTEXIST","Error - That snippet doesn't exist");
define("_XF_SNP_BACKTOADDPAGE","Back To Add Page");
define("_XF_SNP_SNIPPETALREADYADDEDTOPACKAGE","Error - That snippet was already added to this package.");
define("_XF_SNP_SNIPPETVERSIONADDED","Snippet Version Added Successfully.");
define("_XF_SNP_GOBACKFILLALLINFO","Error - Go back and fill in all the information");
define("_XF_SNP_PACKAGE","Package");
define("_XF_SNP_CANUSEFORMREPEATEDLY","You can use this form repeatedly to keep adding snippets to your package.");
define("_XF_SNP_VERSIONIDISUNIQUE","The 'Snippet Version ID' is the unique ID number that is shown next to a specific version of a snippet on the browse pages.");
define("_XF_SNP_ADDSNIPPETVERSION","Add This Snippet Version ID");
define("_XF_SNP_MAKESUREALLCOMPLETE","Make sure all info is complete and accurate");
define("_XF_SNP_NOSNIPPETSINPACKAGE","No Snippets Are In This Package Yet");
define("_XF_SNP_SNIPPETSINPACKAGE","Snippets In This Package");

// addversion.php
define("_XF_SNP_SUBMITNEWSNIPPETVERSION","Submit A New Snippet Version");
define("_XF_SNP_IFMODIFIEDDOSHARE","If you have modified a version of a snippet and you feel it is significant enough to share with others, please do so.");
define("_XF_SNP_VERSION","Version");
define("_XF_SNP_CHANGES","Changes");
define("_XF_SNP_PASTECODEHERE","Paste the Code Here");
define("_XF_SNP_SUBMITNEWSNIPPETPACKAGE","Submit A New Snippet Package");
define("_XF_SNP_SNIPPETPACKAGEVERSIONADDED","Snippet Package Version Added Successfully.");
define("_XF_SNP_ADDSNIPETTOPACKAGE","Add Snippets to Package");
define("_XF_SNP_IMPORTANT","IMPORTANT!");
define("_XF_SNP_ADDSNIPPETSBEFORELEAVE","Use the following link to add snippets to your package BEFORE you leave this page.");
define("_XF_SNP_ADDSNIPPETSWITHLINK","<B>Browse the library</B> to find the snippets you want to add, then add them using the new window link shown above.");
define("_XF_SNP_IFMODIFIEDPACKAGEDOSHARE","If you have modified a version of a package and you feel it is significant enough to share with others, please do so.");

// browse.php
define("_XF_SNP_SNIPPETLIBRARY","Snippet Library");
define("_XF_SNP_SNIPPETSBYLANG","Snippets by language");
define("_XF_SNP_SNIPPETSBYCAT","Snippets by category");
define("_XF_SNP_NOSNIPPETSFOUND","No snippets found");
define("_XF_SNP_SNIPPETID","Snippet ID");
define("_XF_SNP_TITLE","Title");
define("_XF_SNP_CREATOR","Creator");
define("_XF_SNP_PACKAGESOFSNIPPETS","Packages Of Snippets");
define("_XF_SNP_SNIPPETS","Snippets");

// delete.php
define("_XF_SNP_DELETESNIPPETS","Delete Snippets");
define("_XF_SNP_ONLYCREATORCANDELETEFROMPACKAGE","Error - Only the creator of a package version can delete snippets from it.");
define("_XF_SNP_ITEMREMOVEDFROMPACKAGE","Item Removed From Package");
define("_XF_SNP_SNIPPETREMOVED","Snippet Removed");
define("_XF_SNP_ONLYCREATORCANDELETEPACKAGE","Error - Only the creator of a package version can delete it.");
define("_XF_SNP_PACKAGEREMOVED","Package Removed");

// detail.php
define("_XF_SNP_VERSIONSOFSNIPPET","Versions Of This Snippet");
define("_XF_SNP_DOWNLOADVERSION","Download Version");
define("_XF_SNP_DATEPOSTED","Date Posted");
define("_XF_SNP_AUTHOR","Author");
define("_XF_SNP_CHANGESSINCELASTVERSION","Changes since last version");
define("_XF_SNP_DOWNLOADRAWTEXT","Download a raw-text version of this code by clicking on '<B>Download Version</B>'");
define("_XF_SNP_LATESTVERSION","Latest Snippet Version");
define("_XF_SNP_YOUCANSUBMITIFMODIFIED","You can submit a new version of this snippet if you have modified it and you feel it is appropriate to share with others.");
define("_XF_SNP_VERSIONSOFPACKAGE","Versions Of This Package");
define("_XF_SNP_PACKAGEVERSION","Package Version");
define("_XF_SNP_EDITDEL","Edit/Del");
define("_XF_SNP_LATESTPACKAGEVERSION","Latest Package Version");
define("_XF_SNP_SUBMITNEWVERSION","Submit A New Version");
define("_XF_SNP_YOUCANSUBMITIFMODIFIEDPACKAGE","You can submit a new version of this package if you have modified it and you feel it is appropriate to share with others.");

// download.php
define("_XF_SNP_NOCODEFOUND","Nothing in Here");

// package.php
define("_XF_SNP_CANGROUPTOGETHER","You can group together existing snippets into a package using this interface. Before creating your package, make sure all your snippets are in place and you have made a note of the snippet ID's.");
define("_XF_SNP_CREATEPACKAGETHISFORM","Create the package using this form.");
define("_XF_SNP_THENADDSNIPPETSTOIT","<B>Then</B> use the 'Add Snippets to Package' link to add files to your package.");
define("_XF_SNP_NOTE","Note");
define("_XF_SNP_YOUCANSUBMITPACKAGEBYBROWSE","You can submit a new version of an existing package by browsing the library and using the link on the existing package. You should only use this page if you are submitting an entirely new package.");
define("_XF_SNP_LANGUAGE","Language");
define("_XF_SNP_CATEGORY","Category");

// snippet_caching.php
define("_XF_SNP_PURPOSE1","The purpose of this archive is to let you share your code snippets, scripts, and functions with the Open Source Software Community.");
define("_XF_SNP_PURPOSE2","You can create a 'new snippet', then post additional versions of that snippet quickly and easily.");
define("_XF_SNP_PURPOSE3","Once you have snippets posted, you can then create a 'Package' of snippets. That package can contain multiple, specific versions of other snippets.");
define("_XF_SNP_BROWSESNIPPETS","Browse Snippets");
define("_XF_SNP_YOUCANBROWSESNIPPETS","You can browse the snippet library quickly");
define("_XF_SNP_BROWSEBYLANGUAGE","Browse by Language");
define("_XF_SNP_BROWSEBYCATEGORY","Browse by Category");

// snipet_utils.php
define("_XF_SNP_BROWSE","Browse");
define("_XF_SNP_CREATEAPACKAGE","Create A Package");
define("_XF_SNP_TYPE","Type");
define("_XF_SNP_LICENSE","License");

// submit.php
define("_XF_SNP_SNIPPETADDED","Snippet Added Successfully.");
define("_XF_SNP_YOUCANPOSTSNIPPET","You can post a new code snippet and share it with other people around the world. Just fill in this information. <B>Give a good description</B> and <B>comment your code</B> so others can read and understand it.");
define("_XF_SNP_YOUCANPOSTSNIPPETBYBROWSE","You can submit a new version of an existing snippet by browsing the library. You should only use this page if you are submitting an entirely new script or function.");

?>