<?php
/**
  *
  * SourceForge User's Personal Page
  *
  * Confirmation page for users' removing themselves from project.
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: rmproject.php,v 1.2 2002/05/29 08:41:37 arjenvanefferen Exp $
  *
  */
include_once ("../../mainfile.php");

$langfile="my.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");

if (!$xoopsUser)
{
	redirect_header(XOOPS_URL."/user.php",2,_NOPERM);
	exit;
}

$group =& group_get_object($group_id);

if ($confirm) {

	$user_id = $xoopsUser->getVar("uid");

	if (!$group->removeUser($user_id)) {
		echo 'ERROR<br />'.$group->getErrorMessage();
		exit;
	} else {                    
	  redirect_header(XOOPS_URL."/xf/my/",0,_XF_MY_TAKINGBACK);
	  exit;
	}
}

/*
	Main code
*/

$perm =& $group->getPermission( $xoopsUser );

if ( $perm->isAdmin() ) {
	redirect_header(XOOPS_URL."/xf/my/",20,sprintf(_XF_MY_PROJECTADMINERROR, $group_id));
	exit;
}

include("../../header.php");
OpenTable();

echo "<H4 style='text-align:left;'>"._XF_MY_QUITTINGPROJECT."</H4>"
    ."<P>"
    ."<A HREF='".XOOPS_URL."/xf/my/'>"._XF_MY_MYPERSONALPAGE."</A> | "
    ."<A HREF='".XOOPS_URL."/xf/my/diary.php'>"._MY_XF_DIARYNOTES."</A> | "
	  ."<A HREF='".XOOPS_URL."/user.php'>"._XF_MY_MYACCOUNT."</A>"
		."<P>";

echo '
<H4>'._XF_MY_QUITTINGPROJECT.'</H4>
<p>'._XF_MY_ABOUTTOREMOVE.'</p>

<table>
<tr><td>

<form action="'.$PHP_SELF.'" method="POST">
<input type="hidden" name="confirm" value="1">
<input type="hidden" name="group_id" value="'.$group_id.'">
<input type="submit" value="'._XF_G_REMOVE.'">
</form>

</td><td>

<form action="'.XOOPS_URL.'/xf/my/" method="GET">
<input type="submit" value="'._XF_G_CANCEL.'">
</form>

</td></tr>
</table>
';

CloseTable();
include("../../footer.php");
?>
