<?php
/**
  *
  * SourceForge Jobs (aka Help Wanted) Board
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: createjob.php,v 1.3 2002/05/30 22:06:32 arjenvanefferen Exp $
  *
  */

include_once ("../../mainfile.php");

$langfile="people.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");
require_once(XOOPS_ROOT_PATH."/xf/people/people_utils.php");

if ($group_id && $group_id != '') {

  $group =& group_get_object($group_id);
  $perm  =& $group->getPermission( $xoopsUser );
	
  if (!$perm->isAdmin() && !$perm->isSuperUser())
  {
    redirect_header($GLOBALS["HTTP_REFERER"],4,_XF_G_PERMISSIONDENIED."<br />"._XF_PRJ_NOTADMINTHISPROJECT);
    exit;
  }

  people_header($group_id, $job_id);

  echo '
        <H4>'._XF_PEO_CREATEJOBFORPROJECT.'</H4>
        <P>'._XF_PEO_STARTFILLINGINFIELDSBELOW.'
				<P>
	      <FORM ACTION="'.XOOPS_URL.'/xf/people/editjob.php" METHOD="POST">
	      <INPUT TYPE="HIDDEN" NAME="group_id" VALUE="'.$group_id.'">
	      <B>'._XF_PEO_CATEGORY.':</B><BR>
	      '.people_job_category_box('category_id') .'
	      <P>
	      <B>'._XF_PEO_SHORTDESCRIPTION.':</B><BR>
	      <INPUT TYPE="TEXT" NAME="title" VALUE="" SIZE="40" MAXLENGTH="60">
	      <P>
	      <B>'._XF_PEO_LONGDESCRIPTION.':</B><BR>
	      <TEXTAREA NAME="description" ROWS="10" COLS="60" WRAP="SOFT"></TEXTAREA>
	      <P>
	      <INPUT TYPE="SUBMIT" NAME="add_job" VALUE="'._XF_PEO_CONTINUE.' >>">
	      </FORM>';

  people_footer();

} else {
  redirect_header($GLOBALS["HTTP_REFERER"],4,"ERROR<br />No Group!");
  exit;
}
?>