<?php
/**
  *
  * SourceForge Jobs (aka Help Wanted) Board
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: viewjob.php,v 1.3 2002/05/30 08:39:30 arjenvanefferen Exp $
  *
  */
include_once ("../../mainfile.php");

$langfile="people.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");
require_once(XOOPS_ROOT_PATH."/xf/people/people_utils.php");

if ($group_id && $job_id) {

	/*
		Fill in the info to create a job
	*/

	//for security, include group_id
	$sql = "SELECT g.group_name,g.unix_group_name,pjc.name AS category_name,"
        ."pjs.name AS status_name,"
        ."pj.title,pj.description,pj.date,u.uname,u.uid "
        ."FROM ".$xoopsDB->prefix("xf_people_job")." pj,".$xoopsDB->prefix("xf_groups")." g,".$xoopsDB->prefix("xf_people_job_status")." pjs,".$xoopsDB->prefix("xf_people_job_category")." pjc,".$xoopsDB->prefix("users")." u "
        ."WHERE pjc.category_id=pj.category_id "
        ."AND pjs.status_id=pj.status_id "
        ."AND u.uid=pj.created_by "
        ."AND g.group_id=pj.group_id "
        ."AND pj.job_id='$job_id' "
        ."AND pj.group_id='$group_id'";

	$result = $xoopsDB->query($sql);

	if (!$result || $xoopsDB->getRowsNum($result) < 1) {
		$feedback .= ' POSTING fetch FAILED ';
		people_header($group_id, $job_id);
    echo "<H4>"._XF_PEO_VIEWAJOB."</H4>";
		echo $xoopsDB->error();
		echo '<H4>'._XF_PEO_NOSUCHPOSTING.'</H4>';
	} else {
		people_header($group_id, $job_id);
    echo "<H4>"._XF_PEO_VIEWAJOB."</H4>";
		echo '
		<P>
		<TABLE BORDER="0" WIDTH="100%">
    <TR><TD COLSPAN="2">
		<B>'. $ts->makeTboxData4Show(unofficial_getDBResult($result,0,'title')) .'</B>
		</TD></TR>

		<TR><TD>
			<B>'._XF_PEO_CONTACTINFO.':<BR>
			<A HREF="javascript:openWithSelfMain(\''.XOOPS_URL.'/pmlite.php?send2=1&to_userid='.unofficial_getDBResult($result,0,'uid').'\',\'pmlite\',360,290);">'. unofficial_getDBResult($result,0,'uname') .'</a></B>
		</TD><TD>
			<B>'._XF_PEO_STATUS.':</B><BR>
			'. unofficial_getDBResult($result,0,'status_name') .'
		</TD></TR>

		<TR><TD>
			<B>'._XF_PEO_OPENDATE.':</B><BR>
			'. date($sys_datefmt,unofficial_getDBResult($result,0,'date')) .'
		</TD><TD>
			<B>'._XF_PEO_FORPROJECT.':<BR>
			<A HREF="'.XOOPS_URL.'/xf/project/?'. unofficial_getDBResult($result,0,'unix_group_name') .'">'. unofficial_getDBResult($result,0,'group_name') .'</A></B>
		</TD></TR>

		<TR><TD COLSPAN="2">
			<B>'._XF_PEO_LONGDESCRIPTION.':</B><P>
			'. $ts->makeTareaData4Show(unofficial_getDBResult($result,0,'description')) .'
		</TD></TR>
		<TR><TD COLSPAN="2">
		<H4>'._XF_PEO_REQUIREDSKILLS.':</H4>';

		//now show the list of desired skills
		echo '<P>'.people_show_job_inventory($job_id).'</TD></TR></TABLE>';
	}

	people_footer();

} else {
  if (!$group_id) {
    redirect_header($GLOBALS["HTTP_REFERER"],2,"ERROR<br />No Group!");
    exit;
  } else {
    redirect_header($GLOBALS["HTTP_REFERER"],2,"ERROR<br />Posting ID not found");
    exit;
  }
}

?>
