<?php
/**
  *
  * SourceForge Project/Task Manager (PM)
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: index.php,v 1.2 2002/05/29 10:28:44 arjenvanefferen Exp $
  *
  */
include_once ("../../mainfile.php");

$langfile="pm.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");
require_once(XOOPS_ROOT_PATH."/xf/pm/pm_utils.php");

if ($group_id) {
  $group =& group_get_object($group_id);

  pm_header($group, sprintf (_XF_PM_PROJECTSFOR, $group->getPublicName()), $group_project_id);

  if ( $xoopsUser && $group->isMemberOfGroup( $xoopsUser )) {
    $public_flag='0,1';
  } else {
    $public_flag='1';
  }

  $sql = "SELECT * FROM ".$xoopsDB->prefix("xf_project_group_list")." WHERE group_id='$group_id' AND is_public IN ($public_flag)";
  $result = $xoopsDB->query ($sql);
  $rows = $xoopsDB->getRowsNum($result);

  if (!$result || $rows < 1) {
    echo "<H4>"._XF_PM_NOSUBPROJECTSFOUND."</H4>";
    echo "<P>"
        ."<B>"._XF_PM_NOSUBPROJECTSSETUP."."
	."<P><FONT COLOR=RED>"._XF_PM_NEEDADMINTOSETUP."</FONT></B>";

    pm_footer();
    exit;
  }

  echo '<P>'._XF_PM_CHOOSESUBPROJECT.'<P>';

	/*
		Put the result set (list of forums for this group) into a column with folders
	*/

  for ($j = 0; $j < $rows; $j++) {
    echo '
      <A HREF="'.XOOPS_URL.'/xf/pm/task.php?group_project_id='.unofficial_getDBResult($result, $j, 'group_project_id')
     .'&group_id='.$group_id.'&func=browse">'
     .'<img src="'.XOOPS_URL.'/xf/images/ic/index.png" width="24" height="24" border="0"> &nbsp;'
     .$ts->makeTboxData4Show(unofficial_getDBResult($result, $j, 'project_name')).'</A><BR>'
     .$ts->makeTareaData4Show(unofficial_getDBResult($result, $j, 'description')).'<P>';
  }

  pm_footer();
} else {
  redirect_header($GLOBALS["HTTP_REFERER"],4,"Error<br />NO group");
  exit;
}
?>
