<?php
/**
  *
  * SourceForge Project/Task Manager (PM)
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: mod_task.php,v 1.2 2002/05/29 10:28:44 arjenvanefferen Exp $
  *
  */
$g =& group_get_object($group_id);

pm_header($g, _XF_PM_MODIFYATASK, $group_project_id);

$sql = "SELECT * FROM ".$xoopsDB->prefix("xf_project_task")." "
      ."WHERE project_task_id='$project_task_id' "
      ."AND group_project_id='$group_project_id'";

$result = $xoopsDB->query($sql);

?>

<FORM ACTION="<?php echo $PHP_SELF; ?>" METHOD="POST">
<INPUT TYPE="HIDDEN" NAME="func" VALUE="postmodtask">
<INPUT TYPE="HIDDEN" NAME="group_id" VALUE="<?php echo $group_id; ?>">
<INPUT TYPE="HIDDEN" NAME="group_project_id" VALUE="<?php echo $group_project_id; ?>">
<INPUT TYPE="HIDDEN" NAME="project_task_id" VALUE="<?php echo $project_task_id; ?>">

<TABLE BORDER="0" WIDTH="100%">
	<TR>
		<TD><B><?php echo _XF_PM_SUBPROJECT; ?>:</B>
		<BR>
		<?php echo pm_show_subprojects_box('new_group_project_id',$group_id,$group_project_id); ?>
		</TD>

		<TD><FONT SIZE="-1">
		<INPUT TYPE="submit" value="<?php echo _XF_G_CHANGE; ?>" name="submit"></FONT>
		</TD>
	</TR>

	<TR>
		<TD><B><?php echo _XF_PM_PERCENTCOMPLETE; ?>:</B>
		<BR>
		<?php echo pm_show_percent_complete_box('percent_complete',unofficial_getDBResult($result,0,'percent_complete')); ?>
		</TD>

		<TD><B><?php echo _XF_G_PRIORITY; ?>:</B>
		<BR>
		<?php echo build_priority_select_box('priority',unofficial_getDBResult($result,0,'priority')); ?>
		</TD>
	</TR>

  	<TR>
		<TD COLSPAN="2"><B><?php echo _XF_G_SUMMARY; ?>:</B>
		<BR>
		<INPUT TYPE="text" name="summary" size="40" MAXLENGTH="65" VALUE="<?php echo $ts->makeTboxData4Edit(unofficial_getDBResult($result,0,'summary')); ?>">
		</TD>
	</TR>

	<TR>
		<TD COLSPAN="2">
		<B><?php echo _XF_PM_ORIGINALCOMMENT; ?>:</B>
		<P>
		<?php echo $ts->makeTareaData4Show(unofficial_getDBResult($result,0,'details')); ?>
		<P>
		<B><?php echo _XF_PM_ADDACOMMENT; ?>:</B>
		<BR>
		<TEXTAREA NAME="details" ROWS="5" COLS="40" WRAP="SOFT"></TEXTAREA>
		</TD>
	</TR>

	<TR>
    		<TD COLSPAN="2"><B><?php echo _XF_PM_STARTDATE; ?>:</B>
		<BR>
		<?php
		echo pm_show_month_box ('start_month',date('m', unofficial_getDBResult($result,0,'start_date')));
		echo pm_show_day_box ('start_day',date('d', unofficial_getDBResult($result,0,'start_date')));
		echo pm_show_year_box ('start_year',date('Y', unofficial_getDBResult($result,0,'start_date')));
		?>
		</TD>
	</TR>

	<TR>
		<TD COLSPAN="2"><B><?php echo _XF_PM_ENDDATE; ?>:</B>
		<BR>
		<?php
		echo pm_show_month_box ('end_month',date('m', unofficial_getDBResult($result,0,'end_date')));
		echo pm_show_day_box ('end_day',date('d', unofficial_getDBResult($result,0,'end_date')));
		echo pm_show_year_box ('end_year',date('Y', unofficial_getDBResult($result,0,'end_date')));
		?>
		</TD>
	</TR>

	<TR>
		<TD>
		<B><?php echo _XF_G_ASSIGNEDTO; ?>:</B>
		<BR>
		<?php
		/*
			List of possible users that this one could be assigned to
		*/
		echo pm_multiple_assigned_box ('assigned_to[]',$group_id,$project_task_id);
		?>
		</TD>

		<TD>
		<B><?php echo _XF_PM_DEPENDENTONTASK; ?>:</B>
		<BR>
		<?php
		/*
			List of possible tasks that this one could depend on
		*/

		echo pm_multiple_task_depend_box ('dependent_on[]',$group_project_id,$project_task_id);
		?>
		</TD>
	</TR>

	<TR>
		<TD>
		<B><?php echo _XF_PM_HOURS; ?>:</B>
		<BR>
		<INPUT TYPE="text" name="hours" size="5" VALUE="<?php echo unofficial_getDBResult($result,0,'hours'); ?>">
		</TD>

		<TD>
		<B><?php echo _XF_PM_STATUS; ?>:</B>
		<BR>
		<?php
		echo pm_status_box ('status_id',unofficial_getDBResult($result,0,'status_id'));
		?>
		</TD>
	</TR>

	<TR>
		<TD COLSPAN="2">
			<?php echo pm_show_dependent_tasks ($project_task_id,$group_id,$group_project_id); ?>
		</TD>
	</TR>

	<TR>
		<TD COLSPAN="2">
			<?php echo pm_show_task_details ($project_task_id); ?>
		</TD>
	</TR>

	<TR>
		<TD COLSPAN="2">
			<?php echo pm_show_task_history ($project_task_id); ?>
		</TD>
	</TR>

	<TR>
		<TD COLSPAN="2" ALIGN="MIDDLE">
		<INPUT TYPE="submit" value="<?php echo _XF_G_CHANGE; ?>" name="submit">
		</TD>
		</form>
	</TR>

</table>
<?php

pm_footer();

?>
