<?php
/**
  *
  * Package Monitor Page
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: filemodule_monitor.php,v 1.2 2002/05/29 18:15:46 arjenvanefferen Exp $
  *
  */

include_once("../../mainfile.php");

$langfile="project.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");

if ($xoopsUser) {
	/*
		User obviously has to be logged in to monitor
		a file module
	*/

  include ("../../header.php");
  OpenTable();
	
	echo "<H4 style='text-align:left;'>"._XF_PRJ_MONITORAPACKAGE."</H4>";

	if ($filemodule_id) {
		/*
			First check to see if they are already monitoring
			this thread. If they are, say so and quit.
			If they are NOT, then insert a row into the db
		*/


		$sql = "SELECT * FROM ".$xoopsDB->prefix("xf_filemodule_monitor")." WHERE user_id='".$xoopsUser->getVar("uid")."' AND filemodule_id='$filemodule_id'";

		$result = $xoopsDB->query($sql);

		if (!$result || $xoopsDB->getRowsNum($result) < 1) {
			/*
				User is not already monitoring this filemodule, so 
				insert a row so monitoring can begin
			*/
			$sql = "INSERT INTO ".$xoopsDB->prefix("xf_filemodule_monitor")." (filemodule_id,user_id) VALUES ('$filemodule_id','".$xoopsUser->getVar("uid")."')";

			$result = $xoopsDB->queryF($sql);

			if (!$result) {
				echo "<FONT COLOR='RED'>Error inserting into filemodule_monitor</FONT>";
				echo $xoopsDB->error();
			} else {
				echo "<FONT COLOR='RED'><H4 style='text-align:left;'>"._XF_PRJ_PACKAGEISMONITORED."</H4></FONT>"
            ."<P>"._XF_PRJ_PACKAGEMONITOREDINFO1
            ."<P>"._XF_PRJ_PACKAGEMONITOREDINFO2;
			}

		} else {

			$sql = "DELETE FROM ".$xoopsDB->prefix("xf_filemodule_monitor")." WHERE user_id='".$xoopsUser->getVar("uid")."' AND filemodule_id='$filemodule_id'";
			$result = $xoopsDB->queryF($sql);
			echo "<FONT COLOR='RED'><H4 style='text-align:left;'>"._XF_PRJ_MONITORINGTURNEDOFF."</H4></FONT>"
          ."<P>"._XF_PRJ_MONITORINGTURNEDOFFINFO;

		}

	} else {
		echo "<FONT COLOR='RED'><H4 style='text-align:left;'>Error - Choose a package First</H4></FONT>";
	} 

  CloseTable();
  include ("../../footer.php");
} else {
	redirect_header($GLOBALS["HTTP_REFERER"],2,_NOPERM);
	exit;
}
?>
