<?php 
/**
 * project_home.php
 *
 * SourceForge: Breaking Down the Barriers to Open Source Development
 * Copyright 1999-2001 (c) VA Linux Systems
 * http://sourceforge.net
 *
 * @version   $Id: index.php,v 1.3 2002/05/30 08:39:30 arjenvanefferen Exp $
 */
include_once("../../mainfile.php");

$langfile="project.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/vote_function.php");
require_once(XOOPS_ROOT_PATH."/xf/include/vars.php");
require_once(XOOPS_ROOT_PATH."/xf/news/news_utils.php");
require_once(XOOPS_ROOT_PATH."/xf/include/trove.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");

/**
 *
 *
 *
 */
if (!$group_id || !is_numeric($group_id)) {
	$unixname = strtolower($QUERY_STRING);
	$res = $xoopsDB->query("SELECT group_id FROM ".$xoopsDB->prefix("xf_groups")." WHERE unix_group_name='".$unixname."'");
	if (!$res || $xoopsDB->getRowsNum($res) < 1) {

	} else {
	  $group_arr = $xoopsDB->fetchArray($res);
	  $group_id = $group_arr['group_id'];
	}
}
$project =& group_get_object($group_id);
/**
 *
 *
 *
 */
if (!$project) {
  redirect_header(XOOPS_URL,4,_XF_PRJ_PROJECTDOESNOTEXIST);
  exit;
}
$perm  =& $project->getPermission( $xoopsUser );

//group is private
if (!$project->isPublic()) {
	//if it's a private group, you must be a member of that group
	if (!$project->isMemberOfGroup($xoopsUser) && !$perm->isSuperUser())
	{
		redirect_header(XOOPS_URL."/",4,_XF_PRJ_PROJECTMARKEDASPRIVATE);
		exit;
	}
}

//for dead projects must be member of xoopsforge project
if (!$project->isActive() && !$perm->isSuperUser()) {
		redirect_header(XOOPS_URL,4,_XF_PRJ_NOTAUTHORIZEDTOENTER);
		exit;
}

include ("../../header.php");
OpenTable();

echo "<b>"._XF_G_PROJECT.": ".$project->getPublicName()."</b><br /><br />";
echo "<B style='font-size:16px;align:left;'>"._XF_G_SUMMARY."</B><br />";
project_tabs ('home', $group_id);

// two column deal
?>

<TABLE WIDTH="100%" BORDER="0">
<TR><TD WIDTH="99%" VALIGN="top">
<?php 
// ########################################## top area, not in box 
$res_admin = $xoopsDB->query("SELECT u.uid,u.uname "
                            ."FROM ".$xoopsDB->prefix("users")." u,".$xoopsDB->prefix("xf_user_group")." ug "
														."WHERE ug.user_id=u.uid "
														."AND ug.group_id=$group_id "
														."AND ug.admin_flags='A' "
														."AND u.level>0");

if ($project->getStatus() == 'H') {
	echo "<P>"._XF_PRJ_ISMAINTAINEDBYSTAFF;
}

if ($project->getDescription()) {
	echo "<P>" . $ts->makeTareaData4Show($project->getDescription());
} else {
	echo "<P>"._XF_PRJ_NODESCRIPTION;
}

// trove info
echo "<BR>&nbsp;<BR>";
trove_getcatlisting($group_id,0,1);

// Get the activity percentile
$actv = $xoopsDB->query("SELECT percentile FROM ".$xoopsDB->prefix("xf_project_weekly_metric")." WHERE group_id='$group_id'");
$actv_res = unofficial_getDBResult($actv,0,"percentile");
if (!$actv_res) {
	$actv_res=0;
}

echo _XF_PRJ_UNIXNAME.": " . $project->getUnixName();
echo "<br>"._XF_PRJ_REGISTERED.": " . date($sys_datefmt, $project->getStartDate());
echo "<br>"._XF_PRJ_ACTIVITYPERCENT.": ".$actv_res."%";

$jobs_res = $xoopsDB->query("SELECT name "
                           ."FROM ".$xoopsDB->prefix("xf_people_job")." pj,".$xoopsDB->prefix("xf_people_job_category")." pjc "
													 ."WHERE pj.category_id=pjc.category_id "
													 ."AND pj.status_id=1 "
													 ."AND group_id='$group_id' "
													 ."GROUP BY name",2);

if ($jobs_res) {
	$num = $xoopsDB->getRowsNum($jobs_res);
	if ($num > 0) {
		echo '<br><br>'._XF_PRJ_HELPWANTEDFOR_1.' ';
		if ($num==1) {
		  echo '<a href="'.XOOPS_URL.'/xf/people/?group_id='.$group_id.'">'.
			     unofficial_getDBResult($jobs_res,0,"name").'(s)</a>';
	  } else {
			echo _XF_PRJ_HELPWANTEDFOR_2.' '.
		    	 '<a href="'.XOOPS_URL.'/xf/people/?group_id='.$group_id.'">'._XF_PRJ_HELPWANTEDFOR_3.'</a>';
		}
	}
}

echo "</TD><TD NoWrap VALIGN='top'>";

// ########################### Developers on this project

$title = _XF_PRJ_DEVELOPERSINFO;
$content = "";
if ($xoopsDB->getRowsNum($res_admin) > 0) {

  $content .= "<b>"._XF_PRJ_PROJECTADMINS."</b><br />"; 
	while ($row_admin = $xoopsDB->fetchArray($res_admin)) {
		$content .= "<A href='".XOOPS_URL."/userinfo.php?uid=".$row_admin['uid']."'>".$row_admin['uname']."</A><BR>";
	}
	$content .= "<HR WIDTH='100%' SIZE='1' NoShade>";
}

$content .= "<b>"._XF_PRJ_DEVELOPERS.":</b> "; 

$res_count = $xoopsDB->query("SELECT user_id FROM ".$xoopsDB->prefix("xf_user_group")." WHERE group_id=".$group_id);
$content .= $xoopsDB->getRowsNum($res_count)
         ." [ <A HREF='".XOOPS_URL."/xf/project/memberlist.php?group_id=".$group_id."'>"._XF_PRJ_VIEWMEMBERS."</A> ]";

themesidebox($title, $content);

?>
</TD></TR>
</TABLE>
<P>
<?php

// ############################# File Releases

	$unix_group_name = $project->getUnixName();

  $title = _XF_PRJ_LATESTFILERELEASES;
	$content = "
		<TABLE cellspacing='1' cellpadding='5' width='100%' border='0'>
		<TR class='bg2'>
		<TD align='left'><b>"._XF_PRJ_PACKAGE."</b></td>
		<TD align='center'><b>"._XF_PRJ_VERSION."</b></td>
		<td align='center'><b>"._XF_PRJ_RELEASEDATE."</b></td>
		<TD align='center'><b>"._XF_PRJ_NOTES." / "._XF_PRJ_MONITOR."</b></td>
		<TD align='center'><b>"._XF_PRJ_DOWNLOAD."</b></td>
		</TR>";

		$sql = "SELECT p.package_id,p.name AS package_name,r.name AS release_name,r.release_id AS release_id,r.release_date AS release_date "
		      ."FROM ".$xoopsDB->prefix("xf_frs_package")." p,".$xoopsDB->prefix("xf_frs_release")." r "
					."WHERE p.package_id=r.package_id "
					."AND p.group_id='$group_id' "
					."AND r.status_id=1 "
					."ORDER BY p.package_id,r.release_date DESC";

		$res_files  = $xoopsDB->query($sql);
		$rows_files = $xoopsDB->getRowsNum($res_files);
		
		if (!$res_files || $rows_files < 1) {
			echo $xoopsDB->error();
			// No releases
			$content .= "<TR class='bg3'><TD COLSPAN='5'><B>"._XF_PRJ_THISPROJECTNOTRELEASED."</B></TD></TR>";

		} else {
			/*
				This query actually contains ALL releases of all packages
				We will test each row and make sure the package has changed before printing the row
			*/
			for ($f = 0; $f < $rows_files; $f++) {
				if (unofficial_getDBResult($res_files,$f,'package_id') == unofficial_getDBResult($res_files,($f-1),'package_id')) {
					//same package as last iteration - don't show this release
				} else {
					$rel_date = getdate(unofficial_getDBResult($res_files,$f,'release_date'));
					$content .= "<TR class='bg3' ALIGN='center'>"
					         ."<TD ALIGN='left'>"
							     ."<B>".$ts->makeTboxData4Show(unofficial_getDBResult($res_files,$f,'package_name'))."</B></TD>";

					// Releases to display
					$content .= "<TD>".$ts->makeTboxData4Show(unofficial_getDBResult($res_files,$f,'release_name'))
					         ."</TD>"
							     ."<TD>".$rel_date["month"]." ".$rel_date["mday"].", ".$rel_date["year"]."</td>"
							     ."<TD><A href='".XOOPS_URL."/xf/project/shownotes.php?group_id=".$group_id."&release_id=".unofficial_getDBResult($res_files,$f,'release_id')."'>";
					$content .= "<img src='".XOOPS_URL."/xf/images/ic/manual16c.png' width='15' height='15' alt='"._XF_PRJ_RELEASENOTES."'>";
					$content .= "</A> - <A HREF='".XOOPS_URL."/xf/project/filemodule_monitor.php?filemodule_id=".unofficial_getDBResult($res_files,$f,'package_id')."'>";
					$content .= "<img src='".XOOPS_URL."/xf/images/ic/mail16d.png' width='15' height='15' alt='"._XF_PRJ_MONITORTHISPACKAGE."'>";
					$content .= "</A>"
					         ."</TD>"
							     ."<TD><A HREF='".XOOPS_URL."/xf/project/showfiles.php?group_id=".$group_id."&release_id=".unofficial_getDBResult($res_files,$f,'release_id')."'>"._XF_PRJ_DOWNLOAD."</A></TD></TR>";
				}
			}
		}
		$content .= "</TABLE>"
		         ."<div align='center'>"
						 ."[ <a href='".XOOPS_URL."/xf/project/showfiles.php?group_id=".$group_id."'>"._XF_PRJ_VIEWALLPROJECTFILES."</A> ]"
						 ."</div>";
		
	  themesidebox($title, $content);
  ?>
<P>
<TABLE WIDTH="100%" BORDER="0" CELLPADDING="0" CELLSPACING="0">
<TR><TD VALIGN="top">

<?php

// ############################## PUBLIC AREAS
$title = _XF_PRJ_PUBLICAREA;
$content = "";
// ################# Homepage Link

$content .= "<A href='http://".$project->getHomePage()."'>";
$content .= "<img src='".XOOPS_URL."/xf/images/ic/home16b.png' height='20' width='20' alt='"._XF_G_HOMEPAGE."'>";
$content .= "&nbsp;"._XF_PRJ_PROJECTHOMEPAGE."</A>";

// ################## ArtifactTypes

$content .= "<HR SIZE='1' noshade><A href='".XOOPS_URL."/xf/tracker/?group_id=".$group_id."'>";
$content .= "<img src='".XOOPS_URL."/xf/images/ic/taskman16b.png' height='20' width='20' alt='"._XF_PRJ_PROJECTTRACKERS."'>";
$content .= " "._XF_G_TRACKERS."</A>";

$result = $xoopsDB->query("SELECT agl.*,aca.count,aca.open_count "
                         ."FROM ".$xoopsDB->prefix("xf_artifact_group_list")." agl "
												 ."LEFT JOIN ".$xoopsDB->prefix("xf_artifact_counts_agg")." aca USING (group_artifact_id) "
												 ."WHERE agl.group_id='$group_id' "
												 ."AND agl.is_public=1 "
												 ."ORDER BY group_artifact_id ASC");

$rows = $xoopsDB->getRowsNum($result);

if (!$result || $rows < 1) {
	$content .= "<BR><I>"._XF_PRJ_NOPUBLICTRACKERS."</I>";
} else {
	for ($j = 0; $j < $rows; $j++) {
		$content .= "<P>"
		         ."&nbsp;-&nbsp;<A HREF='".XOOPS_URL."/xf/tracker/?atid=".unofficial_getDBResult($result, $j, 'group_artifact_id')
						 ."&group_id=".$group_id."&func=browse'>".$ts->makeTboxData4Show(unofficial_getDBResult($result, $j, 'name'))."</A>"
						 ." ( <B>".unofficial_getDBResult($result, $j, 'open_count')." "._XF_PRJ_OPEN." / ".unofficial_getDBResult($result, $j, 'count')." "._XF_PRJ_TOTAL."</B> )<BR>"
						 .$ts->makeTboxData4Show(unofficial_getDBResult($result, $j, 'description'));
	}
}

// ################## forums

if ($project->usesForum()) {
	$content .= "<HR SIZE='1' NoShade><A href='".XOOPS_URL."/xf/forum/?group_id=".$group_id."'>";
	$content .= "<img src='".XOOPS_URL."/xf/images/ic/notes16.png' width='20' height='20' alt='"._XF_G_FORUMS."'>"; 
	$content .= "&nbsp;"._XF_PRJ_PUBLICFORUMS."</A>";
	$content .= " ( ".sprintf(_XF_PRJ_MESSAGESINFORUMS, "<B>".project_get_public_forum_message_count($group_id)."</B>", "<B>".project_get_public_forum_count($group_id)."</B>")." )\n";
}

// ##################### Doc Manager

if ($project->usesDocman()) {
	$content .= "<HR SIZE='1' NoShade>";
  $content .= "<A href='".XOOPS_URL."/xf/docman/?group_id=".$group_id."'>";
  $content .= "<img src='".XOOPS_URL."/xf/images/ic/docman16b.png' width='20' height='20' alt='"._XF_G_DOCS."'>";
  $content .= "&nbsp;"._XF_PRJ_PROJECTDOCUMENTATION."</A>";
}

// ##################### Task Manager 

if ($project->usesPm()) {
	$content .= "<HR SIZE='1' NoShade><A href='".XOOPS_URL."/xf/pm/?group_id=".$group_id."'>";
  $content .= "<img src='".XOOPS_URL."/xf/images/ic/taskman16b.png' width='20' height='20' alt='"._XF_G_TASKS."'>";
  $content .= "&nbsp;"._XF_PRJ_TASKMANAGER."</A>";
	
	$sql = "SELECT * FROM ".$xoopsDB->prefix("xf_project_group_list")." WHERE group_id='$group_id' AND is_public=1";
	$result = $xoopsDB->query($sql);
	$rows = $xoopsDB->getRowsNum($result);
	if (!$result || $rows < 1) {
		$content .= "<BR /><I>"._XF_PRJ_NOSUBPROJECTS."</I>";
	} else {
		for ($j = 0; $j < $rows; $j++) {
			$content .= "<BR> &nbsp; - <A HREF='".XOOPS_URL."/xf/pm/task.php?group_project_id=".unofficial_getDBResult($result, $j, 'group_project_id')
			           ."&group_id=".$group_id."&func=browse'>".$ts->makeTboxData4Show(unofficial_getDBResult($result, $j, 'project_name'))."</A>";
		}
	}
}


// ######################### Surveys 

if ($project->usesSurvey()) {
	$content .= "<HR SIZE='1' NoShade><A href='".XOOPS_URL."/xf/survey/?group_id=".$group_id."'>";
  $content .= "<img src='".XOOPS_URL."/xf/images/ic/survey16b.png' width='20' height='20' alt='"._XF_G_SURVEYS."'>";
  $content .= " "._XF_G_SURVEYS."</A>";
  $content .= " ( <B>".project_get_survey_count($group_id)."</B> "._XF_PRJ_SURVEYS." )";
}

themesidebox($title, $content);


if ($project->usesNews()) {
	// COLUMN BREAK
	?>

	</TD>
	<TD WIDTH="15">&nbsp;</TD>
	<TD VALIGN="top">

	<?php
	// ############################# Latest News
  $title = _XF_PRJ_LATESTNEWS;
	
	$content = news_show_latest($group_id,10,false);

  themesidebox($title, $content);
}


?>

</TD>

</TR></TABLE>

<?php

CloseTable();
include("../../footer.php");
?>