<?php
/**
  *
  * SourceForge Code Snippets Repository
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: browse.php,v 1.2 2002/05/29 18:55:28 arjenvanefferen Exp $
  *
  */
include_once ("../../mainfile.php");

$langfile="snippet.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/snippet/snippet_utils.php");

snippet_header(_XF_SNP_SNIPPETLIBRARY);

if ($by == 'lang') {

	$sql = "SELECT u.uname,s.description,s.snippet_id,s.name "
	      ."FROM ".$xoopsDB->prefix("xf_snippet")." s,".$xoopsDB->prefix("users")." u "
				."WHERE u.uid=s.created_by "
				."AND s.language='$lang'";

	$sql2 = "SELECT u.uname,sp.description,sp.snippet_package_id,sp.name "
	       ."FROM ".$xoopsDB->prefix("xf_snippet_package")." sp,".$xoopsDB->prefix("users")." u "
				 ."WHERE u.uid=sp.created_by "
				 ."AND sp.language='$lang'";

	echo '<H4>'._XF_SNP_SNIPPETSBYLANG.': '.$SCRIPT_LANGUAGE[$lang].'</H4>';

} else if ($by == 'cat') {

	$sql = "SELECT u.uname,s.description,s.snippet_id,s.name "
	      ."FROM ".$xoopsDB->prefix("xf_snippet")." s,".$xoopsDB->prefix("users")." u "
				."WHERE u.uid=s.created_by "
				."AND s.category='$cat'";

	$sql2 = "SELECT u.uname,sp.description,sp.snippet_package_id,sp.name "
	       ."FROM ".$xoopsDB->prefix("xf_snippet_package")." sp,".$xoopsDB->prefix("users")." u "
				 ."WHERE u.uid=sp.created_by "
				 ."AND sp.category='$cat'";

	echo '<H4>'._XF_SNP_SNIPPETSBYCAT.': '.$SCRIPT_CATEGORY[$cat].'</H4>';

} else {

  echo 'Error<br />Error - bad url?';

}

$result = $xoopsDB->query($sql);
$rows = $xoopsDB->getRowsNum($result);

$result2 = $xoopsDB->query($sql2);
$rows2 = $xoopsDB->getRowsNum($result2);

if ((!$result || $rows < 1) && (!$result2 || $rows2 < 1)) {
	echo '<H4>'._XF_SNP_NOSNIPPETSFOUND.'</H4>';
} else {

  echo "<table border='0' width='100%'>"
	    ."<tr class='bg2'>"
			."<td><b>"._XF_SNP_SNIPPETID."</b></td>"
			."<td><b>"._XF_SNP_TITLE."</b></td>"
      ."<td><b>"._XF_SNP_CREATOR."</b></td>"
  	  ."</tr>";

	/*
		List packages if there are any
	*/
	if ($rows2 > 0) {
		echo '
			<TR BGCOLOR="EFEFEF"><TD COLSPAN="3"><B>'._XF_SNP_PACKAGESOFSNIPPETS.'</B></TD>';
	}
	for ($i=0; $i<$rows2; $i++) {
		echo '
			<TR class="'.($i%2>0?'bg1':'bg3').'"><TD ROWSPAN="2"><A HREF="'.XOOPS_URL.'/xf/snippet/detail.php?type=package&id='.
			unofficial_getDBResult($result2,$i,'snippet_package_id').'"><B>'.
			unofficial_getDBResult($result2,$i,'snippet_package_id').'</B></A></TD><TD><B>'.
			$ts->makeTboxData4Show(unofficial_getDBResult($result2,$i,'name')).'</TD><TD>'.
			unofficial_getDBResult($result2,$i,'uname').'</TD></TR>';
		echo '
			<TR class="'.($i%2>0?'bg1':'bg3').'"><TD COLSPAN="2">'.$ts->makeTareaData4Show(unofficial_getDBResult($result2,$i,'description')).'</TD></TR>';
	}


	/*
		List snippets if there are any
	*/

	if ($rows > 0) {
		echo '
			<TR BGCOLOR="EFEFEF"><TD COLSPAN="3"><B>'._XF_SNP_SNIPPETS.'</B></TD>';
	}
	for ($i=0; $i<$rows; $i++) {
		echo '
			<TR class="'.($i%2>0?'bg1':'bg3').'"><TD ROWSPAN="2"><A HREF="'.XOOPS_URL.'/xf/snippet/detail.php?type=snippet&id='.
			unofficial_getDBResult($result,$i,'snippet_id').'"><B>'.
			unofficial_getDBResult($result,$i,'snippet_id').'</B></A></TD><TD><B>'.
			$ts->makeTboxData4Show(unofficial_getDBResult($result,$i,'name')).'</TD><TD>'.
			unofficial_getDBResult($result,$i,'uname').'</TD></TR>';
		echo '
			<TR class="'.($i%2>0?'bg1':'bg3').'"><TD COLSPAN="2">'.$ts->makeTareaData4Show(unofficial_getDBResult($result,$i,'description')).'</TD></TR>';
	}

	echo '
		</TABLE>';

}

snippet_footer();

?>
