<?php
/**
  *
  * SourceForge Survey Facility
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: add_survey.php,v 1.3 2002/06/07 09:17:34 arjenvanefferen Exp $
  *
  */
include_once ("../../../mainfile.php");

$langfile="survey.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");
require_once(XOOPS_ROOT_PATH."/xf/survey/survey_utils.php");

project_check_access ($group_id);

// get current information
$group =& group_get_object($group_id);
$perm  =& $group->getPermission( $xoopsUser );

survey_header($group, _XF_SUR_ADDASURVEY, 'is_admin_page');
	
if ($post_changes) {
	//$survey_questions=trim(ltrim($survey_questions));
	$sql = "INSERT INTO ".$xoopsDB->prefix("xf_surveys")." (survey_title,group_id,survey_questions) VALUES ('$survey_title','$group_id','$survey_questions')";
	$result = $xoopsDB->queryF($sql);
	if ($result) {
		$feedback .= " "._XF_SUR_SURVEYINSERTED." ";
	} else {
		$feedback .= " Error in Survey Insert ";
	}
}

?>
<SCRIPT LANGUAGE="JavaScript">
<!--
var timerID2 = null;

function show_questions() {
   newWindow = open("","occursDialog","height=600,width=700,scrollbars=yes,resizable=yes");
   newWindow.location=('show_questions.php?group_id=<?php echo $group_id; ?>');
}
// -->
</script>

<FORM ACTION="<?php echo $PHP_SELF; ?>" METHOD="POST">

<B><?php echo _XF_SUR_NAMEOFSURVEY; ?>:</B>
<BR>
<INPUT TYPE="TEXT" NAME="survey_title" VALUE="" LENGTH="60" MAXLENGTH="150"><P>
<INPUT TYPE="HIDDEN" NAME="group_id" VALUE="<?php echo $group_id; ?>">
<INPUT TYPE="HIDDEN" NAME="post_changes" VALUE="y">
<?php echo _XF_SUR_LISTQUESTIONNUMBERS; ?>
<BR>
<?php echo _XF_SUR_LISTQUESTIONEX; ?>
<BR><INPUT TYPE="TEXT" NAME="survey_questions" VALUE="" LENGTH="90" MAXLENGTH="1500"><P>
<B><?php echo _XF_SUR_ISACTIVE; ?></B>
<BR><INPUT TYPE="RADIO" NAME="is_active" VALUE="1" CHECKED> <?php echo _YES; ?>
<BR><INPUT TYPE="RADIO" NAME="is_active" VALUE="0"> <?php echo _NO; ?>
<P>
<INPUT TYPE="SUBMIT" NAME="SUBMIT" VALUE="<?php echo _XF_SUR_ADDTHISSURVEY; ?>">
</FORM>  

<?php

function  ShowResultsEditSurvey($result) {
	global $group_id, $xoopsDB;
	$rows  =  $xoopsDB->getRowsNum($result);
	$cols  =  unofficial_getNumFields($result);

	echo "<h4>".sprintf(_XF_SUR_XFOUND, $rows)."</h4>";

  echo "<table border='0' width='100%'><tr class='bg2'>";
	for ($i  =  0;  $i  <  $cols;  $i++)  {
		printf("<TD><b>%s</b></td>\n", unofficial_getFieldName($result, $i));
	}
	echo "</tr>";

	for($j  =  0;  $j  <  $rows;  $j++)  {

		echo "<TR class='".($j%2>0?'bg1':'bg3')."'>\n";
		echo "<TD><A HREF='edit_survey.php?group_id=$group_id&survey_id=".unofficial_getDBResult($result,$j,0)."'>".unofficial_getDBResult($result,$j,0)."</A></TD>";
		for ($i = 1; $i < $cols; $i++)  {
			printf("<TD>%s</TD>\n",unofficial_getDBResult($result,$j,$i));
		}

		echo "</tr>";
	}
	echo "</table>";
}

/*
	Select this survey from the database
*/

$sql = "SELECT survey_id,survey_title,survey_questions,is_active  FROM ".$xoopsDB->prefix("xf_surveys")." WHERE group_id='$group_id'";

$result = $xoopsDB->query($sql);

?>
<FORM>
<INPUT TYPE="BUTTON" NAME="none" VALUE="<?php echo _XF_SUR_SHOWEXISTINGQUESTIONS; ?>" ONCLICK="show_questions()">
</FORM>

<P>
<H2><?php echo _XF_SUR_EXISTINGSURVEYS; ?></H2>
<P>
<?php
ShowResultsEditSurvey($result);

survey_footer();
?>
