<?php
/**
  *
  * SourceForge Survey Facility
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: show_questions.php,v 1.3 2002/06/07 09:17:34 arjenvanefferen Exp $
  *
  */
include_once ("../../../mainfile.php");

$langfile="survey.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");
require_once(XOOPS_ROOT_PATH."/xf/survey/survey_utils.php");

project_check_access ($group_id);

// get current information
$group =& group_get_object($group_id);
$perm  =& $group->getPermission( $xoopsUser );

survey_header($group, _XF_SUR_SURVEYQUESTIONS, 'is_admin_page');
	
?>

<P>
<?php echo _XF_SUR_YOUMAYUSETHESEQUESTIONS; ?>
<P>
<B><FONT COLOR="RED"><?php echo _XF_SUR_USETHESEQUESTIONIDS; ?></FONT></B>
<P> 
<?php
function  ShowResultsEditQuestion($result) {
	global $group_id, $xoopsConfig, $xoopsDB;
	$rows  =  $xoopsDB->getRowsNum($result);
	$cols  =  unofficial_getNumFields($result);

	echo "<h4>".sprintf(_XF_SUR_XFOUND, $rows)."</h4>";

  echo "<table border='0' width='100%'><tr class='bg2'>";
	for ($i  =  0;  $i  <  $cols;  $i++)  {
		printf("<TD><b>%s</b></td>\n", unofficial_getFieldName($result, $i));
	}
	echo "</tr>";

	for($j  =  0;  $j  <  $rows;  $j++)  {

		echo "<TR class='".($j%2>0?'bg1':'bg3')."'>\n";
		echo "<TD><A HREF='edit_question.php?group_id=$group_id&question_id=".unofficial_getDBResult($result,$j,"question_id")."'>".unofficial_getDBResult($result,$j,"question_id")."</A></TD>";
		for ($i = 1; $i < $cols; $i++)  {
			printf("<TD>%s</TD>\n",unofficial_getDBResult($result,$j,$i));
		}

		echo "</tr>";
	}
	echo "</table>";
}

/*
	Select this survey from the database
*/

$sql = "SELECT sq.question_id,sq.question,sqt.type "
      ."FROM ".$xoopsDB->prefix("xf_survey_questions")." sq,".$xoopsDB->prefix("xf_survey_question_types")." sqt "
			."WHERE sqt.id=sq.question_type "
			."AND sq.group_id='$group_id' "
			."ORDER BY sq.question_id DESC";

$result = $xoopsDB->query($sql);

ShowResultsEditQuestion($result);

survey_footer();
?>
