<?php
/**
  *
  * SourceForge Survey Facility
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: survey_resp.php,v 1.2 2002/05/29 19:36:11 arjenvanefferen Exp $
  *
  */

include_once ("../../mainfile.php");

$langfile="survey.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");
require_once(XOOPS_ROOT_PATH."/xf/survey/survey_utils.php");

if (!$xoopsUser) {
  redirect_header($GLOBALS["HTTP_REFERER"],4,_NOPERM);
  exit;
}

if (!$survey_id || !$group_id) {
  redirect_header($GLOBALS["HTTP_REFERER"],4,"Error<br />For some reason, the Group ID or Survey ID did not make it to this page");
  exit;
}

$group =& group_get_object($group_id);
survey_header($group, _XF_SUR_SURVEYCOMPLETE);

echo _XF_SUR_THANKYOU."<p>";
?>
<P>
<B>The XoopsForge Crew</B>
<P>
<?php
/*
	Delete this customer's responses in case they had back-arrowed
*/

$result = $xoopsDB->queryF("DELETE FROM ".$xoopsDB->prefix("xf_survey_responses")." "
                          ."WHERE survey_id='" . addslashes($survey_id) . "' "
													."AND group_id='" . addslashes($group_id) . "' "
													."AND user_id='".$xoopsUser->getVar("uid")."'");

/*
	Select this survey from the database
*/

$sql = "SELECT * FROM ".$xoopsDB->prefix("xf_surveys")." "
      ."WHERE survey_id='$survey_id'";

$result = $xoopsDB->query($sql);

/*
	Select the questions for this survey
*/
$questions = unofficial_getDBResult($result, 0, "survey_questions");
$questions = str_replace(" ", "", $questions);
$quest_array = explode(',', $questions);

$count = count($quest_array);
$now = time();

for ($i=0; $i<$count; $i++) {

	/*
		Insert each form value into the responses table
	*/

	$val = "_" . $quest_array[$i];

	$sql = "INSERT INTO ".$xoopsDB->prefix("xf_survey_responses")." (user_id,group_id,survey_id,question_id,response,date) "
	      ."VALUES ('".$xoopsUser->getVar("uid")."','" . addslashes($group_id) . "','" . addslashes($survey_id) . "','" . addslashes($quest_array[$i]) . "','". addslashes($$val) . "','$now')";
	$result = $xoopsDB->queryF($sql);
	if (!$result) {
		echo "<h4>Error</h4>";
	}
}

survey_footer();
?>
