<?php
if ( !eregi("admin.php", $PHP_SELF) ) { die ("Access Denied"); }

if ( $xoopsUser->isAdmin($xoopsModule->mid()) ) {

  include_once(XOOPS_ROOT_PATH."/xf/include/vote_function.php");
  include_once(XOOPS_ROOT_PATH."/xf/include/phpmailer/class.phpmailer.php");
  include_once(XOOPS_ROOT_PATH."/class/xoopsformloader.php");

	function show_pref() {
		global $xoopsForge;
		
		$manapprove_radio = new XoopsFormRadioYN("Manual Approve Project Registration?", "manapprove", $xoopsForge['manapprove'], "Yes", "No");
		$devsurvey_select = new XoopsFormSelect("Survey to show on personal page", "devsurvey", $xoopsForge['devsurvey']);
		$surveys_list = getSurveysFromGroup(1, 1);
		$surveys_list[100] = _XF_G_NONE;		
		$devsurvey_select->addOptionArray($surveys_list);
		$noreply_text = new XoopsFormText("No-Reply Mail Address", "noreply", 50, 100, $xoopsForge['noreply']);
		$defaultproject_text = new XoopsFormText("ID of project to show when default module is \"xfmod\" (use \"0\" if none)", "defaultproject", 12, 20, $xoopsForge['defaultproject']);
		$usemailer_select = new XoopsFormSelect("Mail Transfer Agent", "usemailer", $xoopsForge['usemailer']);
		$usemailer_select->addOptionArray(phpmailer::getMailAgents());
		$parammail1_text = new XoopsFormText("Mailer Parameter 1", "parammail1", 50, 100, $xoopsForge['parammail1']);
		$parammail2_text = new XoopsFormText("Mailer Parameter 2", "parammail2", 50, 100, $xoopsForge['parammail2']);
		$sysnews_text = new XoopsFormText("Group ID of Side-wide News (Leave it at 2 if you don't know)", "sysnews", 12, 20, $xoopsForge['sysnews']);

		$op_hidden = new XoopsFormHidden("op","save");
		$submit_button = new XoopsFormButton("", "button", "Save", "submit");
		
		$form = new XoopsThemeForm("XoopsForge Preferences", "pref_form", "admin.php?fct=config");
		$form->addElement($manapprove_radio);
		$form->addElement($devsurvey_select);
		$form->addElement($noreply_text);
		$form->addElement($defaultproject_text);
		$form->addElement($usemailer_select);
		$form->addElement($parammail1_text);
		$form->addElement($parammail2_text);
		$form->addElement($sysnews_text);
		
		$form->addElement($op_hidden);
		$form->addElement($submit_button);

		$form->display();
	}

	function save_pref($manapprove, $devsurvey, $noreply, $defaultproject, $usemailer, $parammail1, $parammail2, $sysnews) {
		if (!xoopsfwrite()) {
			return;
		}
		$myts =& MyTextSanitizer::getInstance();
		$error = "";
		if(!is_numeric($defaultproject)){
			$error .= "<h4>Invalid Default Project ID</h4>";
		}
		if(!is_numeric($sysnews)){
			$error .= "<h4>Invalid News Project ID</h4>";
		}
		if ( empty($noreply) ){
		 	$error .= "<h4>Invalid No-Reply mail address</h4>";
		}
		if($error != ""){
			site_admin_header();
			echo $error;
			site_admin_footer();
			exit();
		}

    $config = "<"."?php
// Manual Approve Projects? (1=Yes 0=No)
\$xoopsForge['manapprove'] = ".intval($manapprove).";
// Developer Servey
\$xoopsForge['devsurvey'] = ".intval($devsurvey).";
// Developer Servey
\$xoopsForge['noreply'] = \"".$myts->makeTboxData4PreviewInForm($noreply)."\";
// Default Project ID
\$xoopsForge['defaultproject'] = ".intval($defaultproject).";
// Developer Servey
\$xoopsForge['usemailer'] = ".intval($usemailer).";
// Developer Servey
\$xoopsForge['parammail1'] = \"".$myts->makeTboxData4PreviewInForm($parammail1)."\";
// Developer Servey
\$xoopsForge['parammail2'] = \"".$myts->makeTboxData4PreviewInForm($parammail2)."\";
// Developer Servey
\$xoopsForge['sysnews'] = ".intval($sysnews).";
    ?".">";
		
		$file = fopen(XOOPS_ROOT_PATH."/modules/xfmod/cache/config.php","w");
		fwrite($file,$config);
		fclose($file);

		redirect_header("admin.php",2,"Configuration Saved");
		exit;
	}

} else {
 	echo "Access Denied";
}

?>