<?php
/**
  *
  * SourceForge Documentaion Manager
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: index.php,v 1.3 2002/06/08 09:16:03 arjenvanefferen Exp $
  *
  */


/*
        by Quentin Cregan, SourceForge 06/2000
*/
include_once("../../mainfile.php");

$langfile="docman.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/docman/doc_utils.php");

if ($group_id) {
  $project =& group_get_object($group_id);
	$perm =& $project->getPermission ($xoopsUser);
  
	docman_header($project,$group_id,_XF_DOC_PROJECTDOCUMENTATION);

	//get a list of group numbers that this project owns
	$query = "SELECT * "
	        ."FROM ".$xoopsDB->prefix("xf_doc_groups")." "
					."WHERE group_id='$group_id' "
					."ORDER BY groupname";

	$result = $xoopsDB->query($query);

	//otherwise, throw up an error
	if ($xoopsDB->getRowsNum($result) < 1) {
		echo "<b>"._XF_DOC_NOCATEGORIZEDDATA."</b><p>";
	} else {
		echo "<hr>";
		// get the groupings and display them with their members.
		while ($row = $xoopsDB->fetchArray($result)) {
			$query = "SELECT description, docid, title, doc_group "
			        ."FROM ".$xoopsDB->prefix("xf_doc_data")." "
							."WHERE doc_group='".$row['doc_group']."' "
							."AND stateid='1'";

				//state 1 == 'active'
				if ($perm->isMember('user_id', $xoopsUser->getVar('uid'))) {
					$query .= " OR stateid='5' ";
				} //state 5 == 'private'

			$subresult = $xoopsDB->query($query);

			if ($xoopsDB->getRowsNum($subresult) > 0) {
				echo "<p><b>".$ts->makeTboxData4Show($row['groupname'])."</b>\n<ul>\n";
				while ($subrow = $xoopsDB->fetchArray($subresult)) {
					echo "<li>"
              ."<a href='".XOOPS_URL."/xf/docman/display_doc.php?docid=".$subrow['docid']."&group_id=".$group_id."'>".$ts->makeTboxData4Show($subrow['title'])."</a>"
              ."<BR /><i>"._XF_G_DESCRIPTION.":</i> ".$ts->makeTboxData4Show($subrow['description']);
				}
				echo "</ul>\n\n";
			}
		}
	}
  docman_footer();
} else {
  redirect_header($GLOBALS["HTTP_REFERER"],4,"Error<br />No Group");
  exit;
}

?>
