<?php
/**
  *
  * SourceForge Documentaion Manager
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: new.php,v 1.3 2002/06/08 09:16:03 arjenvanefferen Exp $
  *
  */


/*
	by Quentin Cregan, SourceForge 06/2000
*/
include_once("../../mainfile.php");

$langfile="docman.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/docman/doc_utils.php");

if($group_id) {
  $project =& group_get_object($group_id);

	if ($mode == "add"){

		if (!$doc_group) {
			//cannot add a doc unless an appropriate group is provided
      redirect_header($GLOBALS["HTTP_REFERER"],4,"Error<br />"._XF_DOC_NOVALIDDOCGROUPSELECTED);
      exit;
		}

		if (!$title || !$description) {
      redirect_header($GLOBALS["HTTP_REFERER"],4,"Error<br />"._XF_PM_MISSINGREQPARAMETERS);
      exit;
		}

		if (!$upload_instead && !$data) {
      redirect_header($GLOBALS["HTTP_REFERER"],4,"Error<br />"._XF_PM_MISSINGREQPARAMETERS);
      exit;
		}

		if ($xoopsUser) {
			$user_id = $xoopsUser->getVar("uid");
		} else {
			$user_id = 100;
		}

    docman_header($project,$group_id,_XF_DOC_NEWSUBMISSION);

		$query = "INSERT INTO ".$xoopsDB->prefix("xf_doc_data")." "
            ."(stateid,title,data,createdate,updatedate,created_by,doc_group,description) "
            ."VALUES ('3',"
            // state = 3 == pending
            ."'".$ts->makeTboxData4Save($title)."',"
            ."'".$ts->makeTareaData4Save($data)."',"
            ."'".time()."',"
            ."'".time()."',"
            ."'".$user_id."',"
            ."'".$doc_group."',"
            ."'".$ts->makeTboxData4Save($description)."')";

		$res = $xoopsDB->queryF($query);
		//PROBLEM check the query

		if (!$res) {
			echo "<p><b><font color='red'>"._XF_DOC_ERRORADDINGDOCUMENT.": ".$xoopsDB->error()."</font></b></p>";
		} else {
			echo "<p><b>"._XF_DOC_THANKYOUONSUBMISSION."</b>"
          ."<p><a href='".XOOPS_URL."/xf/docman/index.php?group_id=".$group_id."'>"._XF_G_BACK."</a>";
		}

		docman_footer();
	} else {
    docman_header($project,$group_id,_XF_DOC_ADDDOCUMENTATION);

		if (get_group_count($group_id) > 0){
			if (!$xoopsUser) {
  		  echo "<p>"._XF_DOC_NOTLOGGEDINNOCREDIT."<p>";
			}

			echo '
			<p>
			<b> '._XF_DOC_DOCUMENTTITLE.': </b> '._XF_DOC_DOCUMENTTITLEDESC.'<br>
			<b> '._XF_DOC_DESCRIPTION.': </b> '._XF_DOC_DESCRIPTIONDESC.'<br>

			<form name="adddata" action="new.php?mode=add&group_id='.$group_id.'" method="POST" enctype="multipart/form-data">
			<table border="0" width="75%">
			<tr>
			<td><b>'._XF_DOC_DOCUMENTTITLE.':</b></td>
			<td><input type="text" name="title" size="40" maxlength="255"></td>

			</tr>
			<tr>
			<td><b>'._XF_DOC_DESCRIPTION.':</b></td>
			<td><input type="text" name="description" size="50" maxlength="255"></td>
			</tr>

			<tr>
			<td><b>'._XF_DOC_PASTEDOCUMENT.':</b></td>
			<td><textarea cols="60" rows="10" name="data"></textarea></td>
			</tr>

			<tr>
			<td><b>'._XF_DOC_GROUPDOCBELONGSIN.':</b></td>
			<td>';

			display_groups_option($group_id);

			echo '</td></tr></table>

			<input type="submit" value="'._XF_G_SUBMIT.'">

			</form> ';
		}	// end if (project has doc categories)
		else {
			echo "<p>"._XF_DOC_MUSTDEFINEDOCCATEGORY."<BR />";

			$perm =& $project->getPermission( $xoopsUser );

			// if an admin, prompt for adding a category
			if ( $perm->isDocEditor() || $perm->isAdmin() ) {
				echo "<p>[ <a href='".XOOPS_URL."/xf/docman/admin/index.php?mode=editgroups&group_id=".$group_id."'>"._XF_DOC_ADDADOCGROUP."</a> ]";
			}
		}
		docman_footer();
	} // end else.

} else {
   redirect_header($GLOBALS["HTTP_REFERER"],2,"Error<br />No Group");
   exit;
}

?>
