<?php
/**
  *
  * SourceForge Forums Facility
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: index.php,v 1.4 2002/06/07 09:17:34 arjenvanefferen Exp $
  *
  */

include_once("../../mainfile.php");

$langfile="forum.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");
require_once(XOOPS_ROOT_PATH."/xf/forum/forum_utils.php");

if ($group_id) {
  include ("../../header.php");
  OpenTable();

  $group =& group_get_object($group_id);

  echo "<b>"._XF_G_PROJECT.": ".$group->getPublicName()."</b><br /><br />";
  echo "<B style='font-size:16px;align:left;'>".sprintf(_XF_FRM_FORUMSFORGROUP, $group->getPublicName())."</B><br />";
  project_tabs ('forums', $group_id);
	echo "<a href='admin/index.php?group_id=".$group_id."'><b>"._XF_G_ADMIN."</b></a>";

	if ($xoopsUser && $group->isMemberOfGroup($xoopsUser)) {
		$public_flag='<3';
	} else {
		$public_flag='=1';
	}

	$sql = "SELECT g.group_forum_id,g.forum_name,g.description, famc.count as total "
	      ."FROM ".$xoopsDB->prefix("xf_forum_group_list")." g "
				."LEFT JOIN ".$xoopsDB->prefix("xf_forum_agg_msg_count")." famc USING (group_forum_id) "
				."WHERE g.group_id='$group_id' AND g.is_public $public_flag";

	$result = $xoopsDB->query ($sql);

	$rows = $xoopsDB->getRowsNum($result); 

	if (!$result || $rows < 1) {
		echo "<H4 style='text-align:left;'>".sprintf(_XF_FRM_NOFORUMSFOUNDFORGROUP, $group->getPublicName())."</H4>";
		echo $xoopsDB->error();

	  CloseTable();
    include("../../footer.php");
		exit;
	}

	echo "<P>"._XF_FRM_CHOOSEFORUMTOBROWSE."<P>";

	/*
		Put the result set (list of forums for this group) into a column with folders
	*/

	for ($j = 0; $j < $rows; $j++) { 
		echo "<A HREF='forum.php?forum_id=".unofficial_getDBResult($result, $j, 'group_forum_id')."'>"
		    ."<img src='".XOOPS_URL."/xf/images/ic/cfolder15.png' width='15' height='13' border='0'>"
				."&nbsp;"
				.$ts->makeTboxData4Show(unofficial_getDBResult($result, $j, 'forum_name'))."</A> ";
		//message count
		echo "(".((unofficial_getDBResult($result, $j, 'total'))?unofficial_getDBResult($result, $j, 'total'):'0')." msgs)";
		echo "<BR>\n";
		echo $ts->makeTboxData4Show(unofficial_getDBResult($result,$j,'description'))."<P>";
	}
  
	CloseTable();
  include("../../footer.php");
} else {
	redirect_header($GLOBALS["HTTP_REFERER"],4,"No Group<br />You must specify a group id");
	exit;
}

?>
