<?php
// ------------------------------------------------------------------------- //
//                XOOPS - PHP Content Management System                      //
//                       <http://www.xoops.org/>                             //
// ------------------------------------------------------------------------- //
// Based on:								     //
// myPHPNUKE Web Portal System - http://myphpnuke.com/	  		     //
// PHP-NUKE Web Portal System - http://phpnuke.org/	  		     //
// Thatware - http://thatware.org/					     //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //
$madetables = array();

function install_header() {
   global $xoopsConfig;
    ?>
	<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
	<html>
	<head>
	<title>XoopsForge Installation</title>
	<meta http-equiv="Content-Type" content="text/html; charset=">
	<meta name="AUTHOR" content="XoopsForge">
	<meta name="GENERATOR" content="XoopsForge-- http://xoopsforge.mediacom4.net/">
	<style type='text/css' media='all'><!-- @import url(<?php echo $xoopsConfig['xoops_url']."/xoops.css"; ?>); --></style>
	</head>
	<body>
	<div style='text-align:center'><img src='../images/logo.gif' /><h3>XoopsForge Installation</h3></div><br />
<?php
}

function install_footer(){
    ?>
	<br /><br /><div style='text-align:center'><small>Install.php v1.0 for XOOPS by <a href="http://www.mywebaddons.com" target="_blank">myWebAddons.com</a></small><br /><br /><a href='http://www.xoops.org/'><img src='../images/s_poweredby.gif' alt='XOOPS' /></a></div>
	</body>
	</html>
<?php
}

function install_init(){
	global $xoopsConfig;
	install_header();

	$xoopsDB = new Database;
	$xoopsDB->setPrefix($xoopsConfig['prefix']);
	if ( !$xoopsDB->connect($xoopsConfig['dbhost'], $xoopsConfig['dbuname'], $xoopsConfig['dbpass'], $xoopsConfig['dbname'], $xoopsConfig['db_pconnect']) ) {
		echo "<div><p>The following database was not found on the server:<br /><br />";
		echo "<b>".$xoopsConfig['dbname']."</b></p>";
		echo "<p>You must install Xoops CMS first before attempting to install XoopsForge Add-On</p>";
		install_footer();
		exit();
	}
	$xoopsDB->close();
	echo "<table width=\"70%\" align=\"center\">\n";
	echo "<tr><td>We have detected the following information from your config file.<br /><br />\n";
	echo "<b>Database Configuration</b><br /><br />\n";
	echo "&nbsp;Database Hostname:&nbsp;<b>".$xoopsConfig['dbhost']."</b><br />\n";
	echo "&nbsp;Database Username:&nbsp;<b>".$xoopsConfig['dbuname']."</b><br />\n";
	echo "&nbsp;Database Name:&nbsp;<b>".$xoopsConfig['dbname']."</b><br />\n";
	echo "&nbsp;Prefix for new tables:&nbsp;<b>".$xoopsConfig['prefix']."</b><br /><br />\n";
	echo "<b>Site Configuration</b><br /><br />\n";
	echo "&nbsp;URL (Virtual Path):&nbsp;<b>".$xoopsConfig['xoops_url']."</b><br /><br />\n";
	echo "<tr><td align=\"center\"><form action=\"install.php\" method=\"post\">\n";
	echo "If the above data is correct, press the button below to continue.<br /><br /><br />\n";
	echo "<input type=\"hidden\" name=\"op\" value=\"createTables\">\n";
	echo "<input type=\"submit\" name=\"submit\" value=\"Create Tables\">\n";
	echo "</form>\n";
	echo "</td></tr></table>\n";
	install_footer();
}

function checkResult ($result, $table)
{
  global $xoopsDB, $madetables;

  if(!$result){
    for($i=0; $i < sizeof($madetables); $i++) {
      $xoopsDB->queryF("DROP table ".$madetables[$i]."");
    }

    $xoopsDB->queryF("DELETE FROM ".tn("users")." WHERE uid=100");
    $xoopsDB->queryF("DELETE FROM ".tn("users_status")." WHERE uid=100");

    die ("<b>Unable to make ".$xoopsDB->prefix($table)."</b>");
  }else{
    array_push($madetables, $xoopsDB->prefix($table));
  }
}

function tn ($table)
{
  global $xoopsDB;

  return $xoopsDB->prefix($table);
}

function q ($query)
{
  global $xoopsDB;

  return $xoopsDB->queryF($query);
}

function install_createTables(){
	global $xoopsConfig, $xoopsDB, $madetables;
	$myts = new MytextSanitizer;

$result = $xoopsDB->query("SELECT * FROM ".tn("users")." WHERE uid=100");
if ($result && $xoopsDB->getRowsNum($result) > 0)
{
  // hebben een user met 100 gevonden.. verplaats deze naar het einde van de tabel
  $u = $xoopsDB->fetchArray($result);

  $output .= "<p>XoopsForge requires that there is no user data present at <b><i>uid</i> 100<b> in the table <i>".tn("users")."</i>. "
            ."XoopsForge Installation did find user information on index 100 and has moved that "
            ."user to the end of the tables. Position 100 now contains a user 'none' needed by XoopsForge.<br>";

  $xoopsDB->queryF("INSERT INTO ".tn("users")." (name, uname, email, url, user_avatar, user_regdate, user_icq, user_from, user_sig,  user_viewemail, actkey, user_aim, user_yim, user_msnm, pass, posts, attachsig, rank, level, theme, timezone_offset, umode, uorder, user_occ, bio, user_intrest) SELECT name, uname, email, url, user_avatar, user_regdate, user_icq, user_from, user_sig,  user_viewemail, actkey, user_aim, user_yim, user_msnm, pass, posts, attachsig, rank, level, theme, timezone_offset, umode, uorder, user_occ, bio, user_intrest FROM ".tn("users")." WHERE uid=100");

  $xoopsDB->queryF("DELETE FROM ".tn("users")." WHERE uid=100");

  $output .= "User has been succesfully moved to the last position and has delete the entries at position 100";
}

q ("INSERT INTO ".tn("users")." (uid, name, uname, email, pass, level) VALUES (100, 'Anonymous', 'none', 'none@none.net', '*********34343', 0)");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(q ("CREATE TABLE ".tn("xf_activity_log")." (
  day int(11) NOT NULL default '0',
  hour int(11) NOT NULL default '0',
  group_id int(11) NOT NULL default '0',
  browser varchar(8) NOT NULL default 'OTHER',
  ver double NOT NULL default '0',
  platform varchar(8) NOT NULL default 'OTHER',
  time int(11) NOT NULL default '0',
  page text,
  type int(11) NOT NULL default '0'
) TYPE=MyISAM
"), 'xf_activity_log');

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_artifact")." (
  artifact_id int(11) NOT NULL auto_increment,
  group_artifact_id int(11) NOT NULL default '0',
  status_id int(11) NOT NULL default '1',
  category_id int(11) NOT NULL default '100',
  artifact_group_id int(11) NOT NULL default '0',
  resolution_id int(11) NOT NULL default '100',
  priority int(11) NOT NULL default '5',
  submitted_by int(11) NOT NULL default '100',
  assigned_to int(11) NOT NULL default '100',
  open_date int(11) NOT NULL default '0',
  close_date int(11) NOT NULL default '0',
  summary text NOT NULL,
  details text NOT NULL,
  PRIMARY KEY  (artifact_id)
) TYPE=MyISAM
"), 'xf_artifact'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_artifact_canned_responses")." (
  id int(11) NOT NULL auto_increment,
  group_artifact_id int(11) NOT NULL default '0',
  title text NOT NULL,
  body text NOT NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM
"), 'xf_artifact_canned_responses'
);


/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_artifact_category")." (
  id int(11) NOT NULL auto_increment,
  group_artifact_id int(11) NOT NULL default '0',
  category_name text NOT NULL,
  auto_assign_to int(11) NOT NULL default '100',
  PRIMARY KEY  (id)
) TYPE=MyISAM
"), 'xf_artifact_category'
);

q ("INSERT INTO ".tn("xf_artifact_category")." (id, group_artifact_id, category_name, auto_assign_to) VALUES (100, 100, 'None', 100)");
q ("INSERT INTO ".tn("xf_artifact_category")." (id, group_artifact_id, category_name, auto_assign_to) VALUES (101, 102, 'Project Registration Issue', 100)");
q ("INSERT INTO ".tn("xf_artifact_category")." (id, group_artifact_id, category_name, auto_assign_to) VALUES (102, 102, 'Project Administration', 100)");
q ("INSERT INTO ".tn("xf_artifact_category")." (id, group_artifact_id, category_name, auto_assign_to) VALUES (103, 102, 'Offtopic', 100)");
q ("INSERT INTO ".tn("xf_artifact_category")." (id, group_artifact_id, category_name, auto_assign_to) VALUES (104, 101, 'Layout', 100)");
q ("INSERT INTO ".tn("xf_artifact_category")." (id, group_artifact_id, category_name, auto_assign_to) VALUES (105, 101, 'Project Registration Process', 100)");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_artifact_counts_agg")." (
  group_artifact_id int(11) NOT NULL default '0',
  count int(11) NOT NULL default '0',
  open_count int(11) NOT NULL default '0',
  PRIMARY KEY  (group_artifact_id)
) TYPE=MyISAM
"), 'xf_artifact_counts_agg'
);

q ("INSERT INTO ".tn("xf_artifact_counts_agg")." (group_artifact_id, count, open_count) VALUES (100, 0, 0)");
q ("INSERT INTO ".tn("xf_artifact_counts_agg")." (group_artifact_id, count, open_count) VALUES (101, 0, 0)");
q ("INSERT INTO ".tn("xf_artifact_counts_agg")." (group_artifact_id, count, open_count) VALUES (102, 0, 0)");
q ("INSERT INTO ".tn("xf_artifact_counts_agg")." (group_artifact_id, count, open_count) VALUES (103, 0, 0)");
q ("INSERT INTO ".tn("xf_artifact_counts_agg")." (group_artifact_id, count, open_count) VALUES (104, 0, 0)");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_artifact_file")." (
  id int(11) NOT NULL auto_increment,
  artifact_id int(11) NOT NULL default '0',
  description text NOT NULL,
  bin_data longtext NOT NULL,
  filename text NOT NULL,
  filesize int(11) NOT NULL default '0',
  filetype text NOT NULL,
  adddate int(11) NOT NULL default '0',
  submitted_by int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM
"), 'xf_artifact_file'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_artifact_group")." (
  id int(11) NOT NULL auto_increment,
  group_artifact_id int(11) NOT NULL default '0',
  group_name text NOT NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM
"), 'xf_artifact_group'
);

q ("INSERT INTO ".tn("xf_artifact_group")." (id, group_artifact_id, group_name) VALUES (100, 100, 'None')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_artifact_group_list")." (
  group_artifact_id int(11) NOT NULL auto_increment,
  group_id int(11) NOT NULL default '0',
  name text,
  description text,
  is_public int(11) NOT NULL default '0',
  allow_anon int(11) NOT NULL default '0',
  email_all_updates int(11) NOT NULL default '0',
  email_address text NOT NULL,
  due_period int(11) NOT NULL default '2592000',
  use_resolution int(11) NOT NULL default '0',
  submit_instructions text,
  browse_instructions text,
  datatype int(11) NOT NULL default '0',
  status_timeout int(11) default NULL,
  PRIMARY KEY  (group_artifact_id)
) TYPE=MyISAM
"), 'xf_artifact_group_list'
);

q ("INSERT INTO ".tn("xf_artifact_group_list")." (group_artifact_id, group_id, name, description, is_public, allow_anon, email_all_updates, email_address, due_period, use_resolution, submit_instructions, browse_instructions, datatype, status_timeout) VALUES (100, 100, NULL, NULL, 0, 0, 0, '', 2592000, 0, NULL, NULL, 0, NULL)");

q ("INSERT INTO ".tn("xf_artifact_group_list")." (group_artifact_id, group_id, name, description, is_public, allow_anon, email_all_updates, email_address, due_period, use_resolution, submit_instructions, browse_instructions, datatype, status_timeout) VALUES (101, 1, 'Bugs', 'Bug Tracking System', 1, 1, 0, '', 2592000, 1, '', '', 1, 1209600)");
q ("INSERT INTO ".tn("xf_artifact_group_list")." (group_artifact_id, group_id, name, description, is_public, allow_anon, email_all_updates, email_address, due_period, use_resolution, submit_instructions, browse_instructions, datatype, status_timeout) VALUES (102, 1, 'Support Requests', 'Tech Support Tracking System', 1, 1, 0, '', 1296000, 0, '', '', 2, 1209600)");
q ("INSERT INTO ".tn("xf_artifact_group_list")." (group_artifact_id, group_id, name, description, is_public, allow_anon, email_all_updates, email_address, due_period, use_resolution, submit_instructions, browse_instructions, datatype, status_timeout) VALUES (103, 1, 'Patches', 'Patch Tracking System', 1, 1, 0, '', 1296000, 1, '', '', 3, 1209600)");
q ("INSERT INTO ".tn("xf_artifact_group_list")." (group_artifact_id, group_id, name, description, is_public, allow_anon, email_all_updates, email_address, due_period, use_resolution, submit_instructions, browse_instructions, datatype, status_timeout) VALUES (104, 1, 'Feature Requests', 'Feature Request Tracking System', 1, 1, 0, '', 3888000, 0, '', '', 4, 1209600)");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_artifact_history")." (
  id int(11) NOT NULL auto_increment,
  artifact_id int(11) NOT NULL default '0',
  field_name text NOT NULL,
  old_value text NOT NULL,
  mod_by int(11) NOT NULL default '0',
  entrydate int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM
"), 'xf_artifact_history'
);


/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_artifact_message")." (
  id int(11) NOT NULL auto_increment,
  artifact_id int(11) NOT NULL default '0',
  submitted_by int(11) NOT NULL default '0',
  from_email text NOT NULL,
  adddate int(11) NOT NULL default '0',
  body text NOT NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM
"), 'xf_artifact_message'
);


/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_artifact_monitor")." (
  id int(11) NOT NULL auto_increment,
  artifact_id int(11) NOT NULL default '0',
  user_id int(11) NOT NULL default '0',
  email text,
  PRIMARY KEY  (id)
) TYPE=MyISAM
"), 'xf_artifact_monitor'
);


/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_artifact_perm")." (
  id int(11) NOT NULL auto_increment,
  group_artifact_id int(11) NOT NULL default '0',
  user_id int(11) NOT NULL default '0',
  perm_level int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM
"), 'xf_artifact_perm'
);

q ("INSERT INTO ".tn("xf_artifact_perm")." (id, group_artifact_id, user_id, perm_level) VALUES (1, 101, 1, 2)");
q ("INSERT INTO ".tn("xf_artifact_perm")." (id, group_artifact_id, user_id, perm_level) VALUES (2, 102, 1, 2)");
q ("INSERT INTO ".tn("xf_artifact_perm")." (id, group_artifact_id, user_id, perm_level) VALUES (3, 103, 1, 2)");
q ("INSERT INTO ".tn("xf_artifact_perm")." (id, group_artifact_id, user_id, perm_level) VALUES (4, 104, 1, 2)");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_artifact_resolution")." (
  id int(11) NOT NULL auto_increment,
  resolution_name text,
  PRIMARY KEY  (id)
) TYPE=MyISAM
"), 'xf_artifact_resolution'
);

q ("INSERT INTO ".tn("xf_artifact_resolution")." (id, resolution_name) VALUES (100, 'None')");
q ("INSERT INTO ".tn("xf_artifact_resolution")." (id, resolution_name) VALUES (102, 'Accepted')");
q ("INSERT INTO ".tn("xf_artifact_resolution")." (id, resolution_name) VALUES (103, 'Out of Date')");
q ("INSERT INTO ".tn("xf_artifact_resolution")." (id, resolution_name) VALUES (104, 'Postponed')");
q ("INSERT INTO ".tn("xf_artifact_resolution")." (id, resolution_name) VALUES (105, 'Rejected')");
q ("INSERT INTO ".tn("xf_artifact_resolution")." (id, resolution_name) VALUES (106, 'Solved')");
q ("INSERT INTO ".tn("xf_artifact_resolution")." (id, resolution_name) VALUES (107, 'Reopened')");
q ("INSERT INTO ".tn("xf_artifact_resolution")." (id, resolution_name) VALUES (108, 'Unable To Duplicate')");
q ("INSERT INTO ".tn("xf_artifact_resolution")." (id, resolution_name) VALUES (109, 'Not Fixable')");
q ("INSERT INTO ".tn("xf_artifact_resolution")." (id, resolution_name) VALUES (110, 'Not a Bug')");
q ("INSERT INTO ".tn("xf_artifact_resolution")." (id, resolution_name) VALUES (111, 'Duplicate')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_artifact_status")." (
  id int(11) NOT NULL auto_increment,
  status_name text NOT NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM
"), 'xf_artifact_status'
);

q ("INSERT INTO ".tn("xf_artifact_status")." (id, status_name) VALUES (1, 'Open')");
q ("INSERT INTO ".tn("xf_artifact_status")." (id, status_name) VALUES (2, 'Closed')");
q ("INSERT INTO ".tn("xf_artifact_status")." (id, status_name) VALUES (3, 'Deleted')");
q ("INSERT INTO ".tn("xf_artifact_status")." (id, status_name) VALUES (4, 'Pending')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_canned_responses")." (
  response_id int(11) NOT NULL auto_increment,
  response_title varchar(25) default NULL,
  response_text text,
  PRIMARY KEY  (response_id)
) TYPE=MyISAM
"), 'xf_canned_responses'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_cronjob_log")." (
  cronjob_log_id int(11) NOT NULL auto_increment,
  updatetime int(11) NOT NULL default '0',
  PRIMARY KEY  (cronjob_log_id)
) TYPE=MyISAM
"), 'xf_cronjob_log'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_doc_data")." (
  docid int(11) NOT NULL auto_increment,
  stateid int(11) NOT NULL default '0',
  title varchar(255) NOT NULL default '',
  data text NOT NULL,
  updatedate int(11) NOT NULL default '0',
  createdate int(11) NOT NULL default '0',
  created_by int(11) NOT NULL default '0',
  doc_group int(11) NOT NULL default '0',
  description text,
  PRIMARY KEY  (docid)
) TYPE=MyISAM
"), 'xf_doc_data'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_doc_feedback")." (
  feedback_id int(11) NOT NULL auto_increment,
  docid int(11) NOT NULL default '0',
  user_id int(11) NOT NULL default '0',
  answer int(1) NOT NULL default '0',
  suggestion text NOT NULL,
  entered int(11) NOT NULL default '0',
  PRIMARY KEY  (feedback_id)
) TYPE=MyISAM
"), 'xf_doc_feedback'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_doc_feedback_agg")." (
  docid int(11) NOT NULL default '0',
  answer_yes int(11) NOT NULL default '0',
  answer_no int(11) NOT NULL default '0',
  answer_na int(11) NOT NULL default '0'
) TYPE=MyISAM
"), 'xf_doc_feedback_agg'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_doc_groups")." (
  doc_group int(11) NOT NULL auto_increment,
  groupname varchar(255) NOT NULL default '',
  group_id int(11) NOT NULL default '0',
  PRIMARY KEY  (doc_group)
) TYPE=MyISAM
"), 'xf_doc_groups'
);

q ("INSERT INTO ".tn("xf_doc_groups")." (doc_group, groupname, group_id) VALUES (1, 'Uncategorized Submissions', 1)");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_doc_states")." (
  stateid int(11) NOT NULL auto_increment,
  name varchar(255) NOT NULL default '',
  PRIMARY KEY  (stateid)
) TYPE=MyISAM
"), 'xf_doc_states'
);

q ("INSERT INTO ".tn("xf_doc_states")." (stateid, name) VALUES (1, 'active')");
q ("INSERT INTO ".tn("xf_doc_states")." (stateid, name) VALUES (2, 'deleted')");
q ("INSERT INTO ".tn("xf_doc_states")." (stateid, name) VALUES (3, 'pending')");
q ("INSERT INTO ".tn("xf_doc_states")." (stateid, name) VALUES (4, 'hidden')");
q ("INSERT INTO ".tn("xf_doc_states")." (stateid, name) VALUES (5, 'private')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_filemodule_monitor")." (
  id int(11) NOT NULL auto_increment,
  filemodule_id int(11) NOT NULL default '0',
  user_id int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM
"), 'xf_filemodule_monitor'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_forum")." (
  msg_id int(11) NOT NULL auto_increment,
  group_forum_id int(11) NOT NULL default '0',
  posted_by int(11) NOT NULL default '0',
  subject text NOT NULL,
  body text NOT NULL,
  date int(11) NOT NULL default '0',
  is_followup_to int(11) NOT NULL default '0',
  thread_id int(11) NOT NULL default '0',
  has_followups int(11) default '0',
  most_recent_date int(11) NOT NULL default '0',
  PRIMARY KEY  (msg_id)
) TYPE=MyISAM
"), 'xf_forum'
);

q ("INSERT INTO ".tn("xf_forum")." (msg_id, group_forum_id, posted_by, subject, body, date, is_followup_to, thread_id, has_followups, most_recent_date) VALUES (1, 1, 1, 'Welcome to XoopsForge Open Discussion', 'Welcome to XoopsForge Open Discussion', 1017315660, 0, 1, 0, 0)");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_forum_agg_msg_count")." (
  group_forum_id int(11) NOT NULL default '0',
  count int(11) NOT NULL default '0',
  PRIMARY KEY  (group_forum_id)
) TYPE=MyISAM
"), 'xf_forum_agg_msg_count'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_forum_group_list")." (
  group_forum_id int(11) NOT NULL auto_increment,
  group_id int(11) NOT NULL default '0',
  forum_name text NOT NULL,
  is_public int(11) NOT NULL default '0',
  description text,
  allow_anonymous int(11) NOT NULL default '0',
  send_all_posts_to text,
  PRIMARY KEY  (group_forum_id)
) TYPE=MyISAM
"), 'xf_forum_group_list'
);

q ("INSERT INTO ".tn("xf_forum_group_list")." (group_forum_id, group_id, forum_name, is_public, description, allow_anonymous, send_all_posts_to) VALUES (1, 1, 'XoopsForge Open Discussion', 1, 'Discussion of XoopsForge Topics.', 0, NULL)");
q ("INSERT INTO ".tn("xf_forum_group_list")." (group_forum_id, group_id, forum_name, is_public, description, allow_anonymous, send_all_posts_to) VALUES (2, 2, 'XoopsForge Launched', 1, '', 0, NULL)");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_forum_monitored_forums")." (
  monitor_id int(11) NOT NULL auto_increment,
  forum_id int(11) NOT NULL default '0',
  user_id int(11) NOT NULL default '0',
  PRIMARY KEY  (monitor_id)
) TYPE=MyISAM
"), 'xf_forum_monitored_forums'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_forum_thread_id")." (
  thread_id int(11) NOT NULL auto_increment,
  PRIMARY KEY  (thread_id)
) TYPE=MyISAM
"), 'xf_forum_thread_id'
);

q ("INSERT INTO ".tn("xf_forum_thread_id")." (thread_id) VALUES (1)");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_foundry_data")." (
  foundry_id int(11) NOT NULL auto_increment,
  freeform1_html text,
  freeform2_html text,
  sponsor1_html text,
  sponsor2_html text,
  guide_image_id int(11) NOT NULL default '0',
  logo_image_id int(11) NOT NULL default '0',
  trove_categories text,
  PRIMARY KEY  (foundry_id)
) TYPE=MyISAM
"), 'xf_foundry_data'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_foundry_news")." (
  foundry_news_id int(11) NOT NULL auto_increment,
  foundry_id int(11) NOT NULL default '0',
  news_id int(11) NOT NULL default '0',
  approve_date int(11) NOT NULL default '0',
  is_approved int(11) NOT NULL default '0',
  PRIMARY KEY  (foundry_news_id)
) TYPE=MyISAM
"), 'xf_foundry_news'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_foundry_projects")." (
  id int(11) NOT NULL auto_increment,
  foundry_id int(11) NOT NULL default '0',
  project_id int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM
"), 'xf_foundry_projects'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_frs_dlstats_file_agg")." (
  month int(11) default '1',
  day int(11) default '1',
  file_id int(11) NOT NULL default '0',
  downloads int(11) NOT NULL default '0'
) TYPE=MyISAM
"), 'xf_frs_dlstats_file_agg'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_frs_file")." (
  file_id int(11) NOT NULL auto_increment,
  filename varchar(255) default NULL,
  file_url varchar(255) default NULL,
  release_id int(11) NOT NULL default '0',
  type_id int(11) NOT NULL default '0',
  processor_id int(11) NOT NULL default '0',
  release_time int(11) NOT NULL default '0',
  file_size int(11) NOT NULL default '0',
  post_date int(11) NOT NULL default '0',
  PRIMARY KEY  (file_id)
) TYPE=MyISAM
"), 'xf_frs_file'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_frs_filetype")." (
  type_id int(11) NOT NULL auto_increment,
  name text,
  PRIMARY KEY  (type_id)
) TYPE=MyISAM
"), 'xf_frs_filetype'
);

q ("INSERT INTO ".tn("xf_frs_filetype")." (type_id, name) VALUES (1000, '.deb')");
q ("INSERT INTO ".tn("xf_frs_filetype")." (type_id, name) VALUES (2000, '.rpm')");
q ("INSERT INTO ".tn("xf_frs_filetype")." (type_id, name) VALUES (3000, '.zip')");
q ("INSERT INTO ".tn("xf_frs_filetype")." (type_id, name) VALUES (3010, '.rar')");
q ("INSERT INTO ".tn("xf_frs_filetype")." (type_id, name) VALUES (3100, '.bz2')");
q ("INSERT INTO ".tn("xf_frs_filetype")." (type_id, name) VALUES (3110, '.gz')");
q ("INSERT INTO ".tn("xf_frs_filetype")." (type_id, name) VALUES (5000, 'Source .zip')");
q ("INSERT INTO ".tn("xf_frs_filetype")." (type_id, name) VALUES (5010, 'Source .bz2')");
q ("INSERT INTO ".tn("xf_frs_filetype")." (type_id, name) VALUES (5020, 'Source .gz')");
q ("INSERT INTO ".tn("xf_frs_filetype")." (type_id, name) VALUES (5100, 'Source .rpm')");
q ("INSERT INTO ".tn("xf_frs_filetype")." (type_id, name) VALUES (5900, 'Other Source File')");
q ("INSERT INTO ".tn("xf_frs_filetype")." (type_id, name) VALUES (6000, 'Script .php')");
q ("INSERT INTO ".tn("xf_frs_filetype")." (type_id, name) VALUES (6010, 'Script .asp')");
q ("INSERT INTO ".tn("xf_frs_filetype")." (type_id, name) VALUES (6100, 'Script .js')");
q ("INSERT INTO ".tn("xf_frs_filetype")." (type_id, name) VALUES (8000, '.jpg')");
q ("INSERT INTO ".tn("xf_frs_filetype")." (type_id, name) VALUES (8100, 'text')");
q ("INSERT INTO ".tn("xf_frs_filetype")." (type_id, name) VALUES (8200, 'html')");
q ("INSERT INTO ".tn("xf_frs_filetype")." (type_id, name) VALUES (8300, 'pdf')");
q ("INSERT INTO ".tn("xf_frs_filetype")." (type_id, name) VALUES (9999, 'Other')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_frs_package")." (
  package_id int(11) NOT NULL auto_increment,
  group_id int(11) NOT NULL default '0',
  name text,
  status_id int(11) NOT NULL default '0',
  PRIMARY KEY  (package_id)
) TYPE=MyISAM
"), 'xf_frs_package'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_frs_processor")." (
  processor_id int(11) NOT NULL auto_increment,
  name text,
  PRIMARY KEY  (processor_id)
) TYPE=MyISAM
"), 'xf_frs_processor'
);

  q ("INSERT INTO ".tn("xf_frs_processor")." (processor_id, name) VALUES (1000, 'i386')");
  q ("INSERT INTO ".tn("xf_frs_processor")." (processor_id, name) VALUES (6000, 'IA64')");
  q ("INSERT INTO ".tn("xf_frs_processor")." (processor_id, name) VALUES (7000, 'Alpha')");
  q ("INSERT INTO ".tn("xf_frs_processor")." (processor_id, name) VALUES (8000, 'Any')");
  q ("INSERT INTO ".tn("xf_frs_processor")." (processor_id, name) VALUES (2000, 'PPC')");
  q ("INSERT INTO ".tn("xf_frs_processor")." (processor_id, name) VALUES (3000, 'MIPS')");
  q ("INSERT INTO ".tn("xf_frs_processor")." (processor_id, name) VALUES (4000, 'Sparc')");
  q ("INSERT INTO ".tn("xf_frs_processor")." (processor_id, name) VALUES (5000, 'UltraSparc')");
  q ("INSERT INTO ".tn("xf_frs_processor")." (processor_id, name) VALUES (9999, 'Other')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_frs_release")." (
  release_id int(11) NOT NULL auto_increment,
  package_id int(11) NOT NULL default '0',
  name text,
  notes text,
  changes text,
  status_id int(11) NOT NULL default '0',
  preformatted int(11) NOT NULL default '0',
  release_date int(11) NOT NULL default '0',
  released_by int(11) NOT NULL default '0',
  PRIMARY KEY  (release_id)
) TYPE=MyISAM
"), 'xf_frs_release'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_frs_status")." (
  status_id int(11) NOT NULL auto_increment,
  name text,
  PRIMARY KEY  (status_id)
) TYPE=MyISAM
"), 'xf_frs_status'
);

q ("INSERT INTO ".tn("xf_frs_status")." (status_id, name) VALUES (1, 'Active')");
q ("INSERT INTO ".tn("xf_frs_status")." (status_id, name) VALUES (3, 'Hidden')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_group_history")." (
  group_history_id int(11) NOT NULL auto_increment,
  group_id int(11) NOT NULL default '0',
  field_name text NOT NULL,
  old_value text NOT NULL,
  mod_by int(11) NOT NULL default '0',
  date int(11) default NULL,
  PRIMARY KEY  (group_history_id)
) TYPE=MyISAM
"), 'xf_group_history'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_group_type")." (
  type_id int(11) NOT NULL auto_increment,
  name text,
  PRIMARY KEY  (type_id)
) TYPE=MyISAM
"), 'xf_group_type'
);

q ("INSERT INTO ".tn("xf_group_type")." VALUES (1,'Project')");
q ("INSERT INTO ".tn("xf_group_type")." VALUES (2,'Foundry')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_groups")." (
  group_id int(11) NOT NULL auto_increment,
  group_name varchar(40) default NULL,
  homepage varchar(128) default NULL,
  is_public int(11) NOT NULL default '0',
  status char(1) NOT NULL default 'A',
  unix_group_name varchar(30) NOT NULL default '',
  unix_box varchar(20) NOT NULL default 'shell1',
  http_domain varchar(80) default NULL,
  short_description varchar(255) default NULL,
  cvs_box varchar(20) NOT NULL default 'cvs1',
  license varchar(16) default NULL,
  register_purpose text,
  license_other text,
  register_time int(11) NOT NULL default '0',
  use_bugs int(11) NOT NULL default '1',
  rand_hash text,
  use_mail int(11) NOT NULL default '1',
  use_survey int(11) NOT NULL default '1',
  use_patch int(11) NOT NULL default '1',
  use_forum int(11) NOT NULL default '1',
  use_pm int(11) NOT NULL default '1',
  use_cvs int(11) NOT NULL default '1',
  use_news int(11) NOT NULL default '1',
  use_support int(11) NOT NULL default '1',
  new_bug_address text NOT NULL,
  new_patch_address text NOT NULL,
  new_support_address text NOT NULL,
  type int(11) NOT NULL default '1',
  use_docman int(11) NOT NULL default '1',
  send_all_bugs int(11) NOT NULL default '0',
  send_all_patches int(11) NOT NULL default '0',
  send_all_support int(11) NOT NULL default '0',
  new_task_address text NOT NULL,
  send_all_tasks int(11) NOT NULL default '0',
  use_bug_depend_box int(11) NOT NULL default '1',
  use_pm_depend_box int(11) NOT NULL default '1',
  PRIMARY KEY  (group_id)
) TYPE=MyISAM
"), 'xf_groups'
);

  q ("INSERT INTO ".tn("xf_groups")." (group_id, group_name, homepage, is_public, status, unix_group_name, short_description, register_time) VALUES (1, 'XoopsForge Support', 'xoopsforge.mediacom4.net', 1, 'A', 'xoopsforge', 'Short Description', '".time()."')");
  q ("INSERT INTO ".tn("xf_groups")." (group_id, group_name, homepage, is_public, status, unix_group_name, short_description, register_time) VALUES (2, 'XoopsForge News', 'xoopsforge.mediacom4.net', 0, 'A', 'xfnews', 'XoopsForge News Project', '".time()."')");
  q ("INSERT INTO ".tn("xf_groups")." (group_id, group_name, homepage, is_public, status, unix_group_name, short_description, register_time) VALUES (100, 'Default Group', NULL, 0, 'A', 'default', NULL, '".time()."')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_news_bytes")." (
  id int(11) NOT NULL auto_increment,
  group_id int(11) NOT NULL default '0',
  submitted_by int(11) NOT NULL default '0',
  is_approved int(11) NOT NULL default '0',
  date int(11) NOT NULL default '0',
  forum_id int(11) NOT NULL default '0',
  summary text,
  details text,
  PRIMARY KEY  (id)
) TYPE=MyISAM
"), 'xf_news_bytes'
);

q ("INSERT INTO ".tn("xf_news_bytes")." (id, group_id, submitted_by, is_approved, date, forum_id, summary, details) VALUES (1, 1, 1, 1, 1017328526, 2, 'XoopsForge Launched', 'Today we have launched the XoopsForge Project Management Add-On for the Xoops Content Management System.\n\rPlease report any problems you might have or any Bugs found during usage of this product on the product project page.\n\r\n\rThe XoopsForge Development Team')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_people_job")." (
	job_id int(11) NOT NULL auto_increment,
	group_id int(11) DEFAULT '0' NOT NULL,
	created_by int(11) DEFAULT '0' NOT NULL,
	title text,
	description text,
	date int(11) DEFAULT '0' NOT NULL,
	status_id int(11) DEFAULT '0' NOT NULL,
	category_id int(11) DEFAULT '0' NOT NULL,
	Primary Key (job_id)
) TYPE=MyISAM
"), 'xf_people_job'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_people_job_category")." (
  category_id int(11) NOT NULL auto_increment,
  name text,
  private_flag int(11) NOT NULL default '0',
  PRIMARY KEY  (category_id)
) TYPE=MyISAM
"), 'xf_people_job_category'
);

q ("INSERT INTO ".tn("xf_people_job_category")." (category_id, name, private_flag) VALUES (1, 'Developer', 0)");
q ("INSERT INTO ".tn("xf_people_job_category")." (category_id, name, private_flag) VALUES (2, 'Project Manager', 0)");
q ("INSERT INTO ".tn("xf_people_job_category")." (category_id, name, private_flag) VALUES (3, 'Unix Admin', 0)");
q ("INSERT INTO ".tn("xf_people_job_category")." (category_id, name, private_flag) VALUES (4, 'Doc Writer', 0)");
q ("INSERT INTO ".tn("xf_people_job_category")." (category_id, name, private_flag) VALUES (5, 'Tester', 0)");
q ("INSERT INTO ".tn("xf_people_job_category")." (category_id, name, private_flag) VALUES (6, 'Support Manager', 0)");
q ("INSERT INTO ".tn("xf_people_job_category")." (category_id, name, private_flag) VALUES (7, 'Graphic/Other Designer', 0)");
q ("INSERT INTO ".tn("xf_people_job_category")." (category_id, name, private_flag) VALUES (100, NULL, 1)");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_people_job_inventory")." (
  job_inventory_id int(11) NOT NULL auto_increment,
  job_id int(11) NOT NULL default '0',
  skill_id int(11) NOT NULL default '0',
  skill_level_id int(11) NOT NULL default '0',
  skill_year_id int(11) NOT NULL default '0',
  PRIMARY KEY  (job_inventory_id)
) TYPE=MyISAM
"), 'xf_people_job_inventory'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_people_job_status")." (
  status_id int(11) NOT NULL auto_increment,
  name text,
  PRIMARY KEY  (status_id)
) TYPE=MyISAM
"), 'xf_people_job_status'
);

q ("INSERT INTO ".tn("xf_people_job_status")." VALUES ('1','Open')");
q ("INSERT INTO ".tn("xf_people_job_status")." VALUES ('2','Filled')");
q ("INSERT INTO ".tn("xf_people_job_status")." VALUES ('3','Deleted')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_people_skill")." (
  skill_id int(11) NOT NULL auto_increment,
  name text,
  PRIMARY KEY  (skill_id)
) TYPE=MyISAM
"), 'xf_people_skill'
);

q ("INSERT INTO ".tn("xf_people_skill")." VALUES (1,'3100 SQL')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (2,'3110 C/C++')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (3,'3120 Perl')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (4,'3130 PHP')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (5,'3140 Java')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (6,'3150 Python')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (7,'3160 Visual Basic')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (8,'3170 AppleScript')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (9,'3180 UML')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (10,'3190 XMI')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (11,'3200 HTML/DHTML')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (12,'3210 XML/XPath/XLink/XSL/XSLT')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (13,'3230 RDF')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (14,'3240 LISP')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (15,'3250 Delphi')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (16,'3260 ASP')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (17,'3270 Ada')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (18,'3900 Other Prog. Lang.')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (19,'5100 Chinese')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (20,'5110 Japanese')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (21,'5120 Spanish')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (22,'5130 French')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (23,'5140 German')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (24,'5900 Other Spoken Lang.')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (25,'7100 UNIX Admin')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (26,'7110 Networking')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (27,'7120 Security')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (28,'7130 Writing')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (29,'7140 Editing')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (30,'7150 Databases')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (31,'7160 Object Oriented Design')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (32,'7170 Object Oriented Analysis')");
q ("INSERT INTO ".tn("xf_people_skill")." VALUES (33,'7900 Other Skill Area')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_people_skill_inventory")." (
  skill_inventory_id int(11) NOT NULL auto_increment,
  user_id int(11) NOT NULL default '0',
  skill_id int(11) NOT NULL default '0',
  skill_level_id int(11) NOT NULL default '0',
  skill_year_id int(11) NOT NULL default '0',
  PRIMARY KEY  (skill_inventory_id)
) TYPE=MyISAM
"), 'xf_people_skill_inventory'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_people_skill_level")." (
  skill_level_id int(11) NOT NULL auto_increment,
  name text,
  PRIMARY KEY  (skill_level_id)
) TYPE=MyISAM
"), 'xf_people_skill_level'
);

q ("INSERT INTO ".tn("xf_people_skill_level")." VALUES (1,'Want to Learn')");
q ("INSERT INTO ".tn("xf_people_skill_level")." VALUES (2,'Competent')");
q ("INSERT INTO ".tn("xf_people_skill_level")." VALUES (3,'Wizard')");
q ("INSERT INTO ".tn("xf_people_skill_level")." VALUES (4,'Wrote The Book')");
q ("INSERT INTO ".tn("xf_people_skill_level")." VALUES (5,'Wrote It')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_people_skill_year")." (
  skill_year_id int(11) NOT NULL auto_increment,
  name text,
  PRIMARY KEY  (skill_year_id)
) TYPE=MyISAM
"), 'xf_people_skill_year'
);

q ("INSERT INTO ".tn("xf_people_skill_year")." VALUES (1,'< 6 Months')");
q ("INSERT INTO ".tn("xf_people_skill_year")." VALUES (2,'6 Mo - 2 yr')");
q ("INSERT INTO ".tn("xf_people_skill_year")." VALUES (3,'2 yr - 5 yr')");
q ("INSERT INTO ".tn("xf_people_skill_year")." VALUES (4,'5 yr - 10 yr')");
q ("INSERT INTO ".tn("xf_people_skill_year")." VALUES (5,'> 10 years')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_project_assigned_to")." (
  project_assigned_id int(11) NOT NULL auto_increment,
  project_task_id int(11) NOT NULL default '0',
  assigned_to_id int(11) NOT NULL default '0',
  PRIMARY KEY  (project_assigned_id)
) TYPE=MyISAM
"), 'xf_project_assigned_to'
);

q ("INSERT INTO ".tn("xf_project_assigned_to")." (project_assigned_id, project_task_id, assigned_to_id) VALUES (1, 101, 100)");
q ("INSERT INTO ".tn("xf_project_assigned_to")." (project_assigned_id, project_task_id, assigned_to_id) VALUES (2, 102, 100)");
q ("INSERT INTO ".tn("xf_project_assigned_to")." (project_assigned_id, project_task_id, assigned_to_id) VALUES (3, 103, 100)");
q ("INSERT INTO ".tn("xf_project_assigned_to")." (project_assigned_id, project_task_id, assigned_to_id) VALUES (4, 104, 100)");
q ("INSERT INTO ".tn("xf_project_assigned_to")." (project_assigned_id, project_task_id, assigned_to_id) VALUES (5, 105, 100)");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_project_dependencies")." (
  project_depend_id int(11) NOT NULL auto_increment,
  project_task_id int(11) NOT NULL default '0',
  is_dependent_on_task_id int(11) NOT NULL default '0',
  PRIMARY KEY  (project_depend_id)
) TYPE=MyISAM
"), 'xf_project_dependencies'
);

q ("INSERT INTO ".tn("xf_project_dependencies")." (project_depend_id, project_task_id, is_dependent_on_task_id) VALUES (1, 101, 100)");
q ("INSERT INTO ".tn("xf_project_dependencies")." (project_depend_id, project_task_id, is_dependent_on_task_id) VALUES (2, 102, 100)");
q ("INSERT INTO ".tn("xf_project_dependencies")." (project_depend_id, project_task_id, is_dependent_on_task_id) VALUES (3, 103, 100)");
q ("INSERT INTO ".tn("xf_project_dependencies")." (project_depend_id, project_task_id, is_dependent_on_task_id) VALUES (4, 104, 100)");
q ("INSERT INTO ".tn("xf_project_dependencies")." (project_depend_id, project_task_id, is_dependent_on_task_id) VALUES (5, 105, 100)");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_project_group_list")." (
  group_project_id int(11) NOT NULL auto_increment,
  group_id int(11) NOT NULL default '0',
  project_name text NOT NULL,
  is_public int(11) NOT NULL default '0',
  description text,
  PRIMARY KEY  (group_project_id)
) TYPE=MyISAM
"), 'xf_project_group_list'
);

q ("INSERT INTO ".tn("xf_project_group_list")." (group_project_id, group_id, project_name, is_public, description) VALUES (1, 1, 'Development', 1, 'Development Issues that needs to be done')");
q ("INSERT INTO ".tn("xf_project_group_list")." (group_project_id, group_id, project_name, is_public, description) VALUES (2, 1, 'Translations', 1, 'The languages XoopsForge needs to be translated in')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_project_history")." (
  project_history_id int(11) NOT NULL auto_increment,
  project_task_id int(11) NOT NULL default '0',
  field_name text NOT NULL,
  old_value text NOT NULL,
  mod_by int(11) NOT NULL default '0',
  date int(11) NOT NULL default '0',
  PRIMARY KEY  (project_history_id)
) TYPE=MyISAM
"), 'xf_project_history'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_project_status")." (
  status_id int(11) NOT NULL auto_increment,
  status_name text NOT NULL,
  PRIMARY KEY  (status_id)
) TYPE=MyISAM
"), 'xf_project_status'
);

q ("INSERT INTO ".tn("xf_project_status")." (status_id, status_name) VALUES (1, 'Open')");
q ("INSERT INTO ".tn("xf_project_status")." (status_id, status_name) VALUES (2, 'Closed')");
q ("INSERT INTO ".tn("xf_project_status")." (status_id, status_name) VALUES (3, 'Deleted')");
q ("INSERT INTO ".tn("xf_project_status")." (status_id, status_name) VALUES (100, 'None')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_project_task")." (
  project_task_id int(11) NOT NULL auto_increment,
  group_project_id int(11) NOT NULL default '0',
  summary text NOT NULL,
  details text NOT NULL,
  percent_complete int(11) NOT NULL default '0',
  priority int(11) NOT NULL default '0',
  hours double NOT NULL default '0',
  start_date int(11) NOT NULL default '0',
  end_date int(11) NOT NULL default '0',
  created_by int(11) NOT NULL default '0',
  status_id int(11) NOT NULL default '0',
  PRIMARY KEY  (project_task_id)
) TYPE=MyISAM
"), 'xf_project_task'
);

q ("INSERT INTO ".tn("xf_project_task")." (project_task_id, group_project_id,created_by,status_id) VALUES (100,100,100,100)");
q ("INSERT INTO ".tn("xf_project_task")." (project_task_id, group_project_id, summary, details, percent_complete, priority, hours, start_date, end_date, created_by, status_id) VALUES (101, 1, 'Add Language Capabilities', 'In this release all text/ words and other things are hard-coded into the PHP-files. Need to convert them all into language files.', 0, 7, '48', 1018216800, 1023487200, 1, 1)");
q ("INSERT INTO ".tn("xf_project_task")." (project_task_id, group_project_id, summary, details, percent_complete, priority, hours, start_date, end_date, created_by, status_id) VALUES (102, 2, 'Dutch Translation', 'Translate language files into the Dutch Language', 0, 5, '48', 1018216800, 1023487200, 1, 1)");
q ("INSERT INTO ".tn("xf_project_task")." (project_task_id, group_project_id, summary, details, percent_complete, priority, hours, start_date, end_date, created_by, status_id) VALUES (103, 1, 'Delete redundant files', 'Remove all files from the XoopsForge tree that are not needed by the current implemtation of XoopsForge', 0, 2, '6', 1018216800, 1023487200, 1, 1)");
q ("INSERT INTO ".tn("xf_project_task")." (project_task_id, group_project_id, summary, details, percent_complete, priority, hours, start_date, end_date, created_by, status_id) VALUES (104, 1, 'Update GPL License information in changed files', 'Update ALL files that are changed during the development of XoopsForge and update the GPL License information within those files accordingly.', 0, 9, '24', 1018216800, 1023487200, 1, 1)");
q ("INSERT INTO ".tn("xf_project_task")." (project_task_id, group_project_id, summary, details, percent_complete, priority, hours, start_date, end_date, created_by, status_id) VALUES (105, 1, 'Create/Update Documentation', 'Write and update the documentation for XoopsForge.', 0, 8, '250', 1018216800, 1023487200, 1, 1)");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_project_weekly_metric")." (
  ranking int(11) NOT NULL auto_increment,
  percentile double default NULL,
  group_id int(11) NOT NULL default '0',
  PRIMARY KEY  (ranking)
) TYPE=MyISAM
"), 'xf_project_weekly_metric'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_snippet")." (
  snippet_id int(11) NOT NULL auto_increment,
  created_by int(11) NOT NULL default '0',
  name text,
  description text,
  type int(11) NOT NULL default '0',
  language int(11) NOT NULL default '0',
  license text NOT NULL,
  category int(11) NOT NULL default '0',
  PRIMARY KEY  (snippet_id)
) TYPE=MyISAM
"), 'xf_snippet'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_snippet_category")." (
  type_id int(11) NOT NULL auto_increment,
  name text,
  PRIMARY KEY  (type_id)
) TYPE=MyISAM
"), 'xf_snippet_category'
);

q ("INSERT INTO ".tn("xf_snippet_category")." VALUES (100, 'Choose One')");
q ("INSERT INTO ".tn("xf_snippet_category")." VALUES (101, 'UNIX Admin')");
q ("INSERT INTO ".tn("xf_snippet_category")." VALUES (102, 'HTML Manipulation')");
q ("INSERT INTO ".tn("xf_snippet_category")." VALUES (103, 'BBS Systems')");
q ("INSERT INTO ".tn("xf_snippet_category")." VALUES (104, 'Auctions')");
q ("INSERT INTO ".tn("xf_snippet_category")." VALUES (105, 'Calendars')");
q ("INSERT INTO ".tn("xf_snippet_category")." VALUES (106, 'Database Manipulation')");
q ("INSERT INTO ".tn("xf_snippet_category")." VALUES (107, 'Searching')");
q ("INSERT INTO ".tn("xf_snippet_category")." VALUES (108, 'File Management')");
q ("INSERT INTO ".tn("xf_snippet_category")." VALUES (109, 'Games')");
q ("INSERT INTO ".tn("xf_snippet_category")." VALUES (110, 'Voting')");
q ("INSERT INTO ".tn("xf_snippet_category")." VALUES (111, 'Shopping Carts')");
q ("INSERT INTO ".tn("xf_snippet_category")." VALUES (112, 'Other')");
q ("INSERT INTO ".tn("xf_snippet_category")." VALUES (113, 'Math Functions')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_snippet_language")." (
  type_id int(11) NOT NULL auto_increment,
  name text,
  PRIMARY KEY  (type_id)
) TYPE=MyISAM
"), 'xf_snippet_language'
);

q ("INSERT INTO ".tn("xf_snippet_language")." VALUES (100, 'Choose One')");
q ("INSERT INTO ".tn("xf_snippet_language")." VALUES (101, 'Other Language')");
q ("INSERT INTO ".tn("xf_snippet_language")." VALUES (102, 'C')");
q ("INSERT INTO ".tn("xf_snippet_language")." VALUES (103, 'C++')");
q ("INSERT INTO ".tn("xf_snippet_language")." VALUES (104, 'Perl')");
q ("INSERT INTO ".tn("xf_snippet_language")." VALUES (105, 'PHP')");
q ("INSERT INTO ".tn("xf_snippet_language")." VALUES (106, 'Python')");
q ("INSERT INTO ".tn("xf_snippet_language")." VALUES (107, 'Unix Shell')");
q ("INSERT INTO ".tn("xf_snippet_language")." VALUES (108, 'Java')");
q ("INSERT INTO ".tn("xf_snippet_language")." VALUES (109, 'AppleScript')");
q ("INSERT INTO ".tn("xf_snippet_language")." VALUES (110, 'Visual Basic')");
q ("INSERT INTO ".tn("xf_snippet_language")." VALUES (111, 'TCL')");
q ("INSERT INTO ".tn("xf_snippet_language")." VALUES (112, 'Lisp')");
q ("INSERT INTO ".tn("xf_snippet_language")." VALUES (113, 'Mixed')");
q ("INSERT INTO ".tn("xf_snippet_language")." VALUES (114, 'Javascript')");
q ("INSERT INTO ".tn("xf_snippet_language")." VALUES (115, 'SQL')");
q ("INSERT INTO ".tn("xf_snippet_language")." VALUES (116, 'C#')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_snippet_package")." (
  snippet_package_id int(11) NOT NULL auto_increment,
  created_by int(11) NOT NULL default '0',
  name text,
  description text,
  category int(11) NOT NULL default '0',
  language int(11) NOT NULL default '0',
  PRIMARY KEY  (snippet_package_id)
) TYPE=MyISAM
"), 'xf_snippet_package'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_snippet_package_item")." (
  snippet_package_item_id int(11) NOT NULL auto_increment,
  snippet_package_version_id int(11) NOT NULL default '0',
  snippet_version_id int(11) NOT NULL default '0',
  PRIMARY KEY  (snippet_package_item_id)
) TYPE=MyISAM
"), 'xf_snippet_package_item'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_snippet_type")." (
  type_id int(11) NOT NULL auto_increment,
  name text,
  PRIMARY KEY  (type_id)
) TYPE=MyISAM
"), 'xf_snippet_type'
);

q ("INSERT INTO ".tn("xf_snippet_type")." VALUES (100, 'Choose One')");
q ("INSERT INTO ".tn("xf_snippet_type")." VALUES (101, 'Function')");
q ("INSERT INTO ".tn("xf_snippet_type")." VALUES (102, 'Full Script')");
q ("INSERT INTO ".tn("xf_snippet_type")." VALUES (103, 'Sample Code (HOWTO)')");
q ("INSERT INTO ".tn("xf_snippet_type")." VALUES (104, 'README')");
q ("INSERT INTO ".tn("xf_snippet_type")." VALUES (105, 'Class')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_snippet_package_version")." (
  snippet_package_version_id int(11) NOT NULL auto_increment,
  snippet_package_id int(11) NOT NULL default '0',
  changes text,
  version text,
  submitted_by int(11) NOT NULL default '0',
  date int(11) NOT NULL default '0',
  PRIMARY KEY  (snippet_package_version_id)
) TYPE=MyISAM
"), 'xf_snippet_package_version'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_snippet_version")." (
  snippet_version_id int(11) NOT NULL auto_increment,
  snippet_id int(11) NOT NULL default '0',
  changes text,
  version text,
  submitted_by int(11) NOT NULL default '0',
  date int(11) NOT NULL default '0',
  code text,
  PRIMARY KEY  (snippet_version_id)
) TYPE=MyISAM
"), 'xf_snippet_version'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_survey_question_types")." (
  id int(11) NOT NULL auto_increment,
  type text NOT NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM
"), 'xf_survey_question_types'
);

q ("INSERT INTO ".tn("xf_survey_question_types")." (id, type) VALUES (1, 'Radio Buttons 1-5')");
q ("INSERT INTO ".tn("xf_survey_question_types")." (id, type) VALUES (2, 'Text Area')");
q ("INSERT INTO ".tn("xf_survey_question_types")." (id, type) VALUES (3, 'Radio Buttons Yes/No')");
q ("INSERT INTO ".tn("xf_survey_question_types")." (id, type) VALUES (4, 'Comment Only')");
q ("INSERT INTO ".tn("xf_survey_question_types")." (id, type) VALUES (5, 'Text Field')");
q ("INSERT INTO ".tn("xf_survey_question_types")." (id, type) VALUES (100, 'None')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_survey_questions")." (
  question_id int(11) NOT NULL auto_increment,
  group_id int(11) NOT NULL default '0',
  question text NOT NULL,
  question_type int(11) NOT NULL default '0',
  PRIMARY KEY  (question_id)
) TYPE=MyISAM
"), 'xf_survey_questions'
);

q ("INSERT INTO ".tn("xf_survey_questions")." (question_id, group_id, question, question_type) VALUES (1, 1, 'What score would you give XoopsForge?', 1)");
q ("INSERT INTO ".tn("xf_survey_questions")." (question_id, group_id, question, question_type) VALUES (2, 1, 'What would you like to see implemented into XoopsForge?', 2)");
q ("INSERT INTO ".tn("xf_survey_questions")." (question_id, group_id, question, question_type) VALUES (3, 1, 'How would you rate the Project Registration Process?', 1)");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_survey_responses")." (
  user_id int(11) NOT NULL default '0',
  group_id int(11) NOT NULL default '0',
  survey_id int(11) NOT NULL default '0',
  question_id int(11) NOT NULL default '0',
  response text NOT NULL,
  date int(11) NOT NULL default '0'
) TYPE=MyISAM
"), 'xf_survey_responses'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_surveys")." (
  survey_id int(11) NOT NULL auto_increment,
  group_id int(11) NOT NULL default '0',
  survey_title text NOT NULL,
  survey_questions text NOT NULL,
  is_active int(11) NOT NULL default '1',
  PRIMARY KEY  (survey_id)
) TYPE=MyISAM
"), 'xf_surveys'
);

q ("INSERT INTO ".tn("xf_surveys")." (survey_id, group_id, survey_title, survey_questions, is_active) VALUES (1, 1, 'XoopsForge Developer Survey', '3,2,1', 1)");
q ("INSERT INTO ".tn("xf_surveys")." (survey_id, group_id, survey_title, survey_questions, is_active) VALUES (100, 100, 'no title', '0', 0)");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_trove_agg")." (
  trove_cat_id int(11) default NULL,
  group_id int(11) default NULL,
  group_name varchar(40) default NULL,
  unix_group_name varchar(30) default NULL,
  status char(1) default NULL,
  register_time int(11) default NULL,
  short_description varchar(255) default NULL,
  percentile double default NULL,
  ranking int(11) default NULL
) TYPE=MyISAM
"), 'xf_xf_trove_agg'
);

q ("INSERT INTO ".tn("xf_trove_agg")." (trove_cat_id, group_id, group_name, unix_group_name, status, register_time, short_description, percentile, ranking) VALUES (3, 1, 'XoopsForge Support', 'xoopsforge', 'A', 1017903334, 'Short Description', NULL, NULL)");
q ("INSERT INTO ".tn("xf_trove_agg")." (trove_cat_id, group_id, group_name, unix_group_name, status, register_time, short_description, percentile, ranking) VALUES (4, 1, 'XoopsForge Support', 'xoopsforge', 'A', 1017903334, 'Short Description', NULL, NULL)");
q ("INSERT INTO ".tn("xf_trove_agg")." (trove_cat_id, group_id, group_name, unix_group_name, status, register_time, short_description, percentile, ranking) VALUES (9, 1, 'XoopsForge Support', 'xoopsforge', 'A', 1017903334, 'Short Description', NULL, NULL)");
q ("INSERT INTO ".tn("xf_trove_agg")." (trove_cat_id, group_id, group_name, unix_group_name, status, register_time, short_description, percentile, ranking) VALUES (10, 1, 'XoopsForge Support', 'xoopsforge', 'A', 1017903334, 'Short Description', NULL, NULL)");
q ("INSERT INTO ".tn("xf_trove_agg")." (trove_cat_id, group_id, group_name, unix_group_name, status, register_time, short_description, percentile, ranking) VALUES (15, 1, 'XoopsForge Support', 'xoopsforge', 'A', 1017903334, 'Short Description', NULL, NULL)");
q ("INSERT INTO ".tn("xf_trove_agg")." (trove_cat_id, group_id, group_name, unix_group_name, status, register_time, short_description, percentile, ranking) VALUES (92, 1, 'XoopsForge Support', 'xoopsforge', 'A', 1017903334, 'Short Description', NULL, NULL)");
q ("INSERT INTO ".tn("xf_trove_agg")." (trove_cat_id, group_id, group_name, unix_group_name, status, register_time, short_description, percentile, ranking) VALUES (183, 1, 'XoopsForge Support', 'xoopsforge', 'A', 1017903334, 'Short Description', NULL, NULL)");
q ("INSERT INTO ".tn("xf_trove_agg")." (trove_cat_id, group_id, group_name, unix_group_name, status, register_time, short_description, percentile, ranking) VALUES (200, 1, 'XoopsForge Support', 'xoopsforge', 'A', 1017903334, 'Short Description', NULL, NULL)");
q ("INSERT INTO ".tn("xf_trove_agg")." (trove_cat_id, group_id, group_name, unix_group_name, status, register_time, short_description, percentile, ranking) VALUES (216, 1, 'XoopsForge Support', 'xoopsforge', 'A', 1017903334, 'Short Description', NULL, NULL)");
q ("INSERT INTO ".tn("xf_trove_agg")." (trove_cat_id, group_id, group_name, unix_group_name, status, register_time, short_description, percentile, ranking) VALUES (226, 1, 'XoopsForge Support', 'xoopsforge', 'A', 1017903334, 'Short Description', NULL, NULL)");
q ("INSERT INTO ".tn("xf_trove_agg")." (trove_cat_id, group_id, group_name, unix_group_name, status, register_time, short_description, percentile, ranking) VALUES (237, 1, 'XoopsForge Support', 'xoopsforge', 'A', 1017903334, 'Short Description', NULL, NULL)");
q ("INSERT INTO ".tn("xf_trove_agg")." (trove_cat_id, group_id, group_name, unix_group_name, status, register_time, short_description, percentile, ranking) VALUES (243, 1, 'XoopsForge Support', 'xoopsforge', 'A', 1017903334, 'Short Description', NULL, NULL)");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_trove_cat")." (
  trove_cat_id int(11) NOT NULL auto_increment,
  version int(11) NOT NULL default '0',
  parent int(11) NOT NULL default '0',
  root_parent int(11) NOT NULL default '0',
  shortname varchar(80) default NULL,
  fullname varchar(80) default NULL,
  description varchar(255) default NULL,
  count_subcat int(11) NOT NULL default '0',
  count_subproj int(11) NOT NULL default '0',
  fullpath text NOT NULL,
  fullpath_ids text,
  PRIMARY KEY  (trove_cat_id)
) TYPE=MyISAM
"), 'xf_trove_cat'
);

q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (1, 2000031601, 0, 0, 'audience', 'Intended Audience', 'The main class of people likely to be interested in this resource.', 0, 0, 'Intended Audience', '1')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (2, 2000032401, 1, 1, 'endusers', 'End Users/Desktop', 'Programs and resources for software end users. Software for the desktop.', 0, 0, 'Intended Audience :: End Users/Desktop', '1 :: 2')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (3, 2000041101, 1, 1, 'developers', 'Developers', 'Programs and resources for software developers, to include libraries.', 0, 0, 'Intended Audience :: Developers', '1 :: 3')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (4, 2000031601, 1, 1, 'sysadmins', 'System Administrators', 'Programs and resources for people who administer computers and networks.', 0, 0, 'Intended Audience :: System Administrators', '1 :: 4')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (5, 2000040701, 1, 1, 'other', 'Other Audience', 'Programs and resources for an unlisted audience.', 0, 0, 'Intended Audience :: Other Audience', '1 :: 5')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (6, 2000031601, 0, 0, 'developmentstatus', 'Development Status', 'An indication of the development status of the software or resource.', 0, 0, 'Development Status', '6')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (7, 2000040701, 6, 6, 'planning', '1 - Planning', 'This resource is in the planning stages only. There is no code.', 0, 0, 'Development Status :: 1 - Planning', '6 :: 7')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (8, 2000040701, 6, 6, 'prealpha', '2 - Pre-Alpha', 'There is code for this project, but it is not usable except for further development.', 0, 0, 'Development Status :: 2 - Pre-Alpha', '6 :: 8')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (9, 2000041101, 6, 6, 'alpha', '3 - Alpha', 'Resource is in early development, and probably incomplete and/or extremely buggy.', 0, 0, 'Development Status :: 3 - Alpha', '6 :: 9')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (10, 2000040701, 6, 6, 'beta', '4 - Beta', 'Resource is in late phases of development. Deliverables are essentially complete, but may still have significant bugs.', 0, 0, 'Development Status :: 4 - Beta', '6 :: 10')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (11, 2000040701, 6, 6, 'production', '5 - Production/Stable', 'Deliverables are complete and usable by the intended audience.', 0, 0, 'Development Status :: 5 - Production/Stable', '6 :: 11')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (12, 2000040701, 6, 6, 'mature', '6 - Mature', 'This resource has an extensive history of successful use and has probably undergone several stable revisions.', 0, 0, 'Development Status :: 6 - Mature', '6 :: 12')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (13, 2000031601, 0, 0, 'license', 'License', 'License terms under which the resource is distributed.', 0, 0, 'License', '13')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (14, 2000032401, 13, 13, 'osi', 'OSI Approved', 'Licenses that have been approved by OSI as approved', 0, 0, 'License :: OSI Approved', '13 :: 14')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (15, 2000032001, 14, 13, 'gpl', 'GNU General Public License (GPL)', 'GNU General Public License.', 0, 0, 'License :: OSI Approved :: GNU General Public License (GPL)', '13 :: 14 :: 15')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (16, 2000050801, 14, 13, 'lgpl', 'GNU Lesser General Public License (LGPL)', 'GNU Lesser General Public License', 0, 0, 'License :: OSI Approved :: GNU Lesser General Public License (LGPL)', '13 :: 14 :: 16')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (17, 2000032001, 14, 13, 'artistic', 'Artistic License', 'The Perl Artistic License', 0, 0, 'License :: OSI Approved :: Artistic License', '13 :: 14 :: 17')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (18, 2000031601, 0, 0, 'topic', 'Topic', 'Topic categorization.', 0, 0, 'Topic', '18')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (19, 2000032001, 136, 18, 'archiving', 'Archiving', 'Tools for maintaining and searching software or document archives.', 0, 0, 'Topic :: System :: Archiving', '18 :: 136 :: 19')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (20, 2000032401, 18, 18, 'communications', 'Communications', 'Programs intended to facilitate communication between people.', 0, 0, 'Topic :: Communications', '18 :: 20')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (21, 2000031601, 20, 18, 'bbs', 'BBS', 'Bulletin Board systems.', 0, 0, 'Topic :: Communications :: BBS', '18 :: 20 :: 21')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (22, 2000031601, 20, 18, 'chat', 'Chat', 'Programs to support real-time communication over the Internet.', 0, 0, 'Topic :: Communications :: Chat', '18 :: 20 :: 22')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (23, 2000031601, 22, 18, 'icq', 'ICQ', 'Programs to support ICQ.', 0, 0, 'Topic :: Communications :: Chat :: ICQ', '18 :: 20 :: 22 :: 23')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (24, 2000041101, 22, 18, 'irc', 'Internet Relay Chat', 'Programs to support Internet Relay Chat.', 0, 0, 'Topic :: Communications :: Chat :: Internet Relay Chat', '18 :: 20 :: 22 :: 24')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (25, 2000031601, 22, 18, 'talk', 'Unix Talk', 'Programs to support Unix Talk protocol.', 0, 0, 'Topic :: Communications :: Chat :: Unix Talk', '18 :: 20 :: 22 :: 25')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (26, 2000031601, 22, 18, 'aim', 'AOL Instant Messanger', 'Programs to support AOL Instant Messanger.', 0, 0, 'Topic :: Communications :: Chat :: AOL Instant Messanger', '18 :: 20 :: 22 :: 26')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (27, 2000031601, 20, 18, 'conferencing', 'Conferencing', 'Software to support real-time conferencing over the Internet.', 0, 0, 'Topic :: Communications :: Conferencing', '18 :: 20 :: 27')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (28, 2000031601, 20, 18, 'email', 'Email', 'Programs for sending, processing, and handling electronic mail.', 0, 0, 'Topic :: Communications :: Email', '18 :: 20 :: 28')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (29, 2000031601, 28, 18, 'filters', 'Filters', 'Content-driven filters and dispatchers for Email.', 0, 0, 'Topic :: Communications :: Email :: Filters', '18 :: 20 :: 28 :: 29')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (30, 2000031601, 28, 18, 'listservers', 'Mailing List Servers', 'Tools for managing electronic mailing lists.', 0, 0, 'Topic :: Communications :: Email :: Mailing List Servers', '18 :: 20 :: 28 :: 30')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (31, 2000031601, 28, 18, 'mua', 'Email Clients (MUA)', 'Programs for interactively reading and sending Email.', 0, 0, 'Topic :: Communications :: Email :: Email Clients (MUA)', '18 :: 20 :: 28 :: 31')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (32, 2000031601, 28, 18, 'mta', 'Mail Transport Agents', 'Email transport and gatewaying software.', 0, 0, 'Topic :: Communications :: Email :: Mail Transport Agents', '18 :: 20 :: 28 :: 32')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (33, 2000031601, 28, 18, 'postoffice', 'Post-Office', 'Programs to support post-office protocols, including POP and IMAP.', 0, 0, 'Topic :: Communications :: Email :: Post-Office', '18 :: 20 :: 28 :: 33')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (34, 2000031601, 33, 18, 'pop3', 'POP3', 'Programs to support POP3 (Post-Office Protocol, version 3).', 0, 0, 'Topic :: Communications :: Email :: Post-Office :: POP3', '18 :: 20 :: 28 :: 33 :: 34')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (35, 2000031601, 33, 18, 'imap', 'IMAP', 'Programs to support IMAP protocol (Internet Message Access Protocol).', 0, 0, 'Topic :: Communications :: Email :: Post-Office :: IMAP', '18 :: 20 :: 28 :: 33 :: 35')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (36, 2000031601, 20, 18, 'fax', 'Fax', 'Tools for sending and receiving facsimile messages.', 0, 0, 'Topic :: Communications :: Fax', '18 :: 20 :: 36')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (37, 2000031601, 20, 18, 'fido', 'FIDO', 'Tools for FIDOnet mail and echoes.', 0, 0, 'Topic :: Communications :: FIDO', '18 :: 20 :: 37')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (38, 2000031601, 20, 18, 'hamradio', 'Ham Radio', 'Tools and resources for amateur radio.', 0, 0, 'Topic :: Communications :: Ham Radio', '18 :: 20 :: 38')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (39, 2000031601, 20, 18, 'usenet', 'Usenet News', 'Software to support USENET news.', 0, 0, 'Topic :: Communications :: Usenet News', '18 :: 20 :: 39')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (40, 2000031601, 20, 18, 'internetphone', 'Internet Phone', 'Software to support real-time speech communication over the Internet.', 0, 0, 'Topic :: Communications :: Internet Phone', '18 :: 20 :: 40')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (41, 2000031601, 19, 18, 'packaging', 'Packaging', 'Tools for packing and unpacking multi-file formats. Includes data-only formats and software package systems.', 0, 0, 'Topic :: System :: Archiving :: Packaging', '18 :: 136 :: 19 :: 41')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (42, 2000031601, 19, 18, 'compression', 'Compression', 'Tools and libraries for data compression.', 0, 0, 'Topic :: System :: Archiving :: Compression', '18 :: 136 :: 19 :: 42')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (43, 2000031601, 18, 18, 'security', 'Security', 'Security-related software, to include system administration and cryptography.', 0, 0, 'Topic :: Security', '18 :: 43')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (44, 2000031601, 43, 18, 'cryptography', 'Cryptography', 'Cryptography programs, algorithms, and libraries.', 0, 0, 'Topic :: Security :: Cryptography', '18 :: 43 :: 44')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (45, 2000031601, 18, 18, 'development', 'Software Development', 'Software used to aid software development.', 0, 0, 'Topic :: Software Development', '18 :: 45')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (46, 2000031601, 45, 18, 'build', 'Build Tools', 'Software for the build process.', 0, 0, 'Topic :: Software Development :: Build Tools', '18 :: 45 :: 46')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (47, 2000031601, 45, 18, 'debuggers', 'Debuggers', 'Programs for controlling and monitoring the execution of compiled binaries.', 0, 0, 'Topic :: Software Development :: Debuggers', '18 :: 45 :: 47')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (48, 2000031601, 45, 18, 'compilers', 'Compilers', 'Programs for compiling high-level languges into machine code.', 0, 0, 'Topic :: Software Development :: Compilers', '18 :: 45 :: 48')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (49, 2000031601, 45, 18, 'interpreters', 'Interpreters', 'Programs for interpreting and executing high-level languages directly.', 0, 0, 'Topic :: Software Development :: Interpreters', '18 :: 45 :: 49')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (50, 2000031601, 45, 18, 'objectbrokering', 'Object Brokering', 'Object brokering libraries and tools.', 0, 0, 'Topic :: Software Development :: Object Brokering', '18 :: 45 :: 50')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (51, 2000031601, 50, 18, 'corba', 'CORBA', 'Tools for implementation and use of CORBA.', 0, 0, 'Topic :: Software Development :: Object Brokering :: CORBA', '18 :: 45 :: 50 :: 51')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (52, 2000031601, 45, 18, 'versioncontrol', 'Version Control', 'Tools for managing multiple versions of evolving sources or documents.', 0, 0, 'Topic :: Software Development :: Version Control', '18 :: 45 :: 52')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (53, 2000031601, 52, 18, 'cvs', 'CVS', 'Tools for CVS (Concurrent Versioning System).', 0, 0, 'Topic :: Software Development :: Version Control :: CVS', '18 :: 45 :: 52 :: 53')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (54, 2000031601, 52, 18, 'rcs', 'RCS', 'Tools for RCS (Revision Control System).', 0, 0, 'Topic :: Software Development :: Version Control :: RCS', '18 :: 45 :: 52 :: 54')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (55, 2000031601, 18, 18, 'desktop', 'Desktop Environment', 'Accessories, managers, and utilities for your GUI desktop.', 0, 0, 'Topic :: Desktop Environment', '18 :: 55')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (56, 2000031601, 55, 18, 'windowmanagers', 'Window Managers', 'Programs that provide window control and application launching.', 0, 0, 'Topic :: Desktop Environment :: Window Managers', '18 :: 55 :: 56')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (57, 2000031601, 55, 18, 'kde', 'K Desktop Environment (KDE)', 'Software for the KDE desktop.', 0, 0, 'Topic :: Desktop Environment :: K Desktop Environment (KDE)', '18 :: 55 :: 57')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (58, 2000031601, 55, 18, 'gnome', 'Gnome', 'Software for the Gnome desktop.', 0, 0, 'Topic :: Desktop Environment :: Gnome', '18 :: 55 :: 58')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (59, 2000031601, 56, 18, 'enlightenment', 'Enlightenment', 'Software for the Enlightenment window manager.', 0, 0, 'Topic :: Desktop Environment :: Window Managers :: Enlightenment', '18 :: 55 :: 56 :: 59')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (60, 2000031601, 59, 18, 'themes', 'Themes', 'Themes for the Enlightenment window manager.', 0, 0, 'Topic :: Desktop Environment :: Window Managers :: Enlightenment :: Themes', '18 :: 55 :: 56 :: 59 :: 60')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (61, 2000031601, 57, 18, 'themes', 'Themes', 'Themes for KDE.', 0, 0, 'Topic :: Desktop Environment :: K Desktop Environment (KDE) :: Themes', '18 :: 55 :: 57 :: 61')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (62, 2000031601, 55, 18, 'screensavers', 'Screen Savers', 'Screen savers and lockers.', 0, 0, 'Topic :: Desktop Environment :: Screen Savers', '18 :: 55 :: 62')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (63, 2000032001, 18, 18, 'editors', 'Text Editors', 'Programs for editing code and documents.', 0, 0, 'Topic :: Text Editors', '18 :: 63')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (64, 2000031601, 63, 18, 'emacs', 'Emacs', 'GNU Emacs and its imitators and tools.', 0, 0, 'Topic :: Text Editors :: Emacs', '18 :: 63 :: 64')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (65, 2000031601, 63, 18, 'ide', 'Integrated Development Environments (IDE)', 'Complete editing environments for code, including cababilities such as compilation and code building assistance.', 0, 0, 'Topic :: Text Editors :: Integrated Development Environments (IDE)', '18 :: 63 :: 65')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (66, 2000031601, 18, 18, 'database', 'Database', 'Front ends, engines, and tools for database work.', 0, 0, 'Topic :: Database', '18 :: 66')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (67, 2000031601, 66, 18, 'engines', 'Database Engines/Servers', 'Programs that manage data and provide control via some query language.', 0, 0, 'Topic :: Database :: Database Engines/Servers', '18 :: 66 :: 67')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (68, 2000031601, 66, 18, 'frontends', 'Front-Ends', 'Clients and front-ends for generating queries to database engines.', 0, 0, 'Topic :: Database :: Front-Ends', '18 :: 66 :: 68')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (69, 2000031601, 63, 18, 'documentation', 'Documentation', 'Tools for the creation and use of documentation.', 0, 0, 'Topic :: Text Editors :: Documentation', '18 :: 63 :: 69')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (70, 2000031601, 63, 18, 'wordprocessors', 'Word Processors', 'WYSIWYG word processors.', 0, 0, 'Topic :: Text Editors :: Word Processors', '18 :: 63 :: 70')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (71, 2000031601, 18, 18, 'education', 'Education', 'Programs and tools for educating yourself or others.', 0, 0, 'Topic :: Education', '18 :: 71')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (72, 2000031601, 71, 18, 'cai', 'Computer Aided Instruction (CAI)', 'Programs for authoring or using Computer Aided Instrution courses.', 0, 0, 'Topic :: Education :: Computer Aided Instruction (CAI)', '18 :: 71 :: 72')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (73, 2000031601, 71, 18, 'testing', 'Testing', 'Tools for testing someone\'s knowledge on a subject.', 0, 0, 'Topic :: Education :: Testing', '18 :: 71 :: 73')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (74, 2000042701, 136, 18, 'emulators', 'Emulators', 'Emulations of foreign operating systme and machines.', 0, 0, 'Topic :: System :: Emulators', '18 :: 136 :: 74')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (75, 2000031701, 129, 18, 'financial', 'Financial', 'Programs related to finance.', 0, 0, 'Topic :: Office/Business :: Financial', '18 :: 129 :: 75')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (76, 2000031601, 75, 18, 'accounting', 'Accounting', 'Checkbook balancers and accounting programs.', 0, 0, 'Topic :: Office/Business :: Financial :: Accounting', '18 :: 129 :: 75 :: 76')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (77, 2000031601, 75, 18, 'investment', 'Investment', 'Programs for assisting in financial investment.', 0, 0, 'Topic :: Office/Business :: Financial :: Investment', '18 :: 129 :: 75 :: 77')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (78, 2000031601, 75, 18, 'spreadsheet', 'Spreadsheet', 'Spreadsheet applications.', 0, 0, 'Topic :: Office/Business :: Financial :: Spreadsheet', '18 :: 129 :: 75 :: 78')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (79, 2000031601, 75, 18, 'pointofsale', 'Point-Of-Sale', 'Point-Of-Sale applications.', 0, 0, 'Topic :: Office/Business :: Financial :: Point-Of-Sale', '18 :: 129 :: 75 :: 79')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (80, 2000031601, 18, 18, 'games', 'Games/Entertainment', 'Games and Entertainment software.', 0, 0, 'Topic :: Games/Entertainment', '18 :: 80')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (81, 2000031601, 80, 18, 'realtimestrategy', 'Real Time Strategy', 'Real Time strategy games', 0, 0, 'Topic :: Games/Entertainment :: Real Time Strategy', '18 :: 80 :: 81')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (82, 2000031601, 80, 18, 'firstpersonshooters', 'First Person Shooters', 'First Person Shooters.', 0, 0, 'Topic :: Games/Entertainment :: First Person Shooters', '18 :: 80 :: 82')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (83, 2000032401, 80, 18, 'turnbasedstrategy', 'Turn Based Strategy', 'Turn Based Strategy', 0, 0, 'Topic :: Games/Entertainment :: Turn Based Strategy', '18 :: 80 :: 83')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (84, 2000031601, 80, 18, 'rpg', 'Role-Playing', 'Role-Playing games', 0, 0, 'Topic :: Games/Entertainment :: Role-Playing', '18 :: 80 :: 84')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (85, 2000031601, 80, 18, 'simulation', 'Simulation', 'Simulation games', 0, 0, 'Topic :: Games/Entertainment :: Simulation', '18 :: 80 :: 85')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (86, 2000031601, 80, 18, 'mud', 'Multi-User Dungeons (MUD)', 'Massively-multiplayer text based games.', 0, 0, 'Topic :: Games/Entertainment :: Multi-User Dungeons (MUD)', '18 :: 80 :: 86')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (87, 2000031601, 18, 18, 'internet', 'Internet', 'Tools to assist human access to the Internet.', 0, 0, 'Topic :: Internet', '18 :: 87')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (88, 2000031601, 87, 18, 'finger', 'Finger', 'The Finger protocol for getting information about users.', 0, 0, 'Topic :: Internet :: Finger', '18 :: 87 :: 88')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (89, 2000031601, 87, 18, 'ftp', 'File Transfer Protocol (FTP)', 'Programs and tools for file transfer via FTP.', 0, 0, 'Topic :: Internet :: File Transfer Protocol (FTP)', '18 :: 87 :: 89')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (90, 2000031601, 87, 18, 'www', 'WWW/HTTP', 'Programs and tools for the World Wide Web.', 0, 0, 'Topic :: Internet :: WWW/HTTP', '18 :: 87 :: 90')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (91, 2000031601, 90, 18, 'browsers', 'Browsers', 'Web Browsers', 0, 0, 'Topic :: Internet :: WWW/HTTP :: Browsers', '18 :: 87 :: 90 :: 91')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (92, 2000031601, 90, 18, 'dynamic', 'Dynamic Content', 'Common Gateway Interface scripting and server-side parsing.', 0, 0, 'Topic :: Internet :: WWW/HTTP :: Dynamic Content', '18 :: 87 :: 90 :: 92')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (93, 2000031601, 90, 18, 'indexing', 'Indexing/Search', 'Indexing and search tools for the Web.', 0, 0, 'Topic :: Internet :: WWW/HTTP :: Indexing/Search', '18 :: 87 :: 90 :: 93')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (94, 2000031601, 92, 18, 'counters', 'Page Counters', 'Scripts to count numbers of pageviews.', 0, 0, 'Topic :: Internet :: WWW/HTTP :: Dynamic Content :: Page Counters', '18 :: 87 :: 90 :: 92 :: 94')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (95, 2000031601, 92, 18, 'messageboards', 'Message Boards', 'Online message boards', 0, 0, 'Topic :: Internet :: WWW/HTTP :: Dynamic Content :: Message Boards', '18 :: 87 :: 90 :: 92 :: 95')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (96, 2000031601, 92, 18, 'cgi', 'CGI Tools/Libraries', 'Tools for the Common Gateway Interface', 0, 0, 'Topic :: Internet :: WWW/HTTP :: Dynamic Content :: CGI Tools/Libraries', '18 :: 87 :: 90 :: 92 :: 96')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (97, 2000042701, 18, 18, 'scientific', 'Scientific/Engineering', 'Scientific applications, to include research, applied and pure mathematics and sciences.', 0, 0, 'Topic :: Scientific/Engineering', '18 :: 97')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (98, 2000031601, 97, 18, 'mathematics', 'Mathematics', 'Software to support pure and applied mathematics.', 0, 0, 'Topic :: Scientific/Engineering :: Mathematics', '18 :: 97 :: 98')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (99, 2000031601, 18, 18, 'multimedia', 'Multimedia', 'Graphics, sound, video, and multimedia.', 0, 0, 'Topic :: Multimedia', '18 :: 99')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (100, 2000031601, 99, 18, 'graphics', 'Graphics', 'Tools and resources for computer graphics.', 0, 0, 'Topic :: Multimedia :: Graphics', '18 :: 99 :: 100')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (101, 2000031601, 100, 18, 'capture', 'Capture', 'Support for scanners, cameras, and screen capture.', 0, 0, 'Topic :: Multimedia :: Graphics :: Capture', '18 :: 99 :: 100 :: 101')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (102, 2000031601, 101, 18, 'scanners', 'Scanners', 'Support for graphic scanners.', 0, 0, 'Topic :: Multimedia :: Graphics :: Capture :: Scanners', '18 :: 99 :: 100 :: 101 :: 102')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (103, 2000031601, 101, 18, 'cameras', 'Digital Camera', 'Digital Camera', 0, 0, 'Topic :: Multimedia :: Graphics :: Capture :: Digital Camera', '18 :: 99 :: 100 :: 101 :: 103')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (104, 2000031601, 101, 18, 'screencapture', 'Screen Capture', 'Screen capture tools and processors.', 0, 0, 'Topic :: Multimedia :: Graphics :: Capture :: Screen Capture', '18 :: 99 :: 100 :: 101 :: 104')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (105, 2000031701, 100, 18, 'conversion', 'Graphics Conversion', 'Programs which convert between graphics formats.', 0, 0, 'Topic :: Multimedia :: Graphics :: Graphics Conversion', '18 :: 99 :: 100 :: 105')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (106, 2000031701, 100, 18, 'editors', 'Editors', 'Drawing, painting, and structured editing programs.', 0, 0, 'Topic :: Multimedia :: Graphics :: Editors', '18 :: 99 :: 100 :: 106')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (107, 2000031701, 106, 18, 'vector', 'Vector-Based', 'Vector-Based drawing programs.', 0, 0, 'Topic :: Multimedia :: Graphics :: Editors :: Vector-Based', '18 :: 99 :: 100 :: 106 :: 107')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (108, 2000031701, 106, 18, 'raster', 'Raster-Based', 'Raster/Bitmap based drawing programs.', 0, 0, 'Topic :: Multimedia :: Graphics :: Editors :: Raster-Based', '18 :: 99 :: 100 :: 106 :: 108')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (109, 2000031701, 100, 18, '3dmodeling', '3D Modeling', 'Programs for working with 3D Models.', 0, 0, 'Topic :: Multimedia :: Graphics :: 3D Modeling', '18 :: 99 :: 100 :: 109')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (110, 2000031701, 100, 18, '3drendering', '3D Rendering', 'Programs which render 3D models.', 0, 0, 'Topic :: Multimedia :: Graphics :: 3D Rendering', '18 :: 99 :: 100 :: 110')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (111, 2000031701, 100, 18, 'presentation', 'Presentation', 'Tools for generating presentation graphics and slides.', 0, 0, 'Topic :: Multimedia :: Graphics :: Presentation', '18 :: 99 :: 100 :: 111')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (112, 2000031701, 100, 18, 'viewers', 'Viewers', 'Programs that can display various graphics formats.', 0, 0, 'Topic :: Multimedia :: Graphics :: Viewers', '18 :: 99 :: 100 :: 112')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (113, 2000031701, 99, 18, 'sound', 'Sound/Audio', 'Tools for generating, editing, analyzing, and playing sound.', 0, 0, 'Topic :: Multimedia :: Sound/Audio', '18 :: 99 :: 113')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (114, 2000031701, 113, 18, 'analysis', 'Analysis', 'Sound analysis tools, to include frequency analysis.', 0, 0, 'Topic :: Multimedia :: Sound/Audio :: Analysis', '18 :: 99 :: 113 :: 114')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (115, 2000031701, 113, 18, 'capture', 'Capture/Recording', 'Sound capture and recording.', 0, 0, 'Topic :: Multimedia :: Sound/Audio :: Capture/Recording', '18 :: 99 :: 113 :: 115')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (116, 2000031701, 113, 18, 'cdaudio', 'CD Audio', 'Programs to play and manipulate audio CDs.', 0, 0, 'Topic :: Multimedia :: Sound/Audio :: CD Audio', '18 :: 99 :: 113 :: 116')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (117, 2000031701, 116, 18, 'cdplay', 'CD Playing', 'CD Playing software, to include jukebox software.', 0, 0, 'Topic :: Multimedia :: Sound/Audio :: CD Audio :: CD Playing', '18 :: 99 :: 113 :: 116 :: 117')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (118, 2000031701, 116, 18, 'cdripping', 'CD Ripping', 'Software to convert CD Audio to other digital formats.', 0, 0, 'Topic :: Multimedia :: Sound/Audio :: CD Audio :: CD Ripping', '18 :: 99 :: 113 :: 116 :: 118')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (119, 2000031701, 113, 18, 'conversion', 'Conversion', 'Programs to convert between audio formats.', 0, 0, 'Topic :: Multimedia :: Sound/Audio :: Conversion', '18 :: 99 :: 113 :: 119')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (120, 2000031701, 113, 18, 'editors', 'Editors', 'Programs to edit/manipulate sound data.', 0, 0, 'Topic :: Multimedia :: Sound/Audio :: Editors', '18 :: 99 :: 113 :: 120')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (121, 2000031701, 113, 18, 'mixers', 'Mixers', 'Programs to mix audio.', 0, 0, 'Topic :: Multimedia :: Sound/Audio :: Mixers', '18 :: 99 :: 113 :: 121')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (122, 2000031701, 113, 18, 'players', 'Players', 'Programs to play audio files to a sound device.', 0, 0, 'Topic :: Multimedia :: Sound/Audio :: Players', '18 :: 99 :: 113 :: 122')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (123, 2000031701, 122, 18, 'mp3', 'MP3', 'Programs to play MP3 audio files.', 0, 0, 'Topic :: Multimedia :: Sound/Audio :: Players :: MP3', '18 :: 99 :: 113 :: 122 :: 123')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (124, 2000031701, 113, 18, 'speech', 'Speech', 'Speech manipulation and intepretation tools.', 0, 0, 'Topic :: Multimedia :: Sound/Audio :: Speech', '18 :: 99 :: 113 :: 124')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (125, 2000031701, 99, 18, 'video', 'Video', 'Video capture, editing, and playback.', 0, 0, 'Topic :: Multimedia :: Video', '18 :: 99 :: 125')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (126, 2000031701, 125, 18, 'capture', 'Capture', 'Video capture tools.', 0, 0, 'Topic :: Multimedia :: Video :: Capture', '18 :: 99 :: 125 :: 126')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (127, 2000031701, 125, 18, 'conversion', 'Conversion', 'Programs which convert between video formats.', 0, 0, 'Topic :: Multimedia :: Video :: Conversion', '18 :: 99 :: 125 :: 127')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (128, 2000031701, 125, 18, 'display', 'Display', 'Programs which display various video formats.', 0, 0, 'Topic :: Multimedia :: Video :: Display', '18 :: 99 :: 125 :: 128')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (129, 2000031701, 18, 18, 'office', 'Office/Business', 'Software for assisting and organizing work at your desk.', 0, 0, 'Topic :: Office/Business', '18 :: 129')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (130, 2000031701, 129, 18, 'scheduling', 'Scheduling', 'Projects for scheduling time, to include project management.', 0, 0, 'Topic :: Office/Business :: Scheduling', '18 :: 129 :: 130')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (131, 2000032001, 129, 18, 'suites', 'Office Suites', 'Integrated office suites (word processing, presentation, spreadsheet, database, etc).', 0, 0, 'Topic :: Office/Business :: Office Suites', '18 :: 129 :: 131')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (132, 2000032001, 18, 18, 'religion', 'Religion', 'Programs relating to religion and sacred texts.', 0, 0, 'Topic :: Religion', '18 :: 132')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (133, 2000032001, 97, 18, 'ai', 'Artificial Intelligence', 'Artificial Intelligence.', 0, 0, 'Topic :: Scientific/Engineering :: Artificial Intelligence', '18 :: 97 :: 133')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (134, 2000032001, 97, 18, 'astronomy', 'Astronomy', 'Software and tools related to astronomy.', 0, 0, 'Topic :: Scientific/Engineering :: Astronomy', '18 :: 97 :: 134')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (135, 2000032001, 97, 18, 'visualization', 'Visualization', 'Software for scientific visualization.', 0, 0, 'Topic :: Scientific/Engineering :: Visualization', '18 :: 97 :: 135')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (136, 2000032001, 18, 18, 'system', 'System', 'Operating system core and administration utilities.', 0, 0, 'Topic :: System', '18 :: 136')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (137, 2000032001, 19, 18, 'backup', 'Backup', 'Programs to manage and sequence system backup.', 0, 0, 'Topic :: System :: Archiving :: Backup', '18 :: 136 :: 19 :: 137')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (138, 2000032001, 136, 18, 'benchmark', 'Benchmark', 'Programs for benchmarking system performance.', 0, 0, 'Topic :: System :: Benchmark', '18 :: 136 :: 138')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (139, 2000032001, 136, 18, 'boot', 'Boot', 'Programs for bootstrapping your OS.', 0, 0, 'Topic :: System :: Boot', '18 :: 136 :: 139')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (140, 2000032001, 139, 18, 'init', 'Init', 'Init-time programs to start system services after boot.', 0, 0, 'Topic :: System :: Boot :: Init', '18 :: 136 :: 139 :: 140')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (141, 2000032001, 136, 18, 'clustering', 'Clustering/Distributed Networks', 'Tools for automatically distributing computation across a network.', 0, 0, 'Topic :: System :: Clustering/Distributed Networks', '18 :: 136 :: 141')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (142, 2000032001, 136, 18, 'filesystems', 'Filesystems', 'Support for creating, editing, reading, and writing file systems.', 0, 0, 'Topic :: System :: Filesystems', '18 :: 136 :: 142')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (143, 2000032001, 144, 18, 'linux', 'Linux', 'The Linux kernel, patches, and modules.', 0, 0, 'Topic :: System :: Operating System Kernels :: Linux', '18 :: 136 :: 144 :: 143')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (144, 2000032001, 136, 18, 'kernels', 'Operating System Kernels', 'OS Kernels, patches, modules, and tools.', 0, 0, 'Topic :: System :: Operating System Kernels', '18 :: 136 :: 144')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (145, 2000032001, 144, 18, 'bsd', 'BSD', 'Code relating to any of the BSD kernels.', 0, 0, 'Topic :: System :: Operating System Kernels :: BSD', '18 :: 136 :: 144 :: 145')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (146, 2000032001, 136, 18, 'hardware', 'Hardware', 'Tools for direct, non-kernel control and configuration of hardware.', 0, 0, 'Topic :: System :: Hardware', '18 :: 136 :: 146')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (147, 2000032001, 136, 18, 'setup', 'Installation/Setup', 'Tools for installation and setup of the operating system and other programs.', 0, 0, 'Topic :: System :: Installation/Setup', '18 :: 136 :: 147')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (148, 2000032001, 136, 18, 'logging', 'Logging', 'Utilities for clearing, rotating, and digesting system logs.', 0, 0, 'Topic :: System :: Logging', '18 :: 136 :: 148')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (149, 2000032001, 87, 18, 'dns', 'Name Service (DNS)', 'Domain name system servers and utilities.', 0, 0, 'Topic :: Internet :: Name Service (DNS)', '18 :: 87 :: 149')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (150, 2000032001, 136, 18, 'networking', 'Networking', 'Network configuration and administration.', 0, 0, 'Topic :: System :: Networking', '18 :: 136 :: 150')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (151, 2000032001, 150, 18, 'firewalls', 'Firewalls', 'Firewalls and filtering systems.', 0, 0, 'Topic :: System :: Networking :: Firewalls', '18 :: 136 :: 150 :: 151')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (152, 2000032001, 150, 18, 'monitoring', 'Monitoring', 'System monitoring, traffic analysis, and sniffers.', 0, 0, 'Topic :: System :: Networking :: Monitoring', '18 :: 136 :: 150 :: 152')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (153, 2000032001, 136, 18, 'power', 'Power (UPS)', 'Code for communication with uninterruptible power supplies.', 0, 0, 'Topic :: System :: Power (UPS)', '18 :: 136 :: 153')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (154, 2000032001, 18, 18, 'printing', 'Printing', 'Tools, daemons, and utilities for printer control.', 0, 0, 'Topic :: Printing', '18 :: 154')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (155, 2000032001, 152, 18, 'watchdog', 'Hardware Watchdog', 'Software to monitor and perform actions or shutdown on hardware trouble detection.', 0, 0, 'Topic :: System :: Networking :: Monitoring :: Hardware Watchdog', '18 :: 136 :: 150 :: 152 :: 155')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (156, 2000032001, 18, 18, 'terminals', 'Terminals', 'Terminal emulators, terminal programs, and terminal session utilities.', 0, 0, 'Topic :: Terminals', '18 :: 156')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (157, 2000032001, 156, 18, 'serial', 'Serial', 'Dialup, terminal emulation, and file transfer over serial lines.', 0, 0, 'Topic :: Terminals :: Serial', '18 :: 156 :: 157')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (158, 2000032001, 156, 18, 'virtual', 'Terminal Emulators/X Terminals', 'Programs to handle multiple terminal sessions. Includes terminal emulations for X and other window systems.', 0, 0, 'Topic :: Terminals :: Terminal Emulators/X Terminals', '18 :: 156 :: 158')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (159, 2000032001, 156, 18, 'telnet', 'Telnet', 'Support for telnet; terminal sessions across Internet links.', 0, 0, 'Topic :: Terminals :: Telnet', '18 :: 156 :: 159')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (160, 2000032001, 0, 0, 'language', 'Programming Language', 'Language in which this program was written, or was meant to support.', 0, 0, 'Programming Language', '160')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (161, 2000032001, 160, 160, 'apl', 'APL', 'APL', 0, 0, 'Programming Language :: APL', '160 :: 161')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (164, 2000032001, 160, 160, 'c', 'C', 'C', 0, 0, 'Programming Language :: C', '160 :: 164')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (162, 2000032001, 160, 160, 'assembly', 'Assembly', 'Assembly-level programs. Platform specific.', 0, 0, 'Programming Language :: Assembly', '160 :: 162')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (163, 2000051001, 160, 160, 'ada', 'Ada', 'Ada', 0, 0, 'Programming Language :: Ada', '160 :: 163')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (165, 2000032001, 160, 160, 'cpp', 'C++', 'C++', 0, 0, 'Programming Language :: C++', '160 :: 165')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (166, 2000032401, 160, 160, 'eiffel', 'Eiffel', 'Eiffel', 0, 0, 'Programming Language :: Eiffel', '160 :: 166')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (167, 2000032001, 160, 160, 'euler', 'Euler', 'Euler', 0, 0, 'Programming Language :: Euler', '160 :: 167')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (168, 2000032001, 160, 160, 'forth', 'Forth', 'Forth', 0, 0, 'Programming Language :: Forth', '160 :: 168')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (169, 2000032001, 160, 160, 'fortran', 'Fortran', 'Fortran', 0, 0, 'Programming Language :: Fortran', '160 :: 169')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (170, 2000032001, 160, 160, 'lisp', 'Lisp', 'Lisp', 0, 0, 'Programming Language :: Lisp', '160 :: 170')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (171, 2000041101, 160, 160, 'logo', 'Logo', 'Logo', 0, 0, 'Programming Language :: Logo', '160 :: 171')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (172, 2000032001, 160, 160, 'ml', 'ML', 'ML', 0, 0, 'Programming Language :: ML', '160 :: 172')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (173, 2000032001, 160, 160, 'modula', 'Modula', 'Modula-2 or Modula-3', 0, 0, 'Programming Language :: Modula', '160 :: 173')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (174, 2000032001, 160, 160, 'objectivec', 'Objective C', 'Objective C', 0, 0, 'Programming Language :: Objective C', '160 :: 174')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (175, 2000032001, 160, 160, 'pascal', 'Pascal', 'Pascal', 0, 0, 'Programming Language :: Pascal', '160 :: 175')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (176, 2000032001, 160, 160, 'perl', 'Perl', 'Perl', 0, 0, 'Programming Language :: Perl', '160 :: 176')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (177, 2000032001, 160, 160, 'prolog', 'Prolog', 'Prolog', 0, 0, 'Programming Language :: Prolog', '160 :: 177')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (178, 2000032001, 160, 160, 'python', 'Python', 'Python', 0, 0, 'Programming Language :: Python', '160 :: 178')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (179, 2000032001, 160, 160, 'rexx', 'Rexx', 'Rexx', 0, 0, 'Programming Language :: Rexx', '160 :: 179')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (180, 2000032001, 160, 160, 'simula', 'Simula', 'Simula', 0, 0, 'Programming Language :: Simula', '160 :: 180')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (181, 2000032001, 160, 160, 'smalltalk', 'Smalltalk', 'Smalltalk', 0, 0, 'Programming Language :: Smalltalk', '160 :: 181')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (182, 2000032001, 160, 160, 'tcl', 'Tcl', 'Tcl', 0, 0, 'Programming Language :: Tcl', '160 :: 182')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (183, 2000032001, 160, 160, 'php', 'PHP', 'PHP', 0, 0, 'Programming Language :: PHP', '160 :: 183')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (184, 2000032001, 160, 160, 'asp', 'ASP', 'Active Server Pages', 0, 0, 'Programming Language :: ASP', '160 :: 184')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (185, 2000032001, 160, 160, 'shell', 'Unix Shell', 'Unix Shell', 0, 0, 'Programming Language :: Unix Shell', '160 :: 185')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (186, 2000032001, 160, 160, 'visualbasic', 'Visual Basic', 'Visual Basic', 0, 0, 'Programming Language :: Visual Basic', '160 :: 186')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (187, 2000032001, 14, 13, 'bsd', 'BSD License', 'BSD License', 0, 0, 'License :: OSI Approved :: BSD License', '13 :: 14 :: 187')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (188, 2000032001, 14, 13, 'mit', 'MIT/X Consortium License', 'MIT License, also the X Consortium License.', 0, 0, 'License :: OSI Approved :: MIT/X Consortium License', '13 :: 14 :: 188')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (189, 2000032001, 14, 13, 'mpl', 'Mozilla Public License (MPL)', 'Mozilla Public License (MPL)', 0, 0, 'License :: OSI Approved :: Mozilla Public License (MPL)', '13 :: 14 :: 189')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (190, 2000032001, 14, 13, 'qpl', 'QT Public License (QPL)', 'QT Public License', 0, 0, 'License :: OSI Approved :: QT Public License (QPL)', '13 :: 14 :: 190')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (191, 2000032001, 14, 13, 'ibm', 'IBM Public License', 'IBM Public License', 0, 0, 'License :: OSI Approved :: IBM Public License', '13 :: 14 :: 191')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (192, 2000032001, 14, 13, 'cvw', 'MITRE Collaborative Virtual Workspace License (CVW)', 'MITRE Collaborative Virtual Workspace License (CVW)', 0, 0, 'License :: OSI Approved :: MITRE Collaborative Virtual Workspace License (CVW)', '13 :: 14 :: 192')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (193, 2000032001, 14, 13, 'ricoh', 'Ricoh Source Code Public License', 'Ricoh Source Code Public License', 0, 0, 'License :: OSI Approved :: Ricoh Source Code Public License', '13 :: 14 :: 193')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (194, 2000032001, 14, 13, 'python', 'Python License', 'Python License', 0, 0, 'License :: OSI Approved :: Python License', '13 :: 14 :: 194')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (195, 2000032001, 14, 13, 'zlib', 'zlib/libpng License', 'zlib/libpng License', 0, 0, 'License :: OSI Approved :: zlib/libpng License', '13 :: 14 :: 195')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (196, 2000040701, 13, 13, 'other', 'Other/Proprietary License', 'Non OSI-Approved/Proprietary license.', 0, 0, 'License :: Other/Proprietary License', '13 :: 196')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (197, 2000032001, 13, 13, 'publicdomain', 'Public Domain', 'Public Domain. No author-retained rights.', 0, 0, 'License :: Public Domain', '13 :: 197')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (198, 2000032001, 160, 160, 'java', 'Java', 'Java', 0, 0, 'Programming Language :: Java', '160 :: 198')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (199, 2000032101, 0, 0, 'os', 'Operating System', 'What operating system the program requires to run, if any.', 0, 0, 'Operating System', '199')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (200, 2000032101, 199, 199, 'posix', 'POSIX', 'POSIX plus standard Berkeley socket facilities. Don\'t list a more specific OS unless your program requires it.', 0, 0, 'Operating System :: POSIX', '199 :: 200')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (201, 2000032101, 200, 199, 'linux', 'Linux', 'Any version of Linux. Don\'t specify a subcategory unless the program requires a particular distribution.', 0, 0, 'Operating System :: POSIX :: Linux', '199 :: 200 :: 201')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (202, 2000032101, 200, 199, 'bsd', 'BSD', 'Any variant of BSD. Don\'t specify a subcategory unless the program requires a particular BSD flavor.', 0, 0, 'Operating System :: POSIX :: BSD', '199 :: 200 :: 202')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (203, 2000041101, 202, 199, 'freebsd', 'FreeBSD', 'FreeBSD', 0, 0, 'Operating System :: POSIX :: BSD :: FreeBSD', '199 :: 200 :: 202 :: 203')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (204, 2000032101, 202, 199, 'netbsd', 'NetBSD', 'NetBSD', 0, 0, 'Operating System :: POSIX :: BSD :: NetBSD', '199 :: 200 :: 202 :: 204')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (205, 2000032101, 202, 199, 'openbsd', 'OpenBSD', 'OpenBSD', 0, 0, 'Operating System :: POSIX :: BSD :: OpenBSD', '199 :: 200 :: 202 :: 205')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (206, 2000032101, 202, 199, 'bsdos', 'BSD/OS', 'BSD/OS', 0, 0, 'Operating System :: POSIX :: BSD :: BSD/OS', '199 :: 200 :: 202 :: 206')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (207, 2000032101, 200, 199, 'sun', 'SunOS/Solaris', 'Any Sun Microsystems OS.', 0, 0, 'Operating System :: POSIX :: SunOS/Solaris', '199 :: 200 :: 207')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (208, 2000032101, 200, 199, 'sco', 'SCO', 'SCO', 0, 0, 'Operating System :: POSIX :: SCO', '199 :: 200 :: 208')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (209, 2000032101, 200, 199, 'hpux', 'HP-UX', 'HP-UX', 0, 0, 'Operating System :: POSIX :: HP-UX', '199 :: 200 :: 209')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (210, 2000032101, 200, 199, 'aix', 'AIX', 'AIX', 0, 0, 'Operating System :: POSIX :: AIX', '199 :: 200 :: 210')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (211, 2000032101, 200, 199, 'irix', 'IRIX', 'IRIX', 0, 0, 'Operating System :: POSIX :: IRIX', '199 :: 200 :: 211')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (212, 2000032101, 200, 199, 'other', 'Other', 'Other specific POSIX OS, specified in description.', 0, 0, 'Operating System :: POSIX :: Other', '199 :: 200 :: 212')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (213, 2000032101, 160, 160, 'other', 'Other', 'Other programming language, specified in description.', 0, 0, 'Programming Language :: Other', '160 :: 213')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (214, 2000032101, 199, 199, 'microsoft', 'Microsoft', 'Microsoft operating systems.', 0, 0, 'Operating System :: Microsoft', '199 :: 214')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (215, 2000032101, 214, 199, 'msdos', 'MS-DOS', 'Microsoft Disk Operating System (DOS)', 0, 0, 'Operating System :: Microsoft :: MS-DOS', '199 :: 214 :: 215')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (216, 2000032101, 214, 199, 'windows', 'Windows', 'Windows software, not specific to any particular version of Windows.', 0, 0, 'Operating System :: Microsoft :: Windows', '199 :: 214 :: 216')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (217, 2000032101, 216, 199, 'win31', 'Windows 3.1 or Earlier', 'Windows 3.1 or Earlier', 0, 0, 'Operating System :: Microsoft :: Windows :: Windows 3.1 or Earlier', '199 :: 214 :: 216 :: 217')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (218, 2000032101, 216, 199, 'win95', 'Windows 95/98/2000', 'Windows 95, Windows 98, and Windows 2000.', 0, 0, 'Operating System :: Microsoft :: Windows :: Windows 95/98/2000', '199 :: 214 :: 216 :: 218')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (219, 2000041101, 216, 199, 'winnt', 'Windows NT/2000', 'Windows NT and Windows 2000.', 0, 0, 'Operating System :: Microsoft :: Windows :: Windows NT/2000', '199 :: 214 :: 216 :: 219')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (220, 2000032101, 199, 199, 'os2', 'OS/2', 'OS/2', 0, 0, 'Operating System :: OS/2', '199 :: 220')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (221, 2000032101, 199, 199, 'macos', 'MacOS', 'MacOS', 0, 0, 'Operating System :: MacOS', '199 :: 221')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (222, 2000032101, 216, 199, 'wince', 'Windows CE', 'Windows CE', 0, 0, 'Operating System :: Microsoft :: Windows :: Windows CE', '199 :: 214 :: 216 :: 222')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (223, 2000032101, 199, 199, 'palmos', 'PalmOS', 'PalmOS (for Palm Pilot)', 0, 0, 'Operating System :: PalmOS', '199 :: 223')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (224, 2000032101, 199, 199, 'beos', 'BeOS', 'BeOS', 0, 0, 'Operating System :: BeOS', '199 :: 224')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (225, 2000032101, 0, 0, 'environment', 'Environment', 'Run-time environment required for this program.', 0, 0, 'Environment', '225')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (226, 2000041101, 225, 225, 'console', 'Console (Text Based)', 'Console-based programs.', 0, 0, 'Environment :: Console (Text Based)', '225 :: 226')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (227, 2000032401, 226, 225, 'curses', 'Curses', 'Curses-based software.', 0, 0, 'Environment :: Console (Text Based) :: Curses', '225 :: 226 :: 227')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (228, 2002031201, 226, 225, 'newt', 'Newt', 'Newt', 0, 0, 'Environment :: Console (Text Based) :: Newt', '225 :: 226 :: 228')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (229, 2000040701, 225, 225, 'x11', 'X11 Applications', 'Programs that run in an X windowing environment.', 0, 0, 'Environment :: X11 Applications', '225 :: 229')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (230, 2000040701, 225, 225, 'win32', 'Win32 (MS Windows)', 'Programs designed to run in a graphical Microsoft Windows environment.', 0, 0, 'Environment :: Win32 (MS Windows)', '225 :: 230')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (231, 2000040701, 229, 225, 'gnome', 'Gnome', 'Programs designed to run in a Gnome environment.', 0, 0, 'Environment :: X11 Applications :: Gnome', '225 :: 229 :: 231')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (232, 2000040701, 229, 225, 'kde', 'KDE', 'Programs designed to run in a KDE environment.', 0, 0, 'Environment :: X11 Applications :: KDE', '225 :: 229 :: 232')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (233, 2000040701, 225, 225, 'other', 'Other Environment', 'Programs designed to run in an environment other than one listed.', 0, 0, 'Environment :: Other Environment', '225 :: 233')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (234, 2000040701, 18, 18, 'other', 'Other/Nonlisted Topic', 'Topic does not fit into any listed category.', 0, 0, 'Topic :: Other/Nonlisted Topic', '18 :: 234')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (235, 2000041001, 199, 199, 'independent', 'OS Independent', 'This software does not depend on any particular operating system.', 0, 0, 'Operating System :: OS Independent', '199 :: 235')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (236, 2000040701, 199, 199, 'other', 'Other OS', 'Program is designe for a nonlisted operating system.', 0, 0, 'Operating System :: Other OS', '199 :: 236')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (237, 2000041001, 225, 225, 'web', 'Web Environment', 'This software is designed for a web environment.', 0, 0, 'Environment :: Web Environment', '225 :: 237')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (238, 2000041101, 225, 225, 'daemon', 'No Input/Output (Daemon)', 'This program has no input or output, but is intended to run in the background as a daemon.', 0, 0, 'Environment :: No Input/Output (Daemon)', '225 :: 238')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (239, 2000041301, 144, 18, 'gnuhurd', 'GNU Hurd', 'Kernel code and modules for GNU Hurd.', 0, 0, 'Topic :: System :: Operating System Kernels :: GNU Hurd', '18 :: 136 :: 144 :: 239')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (240, 2000041301, 200, 199, 'gnuhurd', 'GNU Hurd', 'GNU Hurd', 0, 0, 'Operating System :: POSIX :: GNU Hurd', '199 :: 200 :: 240')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (241, 2000050101, 251, 18, 'napster', 'Napster', 'Clients and servers for the Napster file sharing protocol.', 0, 0, 'Topic :: Communications :: File Sharing :: Napster', '18 :: 20 :: 251 :: 241')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (242, 2000042701, 160, 160, 'scheme', 'Scheme', 'Scheme programming language.', 0, 0, 'Programming Language :: Scheme', '160 :: 242')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (243, 2000042701, 90, 18, 'sitemanagement', 'Site Management', 'Tools for maintanance and management of web sites.', 0, 0, 'Topic :: Internet :: WWW/HTTP :: Site Management', '18 :: 87 :: 90 :: 243')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (244, 2000042701, 243, 18, 'linkchecking', 'Link Checking', 'Tools to assist in checking for broken links.', 0, 0, 'Topic :: Internet :: WWW/HTTP :: Site Management :: Link Checking', '18 :: 87 :: 90 :: 243 :: 244')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (245, 2000042701, 87, 18, 'loganalysis', 'Log Analysis', 'Software to help analyze various log files.', 0, 0, 'Topic :: Internet :: Log Analysis', '18 :: 87 :: 245')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (246, 2000042701, 97, 18, 'eda', 'Electronic Design Automation (EDA)', 'Tools for circuit design, schematics, board layout, and more.', 0, 0, 'Topic :: Scientific/Engineering :: Electronic Design Automation (EDA)', '18 :: 97 :: 246')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (247, 2000042701, 20, 18, 'telephony', 'Telephony', 'Telephony related applications, to include automated voice response systems.', 0, 0, 'Topic :: Communications :: Telephony', '18 :: 20 :: 247')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (248, 2000042801, 113, 18, 'midi', 'MIDI', 'Software related to MIDI synthesis and playback.', 0, 0, 'Topic :: Multimedia :: Sound/Audio :: MIDI', '18 :: 99 :: 113 :: 248')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (249, 2000042801, 113, 18, 'synthesis', 'Sound Synthesis', 'Software for creation and synthesis of sound.', 0, 0, 'Topic :: Multimedia :: Sound/Audio :: Sound Synthesis', '18 :: 99 :: 113 :: 249')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (250, 2000042801, 90, 18, 'httpservers', 'HTTP Servers', 'Software designed to serve content via the HTTP protocol.', 0, 0, 'Topic :: Internet :: WWW/HTTP :: HTTP Servers', '18 :: 87 :: 90 :: 250')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (251, 2000050101, 20, 18, 'filesharing', 'File Sharing', 'Software for person-to-person online file sharing.', 0, 0, 'Topic :: Communications :: File Sharing', '18 :: 20 :: 251')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (252, 2000071101, 97, 18, 'bioinformatics', 'Bio-Informatics', 'Category for gene software (e.g. Gene Ontology)', 0, 0, 'Topic :: Scientific/Engineering :: Bio-Informatics', '18 :: 97 :: 252')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (253, 2000071101, 136, 18, 'sysadministration', 'Systems Administration', 'Systems Administration Software (e.g. configuration apps.)', 0, 0, 'Topic :: System :: Systems Administration', '18 :: 136 :: 253')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (254, 2000071101, 160, 160, 'plsql', 'PL/SQL', 'PL/SQL Programming Language', 0, 0, 'Programming Language :: PL/SQL', '160 :: 254')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (255, 2000071101, 160, 160, 'progress', 'PROGRESS', 'PROGRESS Programming Language', 0, 0, 'Programming Language :: PROGRESS', '160 :: 255')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (256, 2000071101, 125, 18, 'nonlineareditor', 'Non-Linear Editor', 'Video Non-Linear Editors', 0, 0, 'Topic :: Multimedia :: Video :: Non-Linear Editor', '18 :: 99 :: 125 :: 256')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (257, 2000071101, 136, 18, 'softwaredist', 'Software Distribution', 'Systems software for distributing other software.', 0, 0, 'Topic :: System :: Software Distribution', '18 :: 136 :: 257')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (258, 2000071101, 160, 160, 'objectpascal', 'Object Pascal', 'Object Pascal', 0, 0, 'Programming Language :: Object Pascal', '160 :: 258')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (259, 2000071401, 45, 18, 'codegen', 'Code Generators', 'Code Generators', 0, 0, 'Topic :: Software Development :: Code Generators', '18 :: 45 :: 259')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (260, 2000071401, 52, 18, 'SCCS', 'SCCS', 'SCCS', 0, 0, 'Topic :: Software Development :: Version Control :: SCCS', '18 :: 45 :: 52 :: 260')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (261, 2000072501, 160, 160, 'xbasic', 'XBasic', 'XBasic programming language', 0, 0, 'Programming Language :: XBasic', '160 :: 261')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (262, 2000073101, 160, 160, 'coldfusion', 'Cold Fusion', 'Cold Fusion Language', 0, 0, 'Programming Language :: Cold Fusion', '160 :: 262')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (263, 2000080401, 160, 160, 'euphoria', 'Euphoria', 'Euphoria programming language - http://www.rapideuphoria.com/', 0, 0, 'Programming Language :: Euphoria', '160 :: 263')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (264, 2000080701, 160, 160, 'erlang', 'Erlang', 'Erlang - developed by Ericsson - http://www.erlang.org/', 0, 0, 'Programming Language :: Erlang', '160 :: 264')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (265, 2000080801, 160, 160, 'Delphi', 'Delphi', 'Borland/Inprise Delphi', 0, 0, 'Programming Language :: Delphi', '160 :: 265')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (266, 2000081601, 97, 18, 'medical', 'Medical Science Apps.', 'Medical / BioMedical Science Apps.', 0, 0, 'Topic :: Scientific/Engineering :: Medical Science Apps.', '18 :: 97 :: 266')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (267, 2000082001, 160, 160, 'zope', 'Zope', 'Zope Object Publishing', 0, 0, 'Programming Language :: Zope', '160 :: 267')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (268, 2000082101, 80, 18, 'Puzzles', 'Puzzle Games', 'Puzzle Games', 0, 0, 'Topic :: Games/Entertainment :: Puzzle Games', '18 :: 80 :: 268')");
q ("INSERT INTO ".tn("xf_trove_cat")." (trove_cat_id, version, parent, root_parent, shortname, fullname, description, count_subcat, count_subproj, fullpath, fullpath_ids) VALUES (269, 2000082801, 160, 160, 'asm', 'Assembly', 'ASM programming', 0, 0, 'Programming Language :: Assembly', '160 :: 269')");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_trove_group_link")." (
  trove_group_id int(11) NOT NULL auto_increment,
  trove_cat_id int(11) NOT NULL default '0',
  trove_cat_version int(11) NOT NULL default '0',
  group_id int(11) NOT NULL default '0',
  trove_cat_root int(11) NOT NULL default '0',
  PRIMARY KEY  (trove_group_id)
) TYPE=MyISAM
"), 'xf_trove_group_link'
);

q ("INSERT INTO ".tn("xf_trove_group_link")." (trove_group_id, trove_cat_id, trove_cat_version, group_id, trove_cat_root) VALUES (1, 3, 1017908922, 1, 1)");
q ("INSERT INTO ".tn("xf_trove_group_link")." (trove_group_id, trove_cat_id, trove_cat_version, group_id, trove_cat_root) VALUES (2, 4, 1017908922, 1, 1)");
q ("INSERT INTO ".tn("xf_trove_group_link")." (trove_group_id, trove_cat_id, trove_cat_version, group_id, trove_cat_root) VALUES (3, 9, 1017908922, 1, 6)");
q ("INSERT INTO ".tn("xf_trove_group_link")." (trove_group_id, trove_cat_id, trove_cat_version, group_id, trove_cat_root) VALUES (4, 10, 1017908922, 1, 6)");
q ("INSERT INTO ".tn("xf_trove_group_link")." (trove_group_id, trove_cat_id, trove_cat_version, group_id, trove_cat_root) VALUES (5, 15, 1017908922, 1, 13)");
q ("INSERT INTO ".tn("xf_trove_group_link")." (trove_group_id, trove_cat_id, trove_cat_version, group_id, trove_cat_root) VALUES (6, 92, 1017908922, 1, 18)");
q ("INSERT INTO ".tn("xf_trove_group_link")." (trove_group_id, trove_cat_id, trove_cat_version, group_id, trove_cat_root) VALUES (7, 243, 1017908922, 1, 18)");
q ("INSERT INTO ".tn("xf_trove_group_link")." (trove_group_id, trove_cat_id, trove_cat_version, group_id, trove_cat_root) VALUES (8, 183, 1017908922, 1, 160)");
q ("INSERT INTO ".tn("xf_trove_group_link")." (trove_group_id, trove_cat_id, trove_cat_version, group_id, trove_cat_root) VALUES (9, 216, 1017908922, 1, 199)");
q ("INSERT INTO ".tn("xf_trove_group_link")." (trove_group_id, trove_cat_id, trove_cat_version, group_id, trove_cat_root) VALUES (10, 200, 1017908922, 1, 199)");
q ("INSERT INTO ".tn("xf_trove_group_link")." (trove_group_id, trove_cat_id, trove_cat_version, group_id, trove_cat_root) VALUES (11, 237, 1017908922, 1, 225)");
q ("INSERT INTO ".tn("xf_trove_group_link")." (trove_group_id, trove_cat_id, trove_cat_version, group_id, trove_cat_root) VALUES (12, 226, 1017908922, 1, 225)");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_trove_treesums")." (
  trove_treesums_id int(11) NOT NULL auto_increment,
  trove_cat_id int(11) NOT NULL default '0',
  limit_1 int(11) NOT NULL default '0',
  subprojects int(11) NOT NULL default '0',
  PRIMARY KEY  (trove_treesums_id)
) TYPE=MyISAM
"), 'xf_trove_treesums'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_user_bookmarks")." (
  bookmark_id int(11) NOT NULL auto_increment,
  user_id int(11) NOT NULL default '0',
  bookmark_url text,
  bookmark_title text,
  PRIMARY KEY  (bookmark_id)
) TYPE=MyISAM
"), 'xf_user_bookmarks'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_user_diary")." (
 id int(11) NOT NULL auto_increment,
 user_id int(11) NOT NULL default '0',
 date_posted int(11) NOT NULL default '0',
 summary text,
 details text,
 is_public int(11) NOT NULL default '0',
 PRIMARY KEY (id)
) TYPE=MyISAM
"), 'xf_user_diary'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_user_diary_monitor")." (
  monitor_id int(11) NOT NULL auto_increment,
  monitored_user int(11) NOT NULL default '0',
  user_id int(11) NOT NULL default '0',
  PRIMARY KEY (monitor_id)
) TYPE=MyISAM
"), 'xf_user_diary_monitor'
);

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_user_group")." (
  user_group_id int(11) NOT NULL auto_increment,
  user_id int(11) NOT NULL default '0',
  group_id int(11) NOT NULL default '0',
  admin_flags char(16) NOT NULL default '',
  bug_flags int(11) NOT NULL default '0',
  forum_flags int(11) NOT NULL default '0',
  project_flags int(11) NOT NULL default '2',
  patch_flags int(11) NOT NULL default '1',
  support_flags int(11) NOT NULL default '1',
  doc_flags int(11) NOT NULL default '0',
  cvs_flags int(11) NOT NULL default '1',
  member_role int(11) NOT NULL default '100',
  release_flags int(11) NOT NULL default '0',
  artifact_flags int(11) NOT NULL default '0',
  PRIMARY KEY  (user_group_id)
) TYPE=MyISAM
"), 'xf_user_group'
);

q ("INSERT INTO ".tn("xf_user_group")." (user_group_id, user_id, group_id, admin_flags, bug_flags, forum_flags, project_flags, patch_flags, support_flags, doc_flags, cvs_flags, member_role, release_flags, artifact_flags) VALUES (1, 1, 1, 'A', 0, 2, 2, 1, 1, 0, 1, 100, 0, 2)");
q ("INSERT INTO ".tn("xf_user_group")." (user_group_id, user_id, group_id, admin_flags, bug_flags, forum_flags, project_flags, patch_flags, support_flags, doc_flags, cvs_flags, member_role, release_flags, artifact_flags) VALUES (2, 1, 2, 'A', 0, 2, 2, 1, 1, 0, 1, 100, 0, 2)");

/******************************************************************************
 *  Table
 *****************************************************************************/
checkResult(
q ("
CREATE TABLE ".tn("xf_user_profile")." (
  user_id int(11) NOT NULL default '0',
  people_view_skills tinyint(1) NOT NULL default '1',
  resume text,
  UNIQUE KEY user_id (user_id)
) TYPE=MyISAM
"), 'xf_user_profile'
);


	$output = "<p>";
	foreach($madetables as $table){
		$output .= "Table $table created<br />";
	}
	$output .= "</p>";
	echo "<div style='text-align:center'>\n";
	echo $output;
	echo "<br /><br /><b>Installation Complete</b><br />\n";
	echo "Click <a href='../index.php'>here</a> to see the home page of your site.<br />\n";
	echo "Or click <a href='../user.php'>here</a> to login and edit your general site settings.<br />\n";
	echo "If you had any errors, please contact the dev team at <a href=\"http://xoops.sourceforge.net/\">XOOPS.org</a>\n";
	echo "<br /><br /></div>\n";
}

function dropAll($tables, $ok){
	if($ok){
		for($i=0;$i<sizeof($tables);$i++){
			$xoopsDB->queryF("DROP table ".$tables[$i]."");
		}
	} else {
		echo "Do you really want to drop all XoopsForge tables?";
		echo "<a href=\"install.php?op=dropAll&ok=1\">Yes</a>&nbsp;";
	}
}



switch($op){

	case "createTables":
		include("../mainfile.php");
		install_header();
		install_createTables($adminname, $adminpass, $adminmail);
		install_footer();
		break;

	case "drop":
		include("../mainfile.php");
		install_header();
		for($i=0; $i<sizeof($myTables); $i++){
			$xoopsDB->queryF("DROP table ".$xoopsDB->prefix($myTables[$i])."");
		}
		echo "<br /><br /><b>Tables Dropped</b>";
		install_footer();
		break;
	case "initial":
		include("../mainfile.php");
		install_init();
		break;
	default:
		include("../mainfile.php");
		install_init();
		break;
}
?>