<?php
/**
  *
  * SourceForge User's Personal Page
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: diary.php,v 1.4 2002/06/17 08:14:33 arjenvanefferen Exp $
  *
  */

include_once ("../../mainfile.php");

$langfile="my.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/vote_function.php");

if ( $xoopsUser ) {

	if ($submit) {
		//make changes to the database
		if ($update) {
			//updating an existing diary entry
			$res = $xoopsDB->queryF("UPDATE ".$xoopsDB->prefix("xf_user_diary")." SET "
			                       ."summary='".$ts->makeTboxData4Save($summary)."',"
														 ."details='".$ts->makeTareaData4Save($details)."',"
														 ."is_public='$is_public' "
														 ."WHERE user_id='".$xoopsUser->getVar("uid")."' "
														 ."AND id='$diary_id'");
														 
			if ($res) {
				$feedback .= ' '._XF_MY_DIARYUPDATED.' ';
			} else {
				echo $xoopsDB->error();
				$feedback .= ' '._XF_MY_NOTHINGUPDATED.' ';
			}
		} else if ($add) {
			//inserting a new diary entry

			$sql = "INSERT INTO ".$xoopsDB->prefix("xf_user_diary")." (user_id,date_posted,summary,details,is_public) VALUES ("
			      ."'".$xoopsUser->getVar("uid")."',"
						."'".time()."',"
						."'".$ts->makeTboxData4Save($summary)."',"
						."'".$ts->makeTareaData4Save($details)."',"
						."'$is_public')";
						
			$res = $xoopsDB->queryF($sql);
			if ($res) {
				$feedback .= ' '._XF_MY_ITEMADDED.' ';
				if ($is_public) {

					//send an email if users are monitoring
					$sql = "SELECT u.email "
					      ."FROM ".$xoopsDB->prefix("xf_user_diary_monitor")." udm,".$xoopsDB->prefix("users")." u "
								."WHERE udm.user_id=u.uid "
								."AND u.level <> 0 "
								."AND udm.monitored_user='".$xoopsUser->getVar("uid")."'";

					$result = $xoopsDB->query($sql);
					$rows = $xoopsDB->getRowsNum($result);

					if ($result && $rows > 0) {
						$bcc_arr = util_result_column_to_array($result);

						$message = myGetDiaryMessage($xoopsUser->getVar("uname"), $ts->makeTboxData4Edit($summary), $ts->makeTareaData4Edit($details), $xoopsUser->getVar("uid"));

            xoopsForgeMail ($xoopsForge['noreply'], $xoopsConfig['sitename'], $message['subject'], $message['body'], array($xoopsForge['noreply']), $bcc_arr);

						$feedback .= sprintf(_XF_MY_MAILSENT, $rows);

					} else {
						$feedback .= _XF_MY_MAILNOTSENT;
						echo $xoopsDB->error();
					}

				} else {
					//don't send an email to monitoring users
					//since this is a private note
				}
			} else {
				$feedback .= ' '._XF_MY_ERRORITEMADDED.' ';
				echo $xoopsDB->error();
			}
		}
	}


	if ($diary_id) {
		$sql = "SELECT * "
		      ."FROM ".$xoopsDB->prefix("xf_user_diary")." "
					."WHERE user_id='".$xoopsUser->getVar("uid")."' "
					."AND id='$diary_id'";
					
		$res = $xoopsDB->query($sql);
		
		if (!$res || $xoopsDB->getRowsNum($res) < 1) {
			$feedback .= ' Entry not found or does not belong to you ';
			$proc_str = "add";
			$info_str = _XF_MY_ADDENTRY;
		} else {
			$proc_str = "update";
			$info_str = _XF_MY_UPDATEENTRY;
			$_summary = unofficial_getDBResult($res,0,'summary');
			$_details = unofficial_getDBResult($res,0,'details');
			$_is_public = unofficial_getDBResult($res,0,'is_public');
			$_diary_id = unofficial_getDBResult($res,0,'id');
		}
	} else {
		$proc_str = "add";
		$info_str = _XF_MY_ADDENTRY;
	}

  include("../../header.php");
  OpenTable();

  echo "<H4 style='text-align:left;'>"._XF_MY_MYDIARY.": ".$xoopsUser->getVar("uname")."</H4>"
      ."<P>"
      ."<A HREF='".XOOPS_URL."/xf/my/'>"._XF_MY_MYPERSONALPAGE."</A> | "
		  ."<A HREF='".XOOPS_URL."/xf/my/diary.php'>"._XF_MY_DIARYNOTES."</A> | "
		  ."<A HREF='".XOOPS_URL."/user.php'>"._XF_MY_MYACCOUNT."</A>"
		  ."<P>";

	echo '
	<P>
	<H4>'. $info_str .'</H4>
	<P>
	<table>
	<FORM ACTION="'. $PHP_SELF .'" METHOD="POST">
	<INPUT TYPE="HIDDEN" NAME="'. $proc_str .'" VALUE="1">
	<INPUT TYPE="HIDDEN" NAME="diary_id" VALUE="'. $_diary_id .'">
	<TR><TD COLSPAN="2"><B>'._XF_G_SUMMARY.'</B><BR>
		<INPUT TYPE="TEXT" NAME="summary" SIZE="45" MAXLENGTH="60" VALUE="'. $ts->makeTboxData4Edit($_summary) .'">
	</TD></TR>

	<TR><TD COLSPAN="2"><B>'._XF_MY_DETAILS.'</B><BR>
		<TEXTAREA NAME="details" ROWS="15" COLS="60" WRAP="HARD">'. $ts->makeTareaData4Edit($_details) .'</TEXTAREA>
	</TD></TR>
	<TR><TD COLSPAN="2">
		<P>
		<INPUT TYPE="SUBMIT" NAME="submit" VALUE="'._XF_MY_SUBMITONCE.'">
		&nbsp; <INPUT TYPE="CHECKBOX" NAME="is_public" VALUE="1" '. (($_is_public)?'CHECKED':'') .'> '._XF_G_ISPUBLIC.'
		<P>'._XF_MY_IFPUBLIC.'<P>
		</FORM>
	</TD></TR>

	</TABLE>

	<P>';
	
	$title = _XF_MY_EXISTINGDIARY;
	$content = '<table border="0" width="100%">';
	
	$sql = "SELECT * "
	      ."FROM ".$xoopsDB->prefix("xf_user_diary")." "
				."WHERE user_id='".$xoopsUser->getVar("uid")."' "
				."ORDER BY id DESC";

	$result = $xoopsDB->query($sql);
	$rows = $xoopsDB->getRowsNum($result);
	if (!$result || $rows < 1) {
		$content .= '
			<tr><td colspan="2"><B>'._XF_MY_YOUHAVENODIARY.'</B></td></tr>';
		$content .= $xoopsDB->error();
	} else {
		for ($i=0; $i<$rows; $i++) {
			$content .= '
			<TR class="'.($i%2!=0?'bg2':'bg3').'"><TD><A HREF="'. $PHP_SELF .'?diary_id='.
				unofficial_getDBResult($result,$i,'id').'">'.$ts->makeTboxData4Show(unofficial_getDBResult($result,$i,'summary')).'</A></TD>'.
				'<TD>'. date($sys_datefmt, unofficial_getDBResult($result,$i,'date_posted')).'</TD></TR>';
		}
		$content .= '
		<TR><TD COLSPAN="2">&nbsp;</TD></TR>';
	}
	$content .= '</table>';
	themesidebox($title, $content);

  CloseTable();
  include("../../footer.php");

} else {

	redirect_header(XOOPS_URL."/user.php",2,_NOPERM);
	exit;

}

?>
