<?php
/**
  *
  * Project Members Information
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: memberlist.php,v 1.3 2002/05/29 18:15:46 arjenvanefferen Exp $
  *
  */

include_once("../../mainfile.php");

$langfile="project.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");

$project =& group_get_object($group_id);

//group is private
if (!$project->isPublic()) {
	//if it's a private group, you must be a member of that group
	if (!$project->isMemberOfGroup($xoopsUser) && !$perm->isSuperUser())
	{
		redirect_header(XOOPS_URL."/",4,_XF_PRJ_PROJECTMARKEDASPRIVATE);
		exit;
	}
}

//for dead projects must be member of xoopsforge project
if (!$project->isActive() && !$perm->isSuperUser()) {
		redirect_header(XOOPS_URL,4,_XF_PRJ_NOTAUTHORIZEDTOENTER);
		exit;
}

include ("../../header.php");
OpenTable();

echo "<b>"._XF_G_PROJECT.": ".$project->getPublicName()."</b><br /><br />";
echo "<B style='font-size:16px;align:left;'>"._XF_PRJ_PROJECTMEMBERLIST."</B><br />";
project_tabs ('memberlist', $group_id);

// list members
$query = "SELECT u.uname,u.uid,u.name AS realname, ug.admin_flags, pjc.name AS role "
        ."FROM ".$xoopsDB->prefix("users")." u,".$xoopsDB->prefix("xf_user_group")." ug,".$xoopsDB->prefix("xf_people_job_category")." pjc "
				."WHERE u.uid=ug.user_id "
				."AND ug.group_id='$group_id' " 
				."AND ug.member_role=pjc.category_id " 
				."AND u.level>0 "
				."ORDER BY u.uname";

echo "<table border='0' width='100%'>"
    ."<tr class='bg2'>"
		."<td><b>"._XF_PRJ_USERNAME."</b></td>"
		."<td><b>"._XF_PRJ_REALNAME."</b></td>"
		."<td><b>"._XF_PRJ_ROLEPOSITION."</b></td>"
		."<td><b>"._XF_PRJ_MESSAGE."</b></td>"
		."<td><b>"._XF_PRJ_SKILLS."</b></td>"
		."</tr>";

$res_memb = $xoopsDB->query($query);
while ($row_memb = $xoopsDB->fetchArray($res_memb)) {
	echo "<tr class='bg3'>";
	echo "<td>";
	if ( trim($row_memb['admin_flags']) == 'A' ) {
		echo "<b><A href='".XOOPS_URL."/userinfo.php?uid=".$row_memb['uid']."'>".$row_memb['uname']."</A></b>";
	} else {
		echo "<A href='".XOOPS_URL."/userinfo.php?uid=".$row_memb['uid']."'>".$row_memb['uname']."</A>";
	}
	echo "</td>";
	echo "<td>".$row_memb['name']."</td>";
	echo "<td>".$row_memb['role']."</td>";
	echo "<td><a href=\"javascript:openWithSelfMain('".XOOPS_URL."/pmlite.php?send2=1&to_userid=".$row_memb['uid']."','pmlite',360,290);\"><img src='".XOOPS_URL."/images/icons/pm.gif'></a></td>";
	echo "<td><A href='".XOOPS_URL."/xf/people/viewprofile.php?user_id=".$row_memb['uid']."'>"._XF_PRJ_VIEW."</a></td>";
	echo "</tr>";
}
echo "</table>";

CloseTable();
include ("../../footer.php");
?>
