<?php
/**
  *
  * SourceForge Survey Facility
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: survey_utils.php,v 1.3 2002/05/30 22:06:32 arjenvanefferen Exp $
  *
  */


/*
	Survey System
	By Tim Perdue, Sourceforge, 11/99
*/

function survey_header($group, $title='Surveys', $is_admin_page=false) {
	global $feedback, $xoopsTheme;

  include (XOOPS_ROOT_PATH."/header.php");
  OpenTable();

  if ($group) {
    echo "<b>"._XF_G_PROJECT.": ".$group->getPublicName()."</b><br /><br />";
    echo "<B style='font-size:16px;align:left;'>$title</B><br />";
    project_tabs ('surveys', $group->getID());

		if (!$group->usesSurvey()) {
			echo _XF_SUR_TURNEDOFFSURVEYS;
			CloseTable();
      include (XOOPS_ROOT_PATH."/footer.php");
		}
		
		echo "<P><B><A HREF='".XOOPS_URL."/xf/survey/admin/?group_id=".$group->getID()."'>"._XF_G_ADMIN."</A>";
		
		if ($is_admin_page) {
			echo " | <A HREF='".XOOPS_URL."/xf/survey/admin/add_survey.php?group_id=".$group->getID()."'>"._XF_SUR_ADDSURVEYS."</A>";
			echo " | <A HREF='".XOOPS_URL."/xf/survey/admin/edit_survey.php?group_id=".$group->getID()."'>"._XF_SUR_EDITSURVEYS."</A>";
			echo " | <A HREF='".XOOPS_URL."/xf/survey/admin/add_question.php?group_id=".$group->getID()."'>"._XF_SUR_ADDQUESTIONS."</A>";
			echo " | <A HREF='".XOOPS_URL."/xf/survey/admin/show_questions.php?group_id=".$group->getID()."'>"._XF_SUR_EDITQUESTIONS."</A>";
			echo " | <A HREF='".XOOPS_URL."/xf/survey/admin/show_results.php?group_id=".$group->getID()."'>"._XF_SUR_SHOWRESULTS."</A>";
		}
		
		echo "</B><P>";
	}// end if (valid group id)
}

function survey_footer() {
  CloseTable();
  include (XOOPS_ROOT_PATH."/footer.php");
}

?>
