<?php
/**
  *
  * SourceForge Generic Tracker facility
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: download.php,v 1.2 2002/05/29 20:34:55 arjenvanefferen Exp $
  *
  */
include_once ("../../mainfile.php");

require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");
require_once(XOOPS_ROOT_PATH."/xf/include/tracker/Artifact.class");
require_once(XOOPS_ROOT_PATH."/xf/include/tracker/ArtifactFile.class");
require_once(XOOPS_ROOT_PATH."/xf/include/tracker/ArtifactType.class");

if (!$group_id) {
	echo 'Error<br />No Group ID';
  exit;
}
// get current information
$group =& group_get_object($group_id);

if (!$group || !is_object($group) || $group->isError()) {
  redirect_header(XOOPS_URL."/",2,"ERROR<br />No Group");
  exit;
}

//
//  Create the ArtifactType object
//
$ath = new ArtifactType($group,$atid);
if (!$ath || !is_object($ath)) {
	echo 'Error<br />ArtifactType could not be created';
  exit;
}
if ($ath->isError()) {
	echo 'Error'.$ath->getErrorMessage();
	exit;
}

$ah = new Artifact($ath,$aid);
if (!$ah || !is_object($ah)) {
	echo 'Error<br />Artifact could not be created';
  exit;
} else if ($ah->isError()) {
	echo 'Error'.$ah->getErrorMessage();
	exit;
} else {
	$afh = new ArtifactFile($ah,$file_id);
	if (!$afh || !is_object($afh)) {
	  echo 'Error<br />ArtifactFile could not be created';
    exit;
	} else if ($afh->isError()) {
	  echo 'Error'.$afh->getErrorMessage();
	  exit;
	} else {
		Header ("Content-disposition: filename=".$afh->getName());
		Header ("Content-type: ".$afh->getType());
		echo $afh->getData();
	}
}
?>
